Debian Bug report logs - #491723
RFP: statusnet -- distributed microblogging tool

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Andreas Schildbach <debian.org@schildbach.de>

Date: Mon, 21 Jul 2008 16:12:10 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#491723; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Andreas Schildbach <debian.org@schildbach.de>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Schildbach <debian.org@schildbach.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: laconica -- distributed microblogging tool
Date: Mon, 21 Jul 2008 16:03:18 +0000
Package: wnpp
Severity: wishlist


* Package name    : laconica
  Version         : 0.4.4
  Upstream Author : Evan Prodromou and others
* URL             : http://laconi.ca/
* License         : GNU Affero General Public License
  Programming Lang: PHP
  Description     : distributed microblogging tool

Laconica is an open source microblogging tool written in PHP. All data is stored in a MySQL database. Laconica was created as a direct response of a need to create an open source, distributed alternative to Twitter. Laconica implements the OpenMicroBlogging standard. It was originally used by the identi.ca microblogging service.

(from: http://en.wikipedia.org/wiki/Laconica)

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-6-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#491723; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Daniel Watkins <daniel@daniel-watkins.co.uk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 491723@bugs.debian.org (full text, mbox):

From: Daniel Watkins <daniel@daniel-watkins.co.uk>
To: 491723@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: ITP: laconica -- distributed microblogging tool
Date: Mon, 4 Aug 2008 06:06:29 +0100
[Message part 1 (text/plain, inline)]
I have claimed and converted the RFP at bug #491723.  All that has
changed from that RFP is the Version number.

* Package name    : laconica
  Version         : 0.5.0
  Upstream Author : Evan Prodromou and others
* URL             : http://laconi.ca/
* License         : GNU Affero General Public License
  Programming Lang: PHP
  Description     : distributed microblogging tool

Laconica is an open source microblogging tool written in PHP. All data
is stored in a MySQL database. Laconica was created as a direct
response of a need to create an open source, distributed alternative to
Twitter. Laconica implements the OpenMicroBlogging standard. It was
originally used by the identi.ca microblogging service.

-- 
Daniel Watkins (Odd_Bloke)
[signature.asc (application/pgp-signature, attachment)]

Owner recorded as Daniel Watkins <daniel@daniel-watkins.co.uk>. Request was from Daniel Watkins <daniel@daniel-watkins.co.uk> to control@bugs.debian.org. (Mon, 04 Aug 2008 05:09:03 GMT) Full text and rfc822 format available.

Changed Bug title to `ITP: laconica -- distributed microblogging tool' from `RFP: laconica -- distributed microblogging tool'. Request was from Daniel Watkins <daniel@daniel-watkins.co.uk> to control@bugs.debian.org. (Mon, 04 Aug 2008 05:09:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Daniel Watkins <daniel@daniel-watkins.co.uk>:
Bug#491723; Package wnpp. (Thu, 15 Jan 2009 10:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul van Tilburg <paulvt@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Daniel Watkins <daniel@daniel-watkins.co.uk>. (Thu, 15 Jan 2009 10:45:02 GMT) Full text and rfc822 format available.

Message #19 received at 491723@bugs.debian.org (full text, mbox):

From: Paul van Tilburg <paulvt@debian.org>
To: 491723@bugs.debian.org
Subject: Status of the ITP?
Date: Thu, 15 Jan 2009 11:42:11 +0100
Hi!

What is the current status of this ITP?  Are there issues to be
resolved, can I help by testing it on a Lenny of Etch installation?

Kind regards,
Paul

-- 
PhD Student @ Eindhoven                     | email: paulvt@debian.org
University of Technology, The Netherlands   | JID: paul@luon.net
>>> Using the Power of Debian GNU/Linux <<< | GnuPG key ID: 0x50064181




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Daniel Watkins <daniel@daniel-watkins.co.uk>:
Bug#491723; Package wnpp. (Thu, 12 Feb 2009 13:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul van Tilburg <paulvt@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Daniel Watkins <daniel@daniel-watkins.co.uk>. (Thu, 12 Feb 2009 13:06:02 GMT) Full text and rfc822 format available.

Message #24 received at 491723@bugs.debian.org (full text, mbox):

From: Paul van Tilburg <paulvt@debian.org>
To: Daniel Watkins <daniel@daniel-watkins.co.uk>, 491723@bugs.debian.org
Subject: Ping?
Date: Thu, 12 Feb 2009 14:04:56 +0100
Hello,

Could you please give a status update of this ITP?
Sorry to bother you again.

Kind regards,
Paul

-- 
PhD Student @ Eindhoven                     | email: paulvt@debian.org
University of Technology, The Netherlands   | JID: paul@luon.net
>>> Using the Power of Debian GNU/Linux <<< | GnuPG key ID: 0x50064181




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#491723; Package wnpp. (Thu, 12 Feb 2009 14:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Watkins <daniel@daniel-watkins.co.uk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Thu, 12 Feb 2009 14:57:02 GMT) Full text and rfc822 format available.

Message #29 received at 491723@bugs.debian.org (full text, mbox):

From: Daniel Watkins <daniel@daniel-watkins.co.uk>
To: Paul van Tilburg <paulvt@debian.org>
Cc: 491723@bugs.debian.org
Subject: Re: Ping?
Date: Thu, 12 Feb 2009 14:54:46 +0000
Hi Paul,

On Thu, 2009-02-12 at 14:04 +0100, Paul van Tilburg wrote:
> Could you please give a status update of this ITP?
> Sorry to bother you again.

Apologies for not answering your previous email, I seem to have lost it
somehow.  Last time I looked at this (a while ago), this ITP was waiting
on a few other packages to get into Debian before it could proceed.  I
haven't really looked at it since, as I've started a job in the interim.

If you want to take the ITP from me, that'd be fine.  If not, I wouldn't
hold your breath. :)


Dan





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Daniel Watkins <daniel@daniel-watkins.co.uk>:
Bug#491723; Package wnpp. (Sun, 15 Feb 2009 09:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul van Tilburg <paulvt@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Daniel Watkins <daniel@daniel-watkins.co.uk>. (Sun, 15 Feb 2009 09:33:02 GMT) Full text and rfc822 format available.

Message #34 received at 491723@bugs.debian.org (full text, mbox):

From: Paul van Tilburg <paulvt@debian.org>
To: Daniel Watkins <daniel@daniel-watkins.co.uk>, 491723@bugs.debian.org
Subject: Re: Bug#491723: Ping?
Date: Sun, 15 Feb 2009 10:28:45 +0100
Hello,

On Thu, Feb 12, 2009 at 02:54:46PM +0000, Daniel Watkins wrote:
> On Thu, 2009-02-12 at 14:04 +0100, Paul van Tilburg wrote:
> > Could you please give a status update of this ITP?
> > Sorry to bother you again.
> 
> Apologies for not answering your previous email, I seem to have lost it
> somehow.  Last time I looked at this (a while ago), this ITP was waiting
> on a few other packages to get into Debian before it could proceed.  I
> haven't really looked at it since, as I've started a job in the interim.
> 
> If you want to take the ITP from me, that'd be fine.  If not, I wouldn't
> hold your breath. :)

Hmm ok.  I'm afraid that I have no time for it really, since in the
interim I also took on a few more projects.  So, I'll have to be patient
then.  However, it might be that people wanted to ITP, saw one already
and thought "let's wait", I hope they can step in.

Kind regards,
Paul

-- 
PhD Student @ Eindhoven                     | email: paulvt@debian.org
University of Technology, The Netherlands   | JID: paul@luon.net
>>> Using the Power of Debian GNU/Linux <<< | GnuPG key ID: 0x50064181




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Daniel Watkins <daniel@daniel-watkins.co.uk>:
Bug#491723; Package wnpp. (Tue, 17 Feb 2009 20:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evan Prodromou <evan@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Daniel Watkins <daniel@daniel-watkins.co.uk>. (Tue, 17 Feb 2009 20:39:07 GMT) Full text and rfc822 format available.

Message #39 received at 491723@bugs.debian.org (full text, mbox):

From: Evan Prodromou <evan@debian.org>
To: 491723@bugs.debian.org
Subject: Upstream author
Date: Tue, 17 Feb 2009 15:35:40 -0500
I'm the upstream author and also a DD. I'd prefer to package this myself.

-Evan




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#491723; Package wnpp. (Thu, 19 Feb 2009 00:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Watkins <daniel@daniel-watkins.co.uk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Thu, 19 Feb 2009 00:54:03 GMT) Full text and rfc822 format available.

Message #44 received at 491723@bugs.debian.org (full text, mbox):

From: Daniel Watkins <daniel@daniel-watkins.co.uk>
To: Evan Prodromou <evan@debian.org>, 491723@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#491723: Upstream author
Date: Wed, 18 Feb 2009 23:46:03 +0000
owner 491723 evan@debian.org
thanks

On Tue, 2009-02-17 at 15:35 -0500, Evan Prodromou wrote:
> I'm the upstream author and also a DD. I'd prefer to package this myself.

All yours.


Dan





Owner changed from Daniel Watkins <daniel@daniel-watkins.co.uk> to evan@debian.org. Request was from Daniel Watkins <daniel@daniel-watkins.co.uk> to control@bugs.debian.org. (Thu, 19 Feb 2009 00:54:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, evan@debian.org:
Bug#491723; Package wnpp. (Fri, 13 Mar 2009 15:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Schildbach <andreas@schildbach.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, evan@debian.org. (Fri, 13 Mar 2009 15:51:05 GMT) Full text and rfc822 format available.

Message #51 received at 491723@bugs.debian.org (full text, mbox):

From: Andreas Schildbach <andreas@schildbach.de>
To: 491723@bugs.debian.org
Date: Fri, 13 Mar 2009 16:50:04 +0100
It looks like as if there is already a rudimentary lenny package:

http://www.verne.me/content/howto-laconica-debian-lenny

(scroll to the bottom of the page)






Changed Bug title to 'ITP: statusnet -- distributed microblogging tool' from 'ITP: laconica -- distributed microblogging tool' Request was from Francois Marier <francois@debian.org> to control@bugs.debian.org. (Fri, 28 Aug 2009 05:48:04 GMT) Full text and rfc822 format available.

Owner changed from evan@debian.org to shiny@cpan.org. Request was from Francois Marier <francois@debian.org> to control@bugs.debian.org. (Fri, 28 Aug 2009 06:15:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, shiny@cpan.org:
Bug#491723; Package wnpp. (Mon, 23 Nov 2009 16:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Johnston <samj@samj.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, shiny@cpan.org. (Mon, 23 Nov 2009 16:33:06 GMT) Full text and rfc822 format available.

Message #60 received at 491723@bugs.debian.org (full text, mbox):

From: Sam Johnston <samj@samj.net>
To: 491723@bugs.debian.org
Subject: Updates
Date: Mon, 23 Nov 2009 17:22:27 +0100
[Message part 1 (text/plain, inline)]
Any updates on the status of the laconica aka statusnet package?

Sam
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, shiny@cpan.org:
Bug#491723; Package wnpp. (Thu, 24 Dec 2009 20:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jelle de Jong <jelledejong@powercraft.nl>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, shiny@cpan.org. (Thu, 24 Dec 2009 20:36:03 GMT) Full text and rfc822 format available.

Message #65 received at 491723@bugs.debian.org (full text, mbox):

From: Jelle de Jong <jelledejong@powercraft.nl>
To: 491723@bugs.debian.org
Subject: request and intention to package statusnet distributed microblogging tool
Date: Thu, 24 Dec 2009 21:28:50 +0100
Hello everybody,

I read in the bugreport thread that Evan as one of the orignal
developers intended to start packaging statusnet himself. I have been
following the thread now for almost 10 months, and I am interested in
how the process is going behind the scenes?

Can we expect a Debian release of statusnet 0.8.x around February 2010
with the fosdem Europa in Brussels. I can buy you a few beers then if
you would be there. (and findable)

Thank in advance,

Kind regards,

Jelle




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, shiny@cpan.org:
Bug#491723; Package wnpp. (Tue, 19 Jan 2010 09:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kartik Mistry <kartik@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, shiny@cpan.org. (Tue, 19 Jan 2010 09:42:03 GMT) Full text and rfc822 format available.

Message #70 received at 491723@bugs.debian.org (full text, mbox):

From: Kartik Mistry <kartik@debian.org>
To: 491723@bugs.debian.org
Subject: Update?
Date: Tue, 19 Jan 2010 15:04:20 +0530
Hi Evan & all,

Any update on this package's ITP? I can co-maintain this along with
you (or get some interested people) if you want :)

-- 
 Cheers,
 Kartik Mistry | 0xD1028C8D | IRC: kart_
 Debian GNU/Linux Developer | Identica: @kartikm
 Blogs: {ftbfs, kartikm}.wordpress.com




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, shiny@cpan.org:
Bug#491723; Package wnpp. (Mon, 16 Aug 2010 15:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Dehennin <daniel.dehennin@baby-gnu.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, shiny@cpan.org. (Mon, 16 Aug 2010 15:00:06 GMT) Full text and rfc822 format available.

Message #75 received at 491723@bugs.debian.org (full text, mbox):

From: Daniel Dehennin <daniel.dehennin@baby-gnu.org>
To: 491723@bugs.debian.org
Subject: Debian packaging
Date: Mon, 16 Aug 2010 16:26:20 +0200
[Message part 1 (text/plain, inline)]
Hello,

Is there any progression on the packaging?

I can make some tests and help in packaging, I'm not a Debian developer
but package myself with CDBS and now a little about dbconfig-commom.

Regards.
-- 
Daniel Dehennin
Récupérer ma clef GPG:
gpg --keyserver pgp.mit.edu --recv-keys 0x6A2540D1
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, shiny@cpan.org:
Bug#491723; Package wnpp. (Thu, 23 Sep 2010 01:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Leo 'costela' Antunes <costela@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, shiny@cpan.org. (Thu, 23 Sep 2010 01:18:03 GMT) Full text and rfc822 format available.

Message #80 received at 491723@bugs.debian.org (full text, mbox):

From: Leo 'costela' Antunes <costela@debian.org>
To: 491723@bugs.debian.org
Cc: Brenda Wallace <shiny@cpan.org>, Evan Prodromou <evan@debian.org>
Subject: Status.net Debian Package
Date: Thu, 23 Sep 2010 03:06:05 +0200
Hey,

Just another ping regarding the Status.net Debian package.
The ownership of the bug has been bouncing around for the last few
months without any visible manifestation of progress, so I thought I
might try my hand at it, but before that I wanted to make sure there's
no ongoing work by someone else.

So, any concrete objections?


Cheers

-- 
Leo "costela" Antunes
[insert a witty retort here]





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, shiny@cpan.org:
Bug#491723; Package wnpp. (Thu, 23 Sep 2010 02:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brenda Wallace <shiny@cpan.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, shiny@cpan.org. (Thu, 23 Sep 2010 02:27:03 GMT) Full text and rfc822 format available.

Message #85 received at 491723@bugs.debian.org (full text, mbox):

From: Brenda Wallace <shiny@cpan.org>
To: "Leo 'costela' Antunes" <costela@debian.org>
Cc: 491723@bugs.debian.org, Evan Prodromou <evan@debian.org>
Subject: Re: Status.net Debian Package
Date: Thu, 23 Sep 2010 14:25:41 +1200
No objectins from me.. there is something already on git.debian.org
you can start from.

On Thu, Sep 23, 2010 at 1:06 PM, Leo 'costela' Antunes
<costela@debian.org> wrote:
> Hey,
>
> Just another ping regarding the Status.net Debian package.
> The ownership of the bug has been bouncing around for the last few
> months without any visible manifestation of progress, so I thought I
> might try my hand at it, but before that I wanted to make sure there's
> no ongoing work by someone else.
>
> So, any concrete objections?
>
>
> Cheers
>
> --
> Leo "costela" Antunes
> [insert a witty retort here]
>
>



-- 
Kotahi tamaiti, Kotahi rorohiko iti: Aotearoa
http://laptop.org.nz




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, shiny@cpan.org:
Bug#491723; Package wnpp. (Thu, 23 Sep 2010 02:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evan Prodromou <evan@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, shiny@cpan.org. (Thu, 23 Sep 2010 02:39:03 GMT) Full text and rfc822 format available.

Message #90 received at 491723@bugs.debian.org (full text, mbox):

From: Evan Prodromou <evan@debian.org>
To: Brenda Wallace <shiny@cpan.org>
Cc: Leo 'costela' Antunes <costela@debian.org>, 491723@bugs.debian.org
Subject: Re: Status.net Debian Package
Date: Wed, 22 Sep 2010 22:38:25 -0400
[Message part 1 (text/plain, inline)]
I don't know who you are, what other packages you're familiar with, and
why you want to take this on now.

You don't seem to have done any other Web or PHP packages. Is that true?

What's your familiarity with StatusNet?

I'd be happy to see you help out with the git project -- we need some
energy -- but I'm not happy with you taking away the package.

-Evan

[Message part 2 (text/html, inline)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, shiny@cpan.org:
Bug#491723; Package wnpp. (Thu, 23 Sep 2010 03:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evan Prodromou <evan@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, shiny@cpan.org. (Thu, 23 Sep 2010 03:00:03 GMT) Full text and rfc822 format available.

Message #95 received at 491723@bugs.debian.org (full text, mbox):

From: Evan Prodromou <evan@debian.org>
To: Brenda Wallace <shiny@cpan.org>
Cc: Leo 'costela' Antunes <costela@debian.org>, 491723@bugs.debian.org
Subject: Re: Status.net Debian Package
Date: Wed, 22 Sep 2010 22:57:31 -0400
[Message part 1 (text/plain, inline)]
So, I realize my previous email was too confrontational.

I guess what I'm saying is there are some tough issues; I'd like to get
them resolved; and it will take a number of people to do it.

Can we work together on this?

-Evan

[Message part 2 (text/html, inline)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, shiny@cpan.org:
Bug#491723; Package wnpp. (Thu, 23 Sep 2010 12:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Leo 'costela' Antunes <costela@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, shiny@cpan.org. (Thu, 23 Sep 2010 12:30:03 GMT) Full text and rfc822 format available.

Message #100 received at 491723@bugs.debian.org (full text, mbox):

From: Leo 'costela' Antunes <costela@debian.org>
To: Evan Prodromou <evan@debian.org>
Cc: Brenda Wallace <shiny@cpan.org>, 491723@bugs.debian.org
Subject: Re: Status.net Debian Package
Date: Thu, 23 Sep 2010 14:28:20 +0200
On 23/09/10 04:57, Evan Prodromou wrote:
> So, I realize my previous email was too confrontational.

Maybe a bit... :)

> I guess what I'm saying is there are some tough issues; I'd like to get
> them resolved; and it will take a number of people to do it.

That's what I imagined. Don't take me wrong, I didn't assume it'd be
easy or that you'd been slacking, it just seemed like the ITP could use
a fresh and distanced look. After all, this isn't just some weekend
project for you! :)

> Can we work together on this?

Sure! Absolutely!
Starting next week I'll take a look at the git.d.o code and see if I can
help out with anything. I'll also be around #statusnet.


Cheers

-- 
Leo "costela" Antunes
[insert a witty retort here]




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, shiny@cpan.org:
Bug#491723; Package wnpp. (Sun, 24 Oct 2010 22:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Leo 'costela' Antunes <costela@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, shiny@cpan.org. (Sun, 24 Oct 2010 22:18:06 GMT) Full text and rfc822 format available.

Message #105 received at 491723@bugs.debian.org (full text, mbox):

From: Leo 'costela' Antunes <costela@debian.org>
To: Evan Prodromou <evan@debian.org>
Cc: Brenda Wallace <shiny@cpan.org>, 491723@bugs.debian.org
Subject: Re: Status.net Debian Package
Date: Mon, 25 Oct 2010 00:14:20 +0200
Hi again,

On 23/09/10 14:28, Leo 'costela' Antunes wrote:
>> Can we work together on this?
> 
> Sure! Absolutely!
> Starting next week I'll take a look at the git.d.o code and see if I can
> help out with anything. I'll also be around #statusnet.

After some delays, I've finally managed to sit down and work on the
package. I have a very preliminary, though apparently
fully-functional[0] version up here[1].

I also took the liberty of starting a new git-repo, currently here[2],
just because I wanted a better notion of what had to be done (I did
however take a lot of the files from the old repo). If you're ok with
it, I'd replace the one currently in collab-maint with mine and we can
all keep working together from there.

There are still a couple of open questions:

- how much automatization do we want with the configuration? I
personally think the current level isn't that bad, that is: a single
"a2ensite statusnet.conf" (in case of apache) is enough to have an
instance working on localhost. I still haven't tested this with lighttpd
though...

- debian/copyright needs a big overhaul before any official upload
(that's a boring part I didn't have enough willpower to tackle til now)

- all libs in extlib which aren't currently separately packaged have
been included in the binary. I don't think this is particularly bad, but
the ftp-masters will obviously have the final word. Worst case scenario
I could try packaging them all individually.

- I'm unfortunately only very superficially familiar with statusnet, so
I need some help sorting out what to do with all the scripts and
pseudo-daemons in the package. Which of them do you think would be worth
having work out-of-the box? (maildaemon, for instance, is something I
think would probably be too hard to get right)



I'd really appreciate some comments and tests.


Cheers

[0] haven't tested the plugins yet
[1] http://people.debian.org/~costela/packages/
[2] git://git.debian.org/~costela/statusnet.git

-- 
Leo "costela" Antunes
[insert a witty retort here]




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, shiny@cpan.org:
Bug#491723; Package wnpp. (Tue, 26 Oct 2010 22:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brenda Wallace <shiny@cpan.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, shiny@cpan.org. (Tue, 26 Oct 2010 22:57:03 GMT) Full text and rfc822 format available.

Message #110 received at 491723@bugs.debian.org (full text, mbox):

From: Brenda Wallace <shiny@cpan.org>
To: "Leo 'costela' Antunes" <costela@debian.org>
Cc: Evan Prodromou <evan@debian.org>, 491723@bugs.debian.org
Subject: Re: Status.net Debian Package
Date: Wed, 27 Oct 2010 11:54:59 +1300
The previous repo was a clone of the main project, plus debian folder+Makefile.
If you have a process for managing merging fixed, then no problem.
you're going to put tarballs over top?

On Mon, Oct 25, 2010 at 11:14 AM, Leo 'costela' Antunes
<costela@debian.org> wrote:
> There are still a couple of open questions:
>
> - how much automatization do we want with the configuration? I
> personally think the current level isn't that bad, that is: a single
> "a2ensite statusnet.conf" (in case of apache) is enough to have an
> instance working on localhost. I still haven't tested this with lighttpd
> though...

Working with apache+mysql outta the deb would be enough for first
iteration. I'm a big lighttpd fan so i'll give it a test.

>
> - debian/copyright needs a big overhaul before any official upload
> (that's a boring part I didn't have enough willpower to tackle til now)
>
> - all libs in extlib which aren't currently separately packaged have
> been included in the binary. I don't think this is particularly bad, but
> the ftp-masters will obviously have the final word. Worst case scenario
> I could try packaging them all individually.
> - I'm unfortunately only very superficially familiar with statusnet, so
> I need some help sorting out what to do with all the scripts and
> pseudo-daemons in the package. Which of them do you think would be worth
> having work out-of-the box? (maildaemon, for instance, is something I
> think would probably be too hard to get right)

Having none of the daemons set up is reasonable. They become necessary
when wanting to scale and/or add the fancy features.

>
>
>
> I'd really appreciate some comments and tests.

I think you want to do a make clean, and then remove some compiled
files from the git repo




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, shiny@cpan.org:
Bug#491723; Package wnpp. (Wed, 27 Oct 2010 12:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Leo 'costela' Antunes <costela@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, shiny@cpan.org. (Wed, 27 Oct 2010 12:51:02 GMT) Full text and rfc822 format available.

Message #115 received at 491723@bugs.debian.org (full text, mbox):

From: Leo 'costela' Antunes <costela@debian.org>
To: Brenda Wallace <shiny@cpan.org>
Cc: Evan Prodromou <evan@debian.org>, 491723@bugs.debian.org
Subject: Re: Status.net Debian Package
Date: Wed, 27 Oct 2010 14:46:13 +0200
Hi,

First of all thanks for taking a look at the package!

On 27/10/10 00:54, Brenda Wallace wrote:
> The previous repo was a clone of the main project, plus debian folder+Makefile.
> If you have a process for managing merging fixed, then no problem.
> you're going to put tarballs over top?

I'm not sure if this is what you mean by "tarballs", but I forgot to
mention one thing: I never really understood the need for pristine-tar
in git-buildpackage, so I left it out. AFAICT you can accomplish the
exact same thing by exporting the upstream/X.Y.Z branch, but please let
me know if there's actually missing functionality. Should be pretty easy
to include the pristine-tars later on.

I also didn't see any problem with the merging from upstream, but
probably because I'm not working on a clone and instead using a simple
git-import-orig to directly merge everything from the released tarball
into the repo. I believe this is the sanest way to keep the debian repo,
i.e. logically separate from the upstream repo. We just perform "merges"
- actually imports - from upstream when there's a release, so debian
packaging work and upstream development work have well defined boundaries.

> 
> Working with apache+mysql outta the deb would be enough for first
> iteration. I'm a big lighttpd fan so i'll give it a test.

Thanks!
I personally use lighty too, but I just didn't get around to testing it yet.

> 
> Having none of the daemons set up is reasonable. They become necessary
> when wanting to scale and/or add the fancy features.
> 

Perfect. This makes our lives significantly easier! :)

> 
> I think you want to do a make clean, and then remove some compiled
> files from the git repo

As mentioned above, I believe the best way to manage the debian repo is
by importing upstream releases, keeping them as close as possible to the
upstream state and keeping changes inside the /debian dir as much as
possible. Specially since this makes for a more straightforward
structure for people who want to work with or build the package directly
from the orig.tar.gz + debian.tar.gz, instead of from the repo. This has
the not-so-neat side-effect that some "useless" files which are included
in the upstream tarball have to remain in the repo.

I obviously don't mean to dictate other people's workflow and certainly
don't want to alienate anyone from helping out with the packaging work,
but the practicalities from a debian-maintainer perspective IMHO
overweight the small size increase in the repo.


Cheers

-- 
Leo "costela" Antunes
[insert a witty retort here]




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, shiny@cpan.org:
Bug#491723; Package wnpp. (Tue, 08 Feb 2011 21:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Torsten Grote <Torsten.Grote@uni-potsdam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, shiny@cpan.org. (Tue, 08 Feb 2011 21:09:06 GMT) Full text and rfc822 format available.

Message #120 received at 491723@bugs.debian.org (full text, mbox):

From: Torsten Grote <Torsten.Grote@uni-potsdam.de>
To: "Leo 'costela' Antunes" <costela@debian.org>
Cc: Brenda Wallace <shiny@cpan.org>, Evan Prodromou <evan@debian.org>, 491723@bugs.debian.org
Subject: Re: Status.net Debian Package
Date: Tue, 8 Feb 2011 22:00:47 +0100
On Wednesday 27 October 2010 14:46:13 Leo 'costela' Antunes wrote:
> First of all thanks for taking a look at the package!

Thanks everybody who has done some work so far on this package. I'd like to 
know what the currect status is. Leo, did you and Evan work together on the 
packaging?

The latest stable release is version 0.9.6 and the last package [1] is still 
0.9.5. Are there any plans to package the new version?

I'd really like to see Status.net in Debian. It would make things a lot easier 
for people who want to run their own instance.

Regards,
Torsten

[1] http://people.debian.org/~costela/packages/




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, shiny@cpan.org:
Bug#491723; Package wnpp. (Wed, 30 Mar 2011 19:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcelo Jorge Vieira <metal@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, shiny@cpan.org. (Wed, 30 Mar 2011 19:06:03 GMT) Full text and rfc822 format available.

Message #125 received at 491723@bugs.debian.org (full text, mbox):

From: Marcelo Jorge Vieira <metal@debian.org>
To: Torsten Grote <Torsten.Grote@uni-potsdam.de>
Cc: Leo 'costela' Antunes <costela@debian.org>, Brenda Wallace <shiny@cpan.org>, Evan Prodromou <evan@debian.org>, 491723@bugs.debian.org
Subject: Re: Status.net Debian Package
Date: Wed, 30 Mar 2011 15:54:59 -0300
[Message part 1 (text/plain, inline)]
Hi everybody,

On Tue, 2011-02-08 at 22:00 +0100, Torsten Grote wrote:
> On Wednesday 27 October 2010 14:46:13 Leo 'costela' Antunes wrote:
> > First of all thanks for taking a look at the package!
> 
> Thanks everybody who has done some work so far on this package. I'd like to 
> know what the currect status is. Leo, did you and Evan work together on the 
> packaging?
> 
> The latest stable release is version 0.9.6 and the last package [1] is still 
> 0.9.5. Are there any plans to package the new version?
> 
> I'd really like to see Status.net in Debian. It would make things a lot easier 
> for people who want to run their own instance.


What do you think about upload status.net package to experimental?


Cheers,

-- 
Marcelo Jorge Vieira
xmpp:metal@jabber-br.org
http://metaldot.alucinados.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, shiny@cpan.org:
Bug#491723; Package wnpp. (Sun, 10 Apr 2011 20:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Leo 'costela' Antunes <costela@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, shiny@cpan.org. (Sun, 10 Apr 2011 20:57:03 GMT) Full text and rfc822 format available.

Message #130 received at 491723@bugs.debian.org (full text, mbox):

From: Leo 'costela' Antunes <costela@debian.org>
To: Marcelo Jorge Vieira <metal@debian.org>
Cc: Torsten Grote <Torsten.Grote@uni-potsdam.de>, Brenda Wallace <shiny@cpan.org>, Evan Prodromou <evan@debian.org>, 491723@bugs.debian.org
Subject: Re: Status.net Debian Package
Date: Sun, 10 Apr 2011 22:46:50 +0200
On 30/03/11 20:54, Marcelo Jorge Vieira wrote:

> 
> What do you think about upload status.net package to experimental?


Yeah, I was waiting for some manifestation of approval or otherwise from
Evan or Brenda, but since nobody seems to have anything against it, I'll
upload it in the coming week.

Cheers

-- 
Leo "costela" Antunes
[insert a witty retort here]




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, shiny@cpan.org:
Bug#491723; Package wnpp. (Thu, 02 Jun 2011 13:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Scherer <misc@zarb.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, shiny@cpan.org. (Thu, 02 Jun 2011 13:03:03 GMT) Full text and rfc822 format available.

Message #135 received at 491723@bugs.debian.org (full text, mbox):

From: Michael Scherer <misc@zarb.org>
To: 491723@bugs.debian.org
Date: Thu, 02 Jun 2011 14:47:18 +0200
It seems the package was not uploaded to experimental, or I am unable to
find it ? Is there something blocking upload ?
-- 
Michael Scherer





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, shiny@cpan.org:
Bug#491723; Package wnpp. (Sun, 23 Oct 2011 01:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roland Hieber <rohieb@rohieb.name>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, shiny@cpan.org.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Sun, 23 Oct 2011 01:54:03 GMT) Full text and rfc822 format available.


Message #140 received at 491723@bugs.debian.org (full text, mbox):

From: Roland Hieber <rohieb@rohieb.name>
To: 491723@bugs.debian.org
Date: Sun, 23 Oct 2011 03:44:21 +0200
On Thu, 02 Jun 2011 14:47:18 +0200, Michael Scherer wrote:

> It seems the package was not uploaded to experimental, or I am unable
> to find it ? Is there something blocking upload ?

Neither was I, but statusnet-0.9.9-1 from [1] seems to do its job quite
good. I would like to see it in the official repository, or in
experimental, so the package gets a wider audience and other users can
test it and report possible bugs.

[1] http://people.debian.org/~costela/packages/

--
Roland Hieber




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, shiny@cpan.org:
Bug#491723; Package wnpp. (Wed, 07 Dec 2011 21:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Leo 'costela' Antunes <costela@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, shiny@cpan.org. (Wed, 07 Dec 2011 21:57:04 GMT) Full text and rfc822 format available.

Message #145 received at 491723@bugs.debian.org (full text, mbox):

From: Leo 'costela' Antunes <costela@debian.org>
To: 491723@bugs.debian.org
Subject: Re: Status.net Debian Package
Date: Wed, 07 Dec 2011 22:54:49 +0100
Just a FYI:
The package is almost ready, the only thing missing before I can do an
official upload is the debian/copyright file. There's a lot of manual
work involved and I can't seem to find the time to sit down and do it
(and honestly, the motivation isn't exactly brimming for this specific
kind of work! ;) ).
If anyone would like to give it a final push, I'd really appreciate the
help!
Feel free to take a look at the current code at:
git://git.debian.org/~costela/statusnet.git

Cheers

-- 
Leo "costela" Antunes
[insert a witty retort here]





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, shiny@cpan.org:
Bug#491723; Package wnpp. (Sat, 17 Dec 2011 11:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeremy Malcolm <Jeremy@Malcolm.id.au>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, shiny@cpan.org. (Sat, 17 Dec 2011 11:15:11 GMT) Full text and rfc822 format available.

Message #150 received at 491723@bugs.debian.org (full text, mbox):

From: Jeremy Malcolm <Jeremy@Malcolm.id.au>
To: 491723@bugs.debian.org
Subject: Feedback
Date: Sat, 17 Dec 2011 18:14:41 +0800
The current git code looks good, except that you need to package the "scripts" directory too.  That's got a lot of important things like the daemons.  Also, it would be nice to package an init script to run startdaemons.sh and stopdaemons.sh.  I'm not attaching one, because I'm not sure where you want to put "scripts".  I've put it underneath /usr/share/statusnet, but according to Debian policy it probably shouldn't be.

I had to comment out line 103 of lib/xmppmanager.php in order to get the daemons to run.  It seems to be an upstream issue, but I haven't had time to fix it properly and I don't know if it persists in the current upstream source.

Regarding the copyrights, anything that is packaged without a copyright notice in the file itself falls under the GNU Affero version 3, per the COPYING file of the overall package.

--
Jeremy Malcolm PhD LLB (Hons) B Com
Internet and Open Source lawyer, consumer advocate and geek
host -t NAPTR 5.9.8.5.2.8.2.2.1.0.6.e164.org|awk -F! '{print $3}





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, shiny@cpan.org:
Bug#491723; Package wnpp. (Wed, 21 Dec 2011 02:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeremy Malcolm <Jeremy@Malcolm.id.au>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, shiny@cpan.org. (Wed, 21 Dec 2011 02:57:06 GMT) Full text and rfc822 format available.

Message #155 received at 491723@bugs.debian.org (full text, mbox):

From: Jeremy Malcolm <Jeremy@Malcolm.id.au>
To: 491723@bugs.debian.org
Subject: extlib also needed
Date: Wed, 21 Dec 2011 10:52:14 +0800
[Message part 1 (text/plain, inline)]
Oh, and as well as /scripts, /extlib is also needed. That will get rid
of the lib/xmppmanager.php error that I'd earlier reported.

-- 
Jeremy Malcolm PhD LLB (Hons) B Com
Internet and Open Source lawyer, consumer advocate, geek
host -t NAPTR 5.9.8.5.2.8.2.2.1.0.6.e164.org|awk -F! '{print $3}'


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, shiny@cpan.org:
Bug#491723; Package wnpp. (Fri, 23 Mar 2012 21:27:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roland Mas <lolando@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, shiny@cpan.org. (Fri, 23 Mar 2012 21:27:15 GMT) Full text and rfc822 format available.

Message #160 received at 491723@bugs.debian.org (full text, mbox):

From: Roland Mas <lolando@debian.org>
To: 491723@bugs.debian.org, costela@debian.org
Subject: debian/copyright for statusnet
Date: Fri, 23 Mar 2012 22:25:16 +0100
[Message part 1 (text/plain, inline)]
Hi,

I was somewhat bored and I wanted to play with config-edit stuff; since
I'm also eager to see statusnet enter Debian officially, I spent some
time reading copyright notices and transcribing them.  Here's what git
produced (I have no idea if it's actually useful as is, but at least
there's a patch in there):

[0001-debian-copyright-for-statusnet.patch (text/x-diff, inline)]
From 5644a31c2ece067ff34d9e21b257d93c193c94d8 Mon Sep 17 00:00:00 2001
From: Roland Mas <lolando@debian.org>
Date: Fri, 23 Mar 2012 22:10:22 +0100
Subject: [PATCH] debian/copyright for statusnet
To: 491723@bugs.debian.org
Cc: costela@debian.org,
    lolando@debian.org

---
 debian/copyright | 2605 +++++++++++-------------------------------------------
 1 files changed, 531 insertions(+), 2074 deletions(-)

diff --git a/debian/copyright b/debian/copyright
index 2b73a00..4fa2f9f 100644
--- a/debian/copyright
+++ b/debian/copyright
@@ -1,2084 +1,541 @@
-Format: http://svn.debian.org/wsvn/dep/web/deps/dep5.mdwn?rev=174
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: StatusNet
 Source: http://status.net/download
 
 Files: debian/*
-Copyright: 2010, 2011 Leo Antunes,
+Copyright: 2010, 2011 Leo Antunes
            2010 Evan Prodromou
            2009 Brenda Wallace
            2009 Francois Marier
+           2009 StatusNet, Inc.
 License: GPL-3+
 
 Files: *
+Copyright: 2008, 2009, StatusNet, Inc.
+License: AGPL-3+
 
-./index.php: AGPL (v3 or later)
-./install.php: AGPL (v3 or later)
-./plugins/ShareNotice/ShareNoticePlugin.php: AGPL (v3 or later)
-./plugins/ShareNotice/ShareNoticePlugin.php: AGPL (v3 or later)
-./plugins/DirectionDetector/DirectionDetectorPlugin.php: GPL (v3 or later)
-./plugins/DirectionDetector/DirectionDetectorPlugin.php: GPL (v3 or later)
-./plugins/CasAuthentication/CasAuthenticationPlugin.php: AGPL (v3 or later)
-./plugins/CasAuthentication/caslogin.php: AGPL (v3 or later)
-./plugins/CasAuthentication/CasAuthenticationPlugin.php: AGPL (v3 or later)
-./plugins/CasAuthentication/caslogin.php: AGPL (v3 or later)
-./plugins/CasAuthentication/extlib/CAS.php: *No copyright* UNKNOWN
-./plugins/CasAuthentication/extlib/CAS.php: *No copyright* UNKNOWN
-./plugins/CasAuthentication/extlib/CAS/client.php: *No copyright* UNKNOWN
-./plugins/CasAuthentication/extlib/CAS/domxml-php4-to-php5.php: LGPL (v3 or later)
-./plugins/CasAuthentication/extlib/CAS/client.php: *No copyright* UNKNOWN
-./plugins/CasAuthentication/extlib/CAS/PGTStorage/pgt-file.php: *No copyright* UNKNOWN
-./plugins/CasAuthentication/extlib/CAS/PGTStorage/pgt-db.php: *No copyright* UNKNOWN
-./plugins/CasAuthentication/extlib/CAS/PGTStorage/pgt-main.php: *No copyright* UNKNOWN
-./plugins/CasAuthentication/extlib/CAS/PGTStorage/pgt-file.php: *No copyright* UNKNOWN
-./plugins/CasAuthentication/extlib/CAS/PGTStorage/pgt-db.php: *No copyright* UNKNOWN
-./plugins/CasAuthentication/extlib/CAS/PGTStorage/pgt-main.php: *No copyright* UNKNOWN
-./plugins/CasAuthentication/extlib/CAS/domxml-php4-to-php5.php: LGPL (v3 or later) 
-./plugins/CasAuthentication/extlib/CAS/languages/french.php: *No copyright* UNKNOWN
-./plugins/CasAuthentication/extlib/CAS/languages/german.php: *No copyright* UNKNOWN
-./plugins/CasAuthentication/extlib/CAS/languages/languages.php: *No copyright* UNKNOWN
-./plugins/CasAuthentication/extlib/CAS/languages/japanese.php: *No copyright* UNKNOWN
-./plugins/CasAuthentication/extlib/CAS/languages/english.php: *No copyright* UNKNOWN
-./plugins/CasAuthentication/extlib/CAS/languages/catalan.php: *No copyright* UNKNOWN
-./plugins/CasAuthentication/extlib/CAS/languages/greek.php: *No copyright* UNKNOWN
-./plugins/CasAuthentication/extlib/CAS/languages/spanish.php: *No copyright* UNKNOWN
-./plugins/CasAuthentication/extlib/CAS/languages/french.php: *No copyright* UNKNOWN
-./plugins/CasAuthentication/extlib/CAS/languages/german.php: *No copyright* UNKNOWN
-./plugins/CasAuthentication/extlib/CAS/languages/languages.php: *No copyright* UNKNOWN
-./plugins/CasAuthentication/extlib/CAS/languages/japanese.php: *No copyright* UNKNOWN
-./plugins/CasAuthentication/extlib/CAS/languages/english.php: *No copyright* UNKNOWN
-./plugins/CasAuthentication/extlib/CAS/languages/catalan.php: *No copyright* UNKNOWN
-./plugins/CasAuthentication/extlib/CAS/languages/greek.php: *No copyright* UNKNOWN
-./plugins/CasAuthentication/extlib/CAS/languages/spanish.php: *No copyright* UNKNOWN
-./plugins/GeoURL/GeoURLPlugin.php: AGPL (v3 or later) 
-./plugins/GeoURL/GeoURLPlugin.php: AGPL (v3 or later) 
-./plugins/Disqus/DisqusPlugin.php: AGPL (v3 or later) 
-./plugins/Disqus/DisqusPlugin.php: AGPL (v3 or later) 
-./plugins/TwitterBridge/tweetinqueuehandler.php: AGPL (v3 or later) 
-./plugins/TwitterBridge/Notice_to_status.php: AGPL (v3 or later) 
-./plugins/TwitterBridge/twitterimport.php: AGPL (v3 or later) 
-./plugins/TwitterBridge/twitterlogin.php: AGPL (v3 or later) 
-./plugins/TwitterBridge/TwitterBridgePlugin.php: AGPL (v3 or later) 
-./plugins/TwitterBridge/jsonstreamreader.php: AGPL (v3 or later) 
-./plugins/TwitterBridge/twitterauthorization.php: AGPL (v3 or later) 
-./plugins/TwitterBridge/twittersettings.php: AGPL (v3 or later) 
-./plugins/TwitterBridge/Twitter_synch_status.php: AGPL (v3 or later) 
-./plugins/TwitterBridge/twitter.php: AGPL (v3 or later) 
-./plugins/TwitterBridge/twitterqueuehandler.php: AGPL (v3 or later) 
-./plugins/TwitterBridge/twitterstreamreader.php: AGPL (v3 or later) 
-./plugins/TwitterBridge/twitteradminpanel.php: AGPL (v3 or later) 
-./plugins/TwitterBridge/tweetctlqueuehandler.php: AGPL (v3 or later) 
-./plugins/TwitterBridge/twitteroauthclient.php: AGPL (v3 or later) 
-./plugins/TwitterBridge/tweetinqueuehandler.php: AGPL (v3 or later) 
-./plugins/TwitterBridge/Notice_to_status.php: AGPL (v3 or later) 
-./plugins/TwitterBridge/twitterimport.php: AGPL (v3 or later) 
-./plugins/TwitterBridge/twitterlogin.php: AGPL (v3 or later) 
-./plugins/TwitterBridge/TwitterBridgePlugin.php: AGPL (v3 or later) 
-./plugins/TwitterBridge/jsonstreamreader.php: AGPL (v3 or later) 
-./plugins/TwitterBridge/daemons/synctwitterfriends.php: AGPL (v3 or later) 
-./plugins/TwitterBridge/daemons/twitterstatusfetcher.php: AGPL (v3 or later) 
-./plugins/TwitterBridge/daemons/twitterdaemon.php: AGPL (v3 or later) 
-./plugins/TwitterBridge/daemons/synctwitterfriends.php: AGPL (v3 or later) 
-./plugins/TwitterBridge/daemons/twitterstatusfetcher.php: AGPL (v3 or later) 
-./plugins/TwitterBridge/daemons/twitterdaemon.php: AGPL (v3 or later) 
-./plugins/TwitterBridge/twitterauthorization.php: AGPL (v3 or later) 
-./plugins/TwitterBridge/twittersettings.php: AGPL (v3 or later) 
-./plugins/TwitterBridge/Twitter_synch_status.php: AGPL (v3 or later) 
-./plugins/TwitterBridge/twitter.php: AGPL (v3 or later) 
-./plugins/TwitterBridge/twitterqueuehandler.php: AGPL (v3 or later) 
-./plugins/TwitterBridge/twitterstreamreader.php: AGPL (v3 or later) 
-./plugins/TwitterBridge/twitteradminpanel.php: AGPL (v3 or later) 
-./plugins/TwitterBridge/tweetctlqueuehandler.php: AGPL (v3 or later) 
-./plugins/TwitterBridge/scripts/fakestream.php: AGPL (v3 or later) 
-./plugins/TwitterBridge/scripts/initialize_notice_to_status.php: AGPL (v3 or later) 
-./plugins/TwitterBridge/scripts/streamtest.php: AGPL (v3 or later) 
-./plugins/TwitterBridge/scripts/fakestream.php: AGPL (v3 or later) 
-./plugins/TwitterBridge/scripts/initialize_notice_to_status.php: AGPL (v3 or later) 
-./plugins/TwitterBridge/scripts/streamtest.php: AGPL (v3 or later) 
-./plugins/TwitterBridge/twitteroauthclient.php: AGPL (v3 or later) 
-./plugins/Linkback/LinkbackPlugin.php: AGPL (v3 or later) 
-./plugins/Linkback/LinkbackPlugin.php: AGPL (v3 or later) 
-./plugins/Meteor/MeteorPlugin.php: AGPL (v3 or later) 
-./plugins/Meteor/MeteorPlugin.php: AGPL (v3 or later) 
-./plugins/TinyMCE/TinyMCEPlugin.php: AGPL (v3 or later) 
-./plugins/TinyMCE/TinyMCEPlugin.php: AGPL (v3 or later) 
-./plugins/SimpleUrl/SimpleUrlPlugin.php: AGPL (v3 or later) 
-./plugins/SimpleUrl/SimpleUrlPlugin.php: AGPL (v3 or later) 
-./plugins/LogFilter/LogFilterPlugin.php: AGPL (v3 or later) 
-./plugins/LogFilter/LogFilterPlugin.php: AGPL (v3 or later) 
-./plugins/UserFlag/adminprofileflag.php: AGPL (v3 or later) 
-./plugins/UserFlag/flagprofileform.php: AGPL (v3 or later) 
-./plugins/UserFlag/User_flag_profile.php: AGPL (v3 or later) 
-./plugins/UserFlag/clearflagform.php: AGPL (v3 or later) 
-./plugins/UserFlag/clearflag.php: AGPL (v3 or later) 
-./plugins/UserFlag/UserFlagPlugin.php: AGPL (v3 or later) 
-./plugins/UserFlag/flagprofile.php: AGPL (v3 or later) 
-./plugins/UserFlag/adminprofileflag.php: AGPL (v3 or later) 
-./plugins/UserFlag/flagprofileform.php: AGPL (v3 or later) 
-./plugins/UserFlag/User_flag_profile.php: AGPL (v3 or later) 
-./plugins/UserFlag/clearflagform.php: AGPL (v3 or later) 
-./plugins/UserFlag/clearflag.php: AGPL (v3 or later) 
-./plugins/UserFlag/UserFlagPlugin.php: AGPL (v3 or later) 
-./plugins/UserFlag/flagprofile.php: AGPL (v3 or later) 
-./plugins/UrlShortener/UrlShortenerPlugin.php: AGPL (v3 or later) 
-./plugins/UrlShortener/UrlShortenerPlugin.php: AGPL (v3 or later) 
-./plugins/RSSCloud/RSSCloudPlugin.php: AGPL (v3 or later) 
-./plugins/RSSCloud/RSSCloudNotifier.php: AGPL (v3 or later) 
-./plugins/RSSCloud/RSSCloudQueueHandler.php: AGPL (v3 or later) 
-./plugins/RSSCloud/RSSCloudSubscription.php: AGPL (v3 or later) 
-./plugins/RSSCloud/LoggingAggregator.php: AGPL (v3 or later) 
-./plugins/RSSCloud/RSSCloudRequestNotify.php: AGPL (v3 or later) 
-./plugins/RSSCloud/RSSCloudPlugin.php: AGPL (v3 or later) 
-./plugins/RSSCloud/RSSCloudNotifier.php: AGPL (v3 or later) 
-./plugins/RSSCloud/RSSCloudQueueHandler.php: AGPL (v3 or later) 
-./plugins/RSSCloud/RSSCloudSubscription.php: AGPL (v3 or later) 
-./plugins/RSSCloud/LoggingAggregator.php: AGPL (v3 or later) 
-./plugins/RSSCloud/RSSCloudRequestNotify.php: AGPL (v3 or later) 
-./plugins/Sample/User_greeting_count.php: AGPL (v3 or later) 
-./plugins/Sample/SamplePlugin.php: AGPL (v3 or later) 
-./plugins/Sample/hello.php: AGPL (v3 or later) 
-./plugins/Sample/User_greeting_count.php: AGPL (v3 or later) 
-./plugins/Sample/SamplePlugin.php: AGPL (v3 or later) 
-./plugins/Sample/hello.php: AGPL (v3 or later) 
-./plugins/WikiHowProfile/WikiHowProfilePlugin.php: AGPL (v3 or later) 
-./plugins/WikiHowProfile/WikiHowProfilePlugin.php: AGPL (v3 or later) 
-./plugins/WikiHashtags/WikiHashtagsPlugin.php: AGPL (v3 or later) 
-./plugins/WikiHashtags/WikiHashtagsPlugin.php: AGPL (v3 or later) 
-./plugins/Spotify/SpotifyPlugin.php: AGPL (v3 or later) 
-./plugins/Spotify/SpotifyPlugin.php: AGPL (v3 or later) 
-./plugins/SphinxSearch/sphinxsearch.php: AGPL (v3 or later) 
-./plugins/SphinxSearch/SphinxSearchPlugin.php: AGPL (v3 or later) 
-./plugins/SphinxSearch/sphinxsearch.php: AGPL (v3 or later) 
-./plugins/SphinxSearch/SphinxSearchPlugin.php: AGPL (v3 or later) 
-./plugins/SphinxSearch/scripts/gen_config.php: AGPL (v3 or later) 
-./plugins/SphinxSearch/scripts/sphinx.sh: *No copyright* UNKNOWN
-./plugins/SphinxSearch/scripts/index_update.php: AGPL (v3 or later) 
-./plugins/SphinxSearch/scripts/sphinx-utils.php: AGPL (v3 or later) 
-./plugins/SphinxSearch/scripts/gen_config.php: AGPL (v3 or later) 
-./plugins/SphinxSearch/scripts/sphinx.sh: *No copyright* UNKNOWN
-./plugins/SphinxSearch/scripts/index_update.php: AGPL (v3 or later) 
-./plugins/SphinxSearch/scripts/sphinx-utils.php: AGPL (v3 or later) 
-./plugins/Realtime/RealtimePlugin.php: AGPL (v3 or later) 
-./plugins/Realtime/RealtimePlugin.php: AGPL (v3 or later) 
-./plugins/AutoSandbox/AutoSandboxPlugin.php: AGPL (v3 or later) 
-./plugins/AutoSandbox/AutoSandboxPlugin.php: AGPL (v3 or later) 
-./plugins/Sitemap/sitemapaction.php: AGPL (v3 or later) 
-./plugins/Sitemap/SitemapPlugin.php: AGPL (v3 or later) 
-./plugins/Sitemap/sitemapadminpanel.php: AGPL (v3 or later) 
-./plugins/Sitemap/Sitemap_user_count.php: AGPL (v3 or later) 
-./plugins/Sitemap/Sitemap_notice_count.php: AGPL (v3 or later) 
-./plugins/Sitemap/usersitemap.php: AGPL (v3 or later) 
-./plugins/Sitemap/noticesitemap.php: AGPL (v3 or later) 
-./plugins/Sitemap/sitemapindex.php: AGPL (v3 or later) 
-./plugins/Sitemap/sitemapaction.php: AGPL (v3 or later) 
-./plugins/Sitemap/SitemapPlugin.php: AGPL (v3 or later) 
-./plugins/Sitemap/sitemapadminpanel.php: AGPL (v3 or later) 
-./plugins/Sitemap/Sitemap_user_count.php: AGPL (v3 or later) 
-./plugins/Sitemap/Sitemap_notice_count.php: AGPL (v3 or later) 
-./plugins/Sitemap/usersitemap.php: AGPL (v3 or later) 
-./plugins/Sitemap/noticesitemap.php: AGPL (v3 or later) 
-./plugins/Sitemap/scripts/updatecounts.php: AGPL (v3 or later) 
-./plugins/Sitemap/scripts/updatecounts.php: AGPL (v3 or later) 
-./plugins/Sitemap/sitemapindex.php: AGPL (v3 or later) 
-./plugins/GroupFavorited/groupfavoritedaction.php: AGPL (v3 or later) 
-./plugins/GroupFavorited/GroupFavoritedPlugin.php: AGPL (v3 or later) 
-./plugins/GroupFavorited/groupfavoritedaction.php: AGPL (v3 or later) 
-./plugins/GroupFavorited/GroupFavoritedPlugin.php: AGPL (v3 or later) 
-./plugins/LdapAuthentication/LdapAuthenticationPlugin.php: AGPL (v3 or later) 
-./plugins/LdapAuthentication/LdapAuthenticationPlugin.php: AGPL (v3 or later) 
-./plugins/DiskCache/DiskCachePlugin.php: AGPL (v3 or later) 
-./plugins/DiskCache/DiskCachePlugin.php: AGPL (v3 or later) 
-./plugins/EmailSummary/useremailsummaryhandler.php: AGPL (v3 or later) 
-./plugins/EmailSummary/sendemailsummary.php: AGPL (v3 or later) 
-./plugins/EmailSummary/Email_summary_status.php: AGPL (v3 or later) 
-./plugins/EmailSummary/EmailSummaryPlugin.php: AGPL (v3 or later) 
-./plugins/EmailSummary/siteemailsummaryhandler.php: AGPL (v3 or later) 
-./plugins/EmailSummary/useremailsummaryhandler.php: AGPL (v3 or later) 
-./plugins/EmailSummary/sendemailsummary.php: AGPL (v3 or later) 
-./plugins/EmailSummary/Email_summary_status.php: AGPL (v3 or later) 
-./plugins/EmailSummary/EmailSummaryPlugin.php: AGPL (v3 or later) 
-./plugins/EmailSummary/siteemailsummaryhandler.php: AGPL (v3 or later) 
-./plugins/FirePHP/FirePHPPlugin.php: AGPL (v3 or later) 
-./plugins/FirePHP/FirePHPPlugin.php: AGPL (v3 or later) 
-./plugins/FirePHP/extlib/FirePHP/lib/FirePHPCore/fb.php: BSD (3 clause) 
-./plugins/FirePHP/extlib/FirePHP/lib/FirePHPCore/FirePHP.class.php: BSD (3 clause) 
-./plugins/FirePHP/extlib/FirePHP/lib/FirePHPCore/fb.php: BSD (3 clause) 
-./plugins/FirePHP/extlib/FirePHP/lib/FirePHPCore/FirePHP.class.php: BSD (3 clause) 
-./plugins/FollowEveryone/User_followeveryone_prefs.php: AGPL (v3 or later) 
-./plugins/FollowEveryone/FollowEveryonePlugin.php: AGPL (v3 or later) 
-./plugins/FollowEveryone/User_followeveryone_prefs.php: AGPL (v3 or later) 
-./plugins/FollowEveryone/FollowEveryonePlugin.php: AGPL (v3 or later) 
-./plugins/OpenX/openxadminpanel.php: AGPL (v3 or later) 
-./plugins/OpenX/OpenXPlugin.php: AGPL (v3 or later) 
-./plugins/OpenX/openxadminpanel.php: AGPL (v3 or later) 
-./plugins/OpenX/OpenXPlugin.php: AGPL (v3 or later) 
-./plugins/ClientSideShorten/shorten.php: AGPL (v3 or later) 
-./plugins/ClientSideShorten/ClientSideShortenPlugin.php: AGPL (v3 or later) 
-./plugins/ClientSideShorten/shorten.php: AGPL (v3 or later) 
-./plugins/ClientSideShorten/ClientSideShortenPlugin.php: AGPL (v3 or later) 
-./plugins/RequireValidatedEmail/RequireValidatedEmailPlugin.php: AGPL (v3 or later) 
-./plugins/RequireValidatedEmail/confirmfirstemail.php: AGPL (v3 or later) 
-./plugins/RequireValidatedEmail/registerbyemail.php: AGPL (v3 or later) 
-./plugins/RequireValidatedEmail/RequireValidatedEmailPlugin.php: AGPL (v3 or later) 
-./plugins/RequireValidatedEmail/confirmfirstemail.php: AGPL (v3 or later) 
-./plugins/RequireValidatedEmail/registerbyemail.php: AGPL (v3 or later) 
-./plugins/RegisterThrottle/Registration_ip.php: AGPL (v3 or later) 
-./plugins/RegisterThrottle/RegisterThrottlePlugin.php: AGPL (v3 or later) 
-./plugins/RegisterThrottle/Registration_ip.php: AGPL (v3 or later) 
-./plugins/RegisterThrottle/RegisterThrottlePlugin.php: AGPL (v3 or later) 
-./plugins/Imap/ImapPlugin.php: AGPL (v3 or later) 
-./plugins/Imap/imapmailhandler.php: AGPL (v3 or later) 
-./plugins/Imap/imapmanager.php: AGPL (v3 or later) 
-./plugins/Imap/ImapPlugin.php: AGPL (v3 or later) 
-./plugins/Imap/imapmailhandler.php: AGPL (v3 or later) 
-./plugins/Imap/imapmanager.php: AGPL (v3 or later) 
-./plugins/NewMenu/NewMenuPlugin.php: AGPL (v3 or later) 
-./plugins/NewMenu/NewMenuPlugin.php: AGPL (v3 or later) 
-./plugins/LilUrl/LilUrlPlugin.php: AGPL (v3 or later) 
-./plugins/LilUrl/LilUrlPlugin.php: AGPL (v3 or later) 
-./plugins/Minify/minify.php: AGPL (v3 or later) 
-./plugins/Minify/MinifyPlugin.php: AGPL (v3 or later) 
-./plugins/Minify/minify.php: AGPL (v3 or later) 
-./plugins/Minify/extlib/minify/min/index.php: *No copyright* GENERATED FILE
-./plugins/Minify/extlib/minify/min/utils.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/groupsConfig.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/builder/index.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/builder/ocCheck.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/builder/index.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/builder/ocCheck.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/index.php: *No copyright* GENERATED FILE
-./plugins/Minify/extlib/minify/min/utils.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/JSMin.php: MIT/X11 (BSD like) 
-./plugins/Minify/extlib/minify/min/lib/JSMinPlus.php: MPL (v1.1) GPL (unversioned/unknown version) 
-./plugins/Minify/extlib/minify/min/lib/FirePHP.php: BSD (3 clause) 
-./plugins/Minify/extlib/minify/min/lib/Minify.php: UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/Solar/Dir.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/Solar/Dir.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/JSMin.php: MIT/X11 (BSD like) 
-./plugins/Minify/extlib/minify/min/lib/JSMinPlus.php: MPL (v1.1) GPL (unversioned/unknown version) 
-./plugins/Minify/extlib/minify/min/lib/FirePHP.php: BSD (3 clause) 
-./plugins/Minify/extlib/minify/min/lib/Minify/CommentPreserver.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/Minify/Build.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/Minify/Source.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/Minify/HTML.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/Minify/Packer.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/Minify/CSS.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/Minify/ImportProcessor.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/Minify/Lines.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/Minify/YUICompressor.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/Minify/Logger.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/Minify/Controller/Files.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/Minify/Controller/Groups.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/Minify/Controller/MinApp.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/Minify/Controller/Base.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/Minify/Controller/Version1.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/Minify/Controller/Page.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/Minify/Controller/Files.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/Minify/Controller/Groups.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/Minify/Controller/MinApp.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/Minify/Controller/Base.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/Minify/Controller/Version1.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/Minify/Controller/Page.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/Minify/CommentPreserver.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/Minify/Build.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/Minify/Source.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/Minify/HTML.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/Minify/CSS/Compressor.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/Minify/CSS/UriRewriter.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/Minify/CSS/Compressor.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/Minify/CSS/UriRewriter.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/Minify/Cache/Memcache.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/Minify/Cache/APC.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/Minify/Cache/File.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/Minify/Cache/Memcache.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/Minify/Cache/APC.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/Minify/Cache/File.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/Minify/Packer.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/Minify/CSS.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/Minify/ImportProcessor.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/Minify/Lines.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/Minify/YUICompressor.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/Minify/Logger.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/Minify.php: UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/HTTP/ConditionalGet.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/HTTP/Encoder.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/HTTP/ConditionalGet.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/lib/HTTP/Encoder.php: *No copyright* UNKNOWN
-./plugins/Minify/extlib/minify/min/groupsConfig.php: *No copyright* UNKNOWN
-./plugins/Minify/MinifyPlugin.php: AGPL (v3 or later) 
-./plugins/LinkPreview/LinkPreviewPlugin.php: AGPL (v3 or later) 
-./plugins/LinkPreview/oembedproxyaction.php: AGPL (v3 or later) 
-./plugins/LinkPreview/LinkPreviewPlugin.php: AGPL (v3 or later) 
-./plugins/LinkPreview/oembedproxyaction.php: AGPL (v3 or later) 
-./plugins/BlankAd/BlankAdPlugin.php: AGPL (v3 or later) 
-./plugins/BlankAd/BlankAdPlugin.php: AGPL (v3 or later) 
-./plugins/GroupPrivateMessage/Group_message_profile.php: AGPL (v3 or later) 
-./plugins/GroupPrivateMessage/groupmessagelist.php: AGPL (v3 or later) 
-./plugins/GroupPrivateMessage/groupmessagecommand.php: AGPL (v3 or later) 
-./plugins/GroupPrivateMessage/GroupPrivateMessagePlugin.php: AGPL (v3 or later) 
-./plugins/GroupPrivateMessage/Group_message.php: AGPL (v3 or later) 
-./plugins/GroupPrivateMessage/groupmessageform.php: AGPL (v3 or later) 
-./plugins/GroupPrivateMessage/newgroupmessage.php: AGPL (v3 or later) 
-./plugins/GroupPrivateMessage/groupmessagelistitem.php: AGPL (v3 or later) 
-./plugins/GroupPrivateMessage/Group_privacy_settings.php: AGPL (v3 or later) 
-./plugins/GroupPrivateMessage/showgroupmessage.php: AGPL (v3 or later) 
-./plugins/GroupPrivateMessage/groupinbox.php: AGPL (v3 or later) 
-./plugins/GroupPrivateMessage/Group_message_profile.php: AGPL (v3 or later) 
-./plugins/GroupPrivateMessage/groupmessagelist.php: AGPL (v3 or later) 
-./plugins/GroupPrivateMessage/groupmessagecommand.php: AGPL (v3 or later) 
-./plugins/GroupPrivateMessage/GroupPrivateMessagePlugin.php: AGPL (v3 or later) 
-./plugins/GroupPrivateMessage/Group_message.php: AGPL (v3 or later) 
-./plugins/GroupPrivateMessage/groupmessageform.php: AGPL (v3 or later) 
-./plugins/GroupPrivateMessage/newgroupmessage.php: AGPL (v3 or later) 
-./plugins/GroupPrivateMessage/groupmessagelistitem.php: AGPL (v3 or later) 
-./plugins/GroupPrivateMessage/Group_privacy_settings.php: AGPL (v3 or later) 
-./plugins/GroupPrivateMessage/showgroupmessage.php: AGPL (v3 or later) 
-./plugins/GroupPrivateMessage/groupinbox.php: AGPL (v3 or later) 
-./plugins/Mapstraction/MapstractionPlugin.php: AGPL (v3 or later) 
-./plugins/Mapstraction/map.php: AGPL (v3 or later) 
-./plugins/Mapstraction/allmap.php: AGPL (v3 or later) 
-./plugins/Mapstraction/usermap.php: AGPL (v3 or later) 
-./plugins/Mapstraction/MapstractionPlugin.php: AGPL (v3 or later) 
-./plugins/Mapstraction/map.php: AGPL (v3 or later) 
-./plugins/Mapstraction/allmap.php: AGPL (v3 or later) 
-./plugins/Mapstraction/usermap.php: AGPL (v3 or later) 
-./plugins/Orbited/OrbitedPlugin.php: AGPL (v3 or later) 
-./plugins/Orbited/OrbitedPlugin.php: AGPL (v3 or later) 
-./plugins/OpenID/openidsettings.php: AGPL (v3 or later) 
-./plugins/OpenID/User_openid_trustroot.php: *No copyright* UNKNOWN
-./plugins/OpenID/finishopenidlogin.php: AGPL (v3 or later) 
-./plugins/OpenID/openidadminpanel.php: AGPL (v3 or later) 
-./plugins/OpenID/OpenIDPlugin.php: AGPL (v3 or later) 
-./plugins/OpenID/openidtrust.php: AGPL (v3 or later) 
-./plugins/OpenID/openid.php: AGPL (v3 or later) 
-./plugins/OpenID/openidserver.php: AGPL (v3 or later) 
-./plugins/OpenID/openidlogin.php: AGPL (v3 or later) 
-./plugins/OpenID/User_openid.php: *No copyright* UNKNOWN
-./plugins/OpenID/finishaddopenid.php: AGPL (v3 or later) 
-./plugins/OpenID/openidsettings.php: AGPL (v3 or later) 
-./plugins/OpenID/User_openid_trustroot.php: *No copyright* UNKNOWN
-./plugins/OpenID/finishopenidlogin.php: AGPL (v3 or later) 
-./plugins/OpenID/openidadminpanel.php: AGPL (v3 or later) 
-./plugins/OpenID/OpenIDPlugin.php: AGPL (v3 or later) 
-./plugins/OpenID/openidtrust.php: AGPL (v3 or later) 
-./plugins/OpenID/openid.php: AGPL (v3 or later) 
-./plugins/OpenID/openidserver.php: AGPL (v3 or later) 
-./plugins/OpenID/openidlogin.php: AGPL (v3 or later) 
-./plugins/OpenID/User_openid.php: *No copyright* UNKNOWN
-./plugins/OpenID/extlib/teams-extension.php: AGPL (v3 or later) 
-./plugins/OpenID/extlib/teams-extension.php: AGPL (v3 or later) 
-./plugins/OpenID/finishaddopenid.php: AGPL (v3 or later) 
-./plugins/ExtendedProfile/profiledetailaction.php: AGPL (v3 or later) 
-./plugins/ExtendedProfile/Profile_detail.php: AGPL (v3 or later) 
-./plugins/ExtendedProfile/ExtendedProfilePlugin.php: AGPL (v3 or later) 
-./plugins/ExtendedProfile/profiledetailsettingsaction.php: AGPL (v3 or later) 
-./plugins/ExtendedProfile/extendedprofilewidget.php: AGPL (v3 or later) 
-./plugins/ExtendedProfile/extendedprofile.php: AGPL (v3 or later) 
-./plugins/ExtendedProfile/profiledetailaction.php: AGPL (v3 or later) 
-./plugins/ExtendedProfile/Profile_detail.php: AGPL (v3 or later) 
-./plugins/ExtendedProfile/ExtendedProfilePlugin.php: AGPL (v3 or later) 
-./plugins/ExtendedProfile/profiledetailsettingsaction.php: AGPL (v3 or later) 
-./plugins/ExtendedProfile/extendedprofilewidget.php: AGPL (v3 or later) 
-./plugins/ExtendedProfile/extendedprofile.php: AGPL (v3 or later) 
-./plugins/XCache/XCachePlugin.php: AGPL (v3 or later) 
-./plugins/XCache/XCachePlugin.php: AGPL (v3 or later) 
-./plugins/Awesomeness/AwesomenessPlugin.php: *No copyright* AGPL (v3 or later) 
-./plugins/Awesomeness/AwesomenessPlugin.php: *No copyright* AGPL (v3 or later) 
-./plugins/TabFocus/TabFocusPlugin.php: AGPL (v3 or later) 
-./plugins/TabFocus/TabFocusPlugin.php: AGPL (v3 or later) 
-./plugins/PiwikAnalytics/PiwikAnalyticsPlugin.php: AGPL (v3 or later) 
-./plugins/PiwikAnalytics/PiwikAnalyticsPlugin.php: AGPL (v3 or later) 
-./plugins/ModHelper/ModHelperPlugin.php: AGPL (v3 or later) 
-./plugins/ModHelper/ModHelperPlugin.php: AGPL (v3 or later) 
-./plugins/OpenExternalLinkTarget/OpenExternalLinkTargetPlugin.php: AGPL (v3 or later) 
-./plugins/OpenExternalLinkTarget/OpenExternalLinkTargetPlugin.php: AGPL (v3 or later) 
-./plugins/NoticeTitle/Notice_title.php: AGPL (v3 or later) 
-./plugins/NoticeTitle/NoticeTitlePlugin.php: AGPL (v3 or later) 
-./plugins/NoticeTitle/Notice_title.php: AGPL (v3 or later) 
-./plugins/NoticeTitle/NoticeTitlePlugin.php: AGPL (v3 or later) 
-./plugins/UserLimit/UserLimitPlugin.php: AGPL (v3 or later) 
-./plugins/UserLimit/UserLimitPlugin.php: AGPL (v3 or later) 
-./plugins/Bookmark/BookmarkPlugin.php: AGPL (v3 or later) 
-./plugins/Bookmark/bookmarkform.php: AGPL (v3 or later) 
-./plugins/Bookmark/noticebyurl.php: AGPL (v3 or later) 
-./plugins/Bookmark/importdelicious.php: AGPL (v3 or later) 
-./plugins/Bookmark/deliciousbookmarkimporter.php: AGPL (v3 or later) 
-./plugins/Bookmark/newbookmark.php: AGPL (v3 or later) 
-./plugins/Bookmark/deliciousbackupimporter.php: AGPL (v3 or later) 
-./plugins/Bookmark/Bookmark.php: AGPL (v3 or later) 
-./plugins/Bookmark/importbookmarks.php: AGPL (v3 or later) 
-./plugins/Bookmark/bookmarkpopup.php: AGPL (v3 or later) 
-./plugins/Bookmark/showbookmark.php: AGPL (v3 or later) 
-./plugins/Bookmark/BookmarkPlugin.php: AGPL (v3 or later) 
-./plugins/Bookmark/bookmarkform.php: AGPL (v3 or later) 
-./plugins/Bookmark/noticebyurl.php: AGPL (v3 or later) 
-./plugins/Bookmark/importdelicious.php: AGPL (v3 or later) 
-./plugins/Bookmark/deliciousbookmarkimporter.php: AGPL (v3 or later) 
-./plugins/Bookmark/newbookmark.php: AGPL (v3 or later) 
-./plugins/Bookmark/deliciousbackupimporter.php: AGPL (v3 or later) 
-./plugins/Bookmark/Bookmark.php: AGPL (v3 or later) 
-./plugins/Bookmark/importbookmarks.php: AGPL (v3 or later) 
-./plugins/Bookmark/bookmarkpopup.php: AGPL (v3 or later) 
-./plugins/Bookmark/showbookmark.php: AGPL (v3 or later) 
-./plugins/PostDebug/PostDebugPlugin.php: AGPL (v3 or later) 
-./plugins/PostDebug/PostDebugPlugin.php: AGPL (v3 or later) 
-./plugins/AnonymousFave/anonfavorform.php: AGPL (v3 or later) 
-./plugins/AnonymousFave/Fave_tally.php: AGPL (v3 or later) 
-./plugins/AnonymousFave/AnonymousFavePlugin.php: AGPL (v3 or later) 
-./plugins/AnonymousFave/anondisfavorform.php: AGPL (v3 or later) 
-./plugins/AnonymousFave/anondisfavor.php: AGPL (v3 or later) 
-./plugins/AnonymousFave/anonfavor.php: AGPL (v3 or later) 
-./plugins/AnonymousFave/anonfavorform.php: AGPL (v3 or later) 
-./plugins/AnonymousFave/Fave_tally.php: AGPL (v3 or later) 
-./plugins/AnonymousFave/AnonymousFavePlugin.php: AGPL (v3 or later) 
-./plugins/AnonymousFave/anondisfavorform.php: AGPL (v3 or later) 
-./plugins/AnonymousFave/anondisfavor.php: AGPL (v3 or later) 
-./plugins/AnonymousFave/anonfavor.php: AGPL (v3 or later) 
-./plugins/AnonymousFave/scripts/initialize_fave_tallys.php: AGPL (v3 or later) 
-./plugins/AnonymousFave/scripts/initialize_fave_tallys.php: AGPL (v3 or later) 
-./plugins/TightUrl/TightUrlPlugin.php: AGPL (v3 or later) 
-./plugins/TightUrl/TightUrlPlugin.php: AGPL (v3 or later) 
-./plugins/OStatus/OStatusPlugin.php: AGPL (v3 or later) 
-./plugins/OStatus/classes/Magicsig.php: AGPL (v3 or later) 
-./plugins/OStatus/classes/FeedSub.php: AGPL (v3 or later) 
-./plugins/OStatus/classes/Ostatus_profile.php: AGPL (v3 or later) 
-./plugins/OStatus/classes/HubSub.php: AGPL (v3 or later) 
-./plugins/OStatus/classes/Ostatus_source.php: AGPL (v3 or later) 
-./plugins/OStatus/classes/Magicsig.php: AGPL (v3 or later) 
-./plugins/OStatus/classes/FeedSub.php: AGPL (v3 or later) 
-./plugins/OStatus/classes/Ostatus_profile.php: AGPL (v3 or later) 
-./plugins/OStatus/classes/HubSub.php: AGPL (v3 or later) 
-./plugins/OStatus/classes/Ostatus_source.php: AGPL (v3 or later) 
-./plugins/OStatus/tests/FeedDiscoveryTest.php: *No copyright* UNKNOWN
-./plugins/OStatus/tests/remote-tests.php: *No copyright* UNKNOWN
-./plugins/OStatus/tests/MagicEnvelopeTest.php: *No copyright* UNKNOWN
-./plugins/OStatus/tests/gettext-speedtest.php: *No copyright* UNKNOWN
-./plugins/OStatus/tests/slap.php: AGPL (v3 or later) 
-./plugins/OStatus/tests/FeedDiscoveryTest.php: *No copyright* UNKNOWN
-./plugins/OStatus/tests/remote-tests.php: *No copyright* UNKNOWN
-./plugins/OStatus/tests/MagicEnvelopeTest.php: *No copyright* UNKNOWN
-./plugins/OStatus/tests/gettext-speedtest.php: *No copyright* UNKNOWN
-./plugins/OStatus/tests/slap.php: AGPL (v3 or later) 
-./plugins/OStatus/OStatusPlugin.php: AGPL (v3 or later) 
-./plugins/OStatus/actions/ownerxrd.php: AGPL (v3 or later) 
-./plugins/OStatus/actions/ostatusinit.php: AGPL (v3 or later) 
-./plugins/OStatus/actions/pushcallback.php: AGPL (v3 or later) 
-./plugins/OStatus/actions/ostatusgroup.php: AGPL (v3 or later) 
-./plugins/OStatus/actions/groupsalmon.php: AGPL (v3 or later) 
-./plugins/OStatus/actions/pushhub.php: AGPL (v3 or later) 
-./plugins/OStatus/actions/usersalmon.php: AGPL (v3 or later) 
-./plugins/OStatus/actions/ostatussub.php: AGPL (v3 or later) 
-./plugins/OStatus/actions/ownerxrd.php: AGPL (v3 or later) 
-./plugins/OStatus/actions/ostatusinit.php: AGPL (v3 or later) 
-./plugins/OStatus/actions/pushcallback.php: AGPL (v3 or later) 
-./plugins/OStatus/actions/ostatusgroup.php: AGPL (v3 or later) 
-./plugins/OStatus/actions/groupsalmon.php: AGPL (v3 or later) 
-./plugins/OStatus/actions/pushhub.php: AGPL (v3 or later) 
-./plugins/OStatus/actions/usersalmon.php: AGPL (v3 or later) 
-./plugins/OStatus/actions/ostatussub.php: AGPL (v3 or later) 
-./plugins/OStatus/lib/salmonaction.php: AGPL (v3 or later) 
-./plugins/OStatus/lib/hubprepqueuehandler.php: AGPL (v3 or later) 
-./plugins/OStatus/lib/hubconfqueuehandler.php: AGPL (v3 or later) 
-./plugins/OStatus/lib/discoveryhints.php: AGPL (v3 or later) 
-./plugins/OStatus/lib/salmonqueuehandler.php: AGPL (v3 or later) 
-./plugins/OStatus/lib/feeddiscovery.php: AGPL (v3 or later) 
-./plugins/OStatus/lib/huboutqueuehandler.php: AGPL (v3 or later) 
-./plugins/OStatus/lib/salmon.php: AGPL (v3 or later) 
-./plugins/OStatus/lib/ostatusqueuehandler.php: AGPL (v3 or later) 
-./plugins/OStatus/lib/magicenvelope.php: AGPL (v3 or later) 
-./plugins/OStatus/lib/pushinqueuehandler.php: AGPL (v3 or later) 
-./plugins/OStatus/lib/salmonaction.php: AGPL (v3 or later) 
-./plugins/OStatus/lib/hubprepqueuehandler.php: AGPL (v3 or later) 
-./plugins/OStatus/lib/hubconfqueuehandler.php: AGPL (v3 or later) 
-./plugins/OStatus/lib/discoveryhints.php: AGPL (v3 or later) 
-./plugins/OStatus/lib/salmonqueuehandler.php: AGPL (v3 or later) 
-./plugins/OStatus/lib/feeddiscovery.php: AGPL (v3 or later) 
-./plugins/OStatus/lib/huboutqueuehandler.php: AGPL (v3 or later) 
-./plugins/OStatus/lib/salmon.php: AGPL (v3 or later) 
-./plugins/OStatus/lib/ostatusqueuehandler.php: AGPL (v3 or later) 
-./plugins/OStatus/lib/magicenvelope.php: AGPL (v3 or later) 
-./plugins/OStatus/lib/pushinqueuehandler.php: AGPL (v3 or later) 
-./plugins/OStatus/extlib/Crypt/TripleDES.php: LGPL (v2.1 or later) (with incorrect FSF address) 
-./plugins/OStatus/extlib/Crypt/DES.php: LGPL (v2.1 or later) (with incorrect FSF address) 
-./plugins/OStatus/extlib/Crypt/RSA.php: *No copyright* LGPL (v2.1 or later) (with incorrect FSF address) 
-./plugins/OStatus/extlib/Crypt/Random.php: LGPL (v2.1 or later) (with incorrect FSF address) 
-./plugins/OStatus/extlib/Crypt/Rijndael.php: *No copyright* LGPL (v2.1 or later) (with incorrect FSF address) 
-./plugins/OStatus/extlib/Crypt/RC4.php: LGPL (v2.1 or later) (with incorrect FSF address) 
-./plugins/OStatus/extlib/Crypt/AES.php: LGPL (v2.1 or later) (with incorrect FSF address) 
-./plugins/OStatus/extlib/Crypt/Hash.php: LGPL (v2.1 or later) (with incorrect FSF address) 
-./plugins/OStatus/extlib/Crypt/TripleDES.php: LGPL (v2.1 or later) (with incorrect FSF address) 
-./plugins/OStatus/extlib/Crypt/DES.php: LGPL (v2.1 or later) (with incorrect FSF address) 
-./plugins/OStatus/extlib/Crypt/RSA.php: *No copyright* LGPL (v2.1 or later) (with incorrect FSF address) 
-./plugins/OStatus/extlib/Crypt/Random.php: LGPL (v2.1 or later) (with incorrect FSF address) 
-./plugins/OStatus/extlib/Crypt/Rijndael.php: *No copyright* LGPL (v2.1 or later) (with incorrect FSF address) 
-./plugins/OStatus/extlib/Crypt/RC4.php: LGPL (v2.1 or later) (with incorrect FSF address) 
-./plugins/OStatus/extlib/Crypt/AES.php: LGPL (v2.1 or later) (with incorrect FSF address) 
-./plugins/OStatus/extlib/Crypt/Hash.php: LGPL (v2.1 or later) (with incorrect FSF address) 
-./plugins/OStatus/extlib/Math/BigInteger.php: *No copyright* LGPL (v2.1 or later) 
-./plugins/OStatus/extlib/Math/BigInteger.php: *No copyright* LGPL (v2.1 or later) 
-./plugins/OStatus/scripts/update-profile.php: AGPL (v3 or later) 
-./plugins/OStatus/scripts/testfeed.php: AGPL (v3 or later) 
-./plugins/OStatus/scripts/resub-feed.php: AGPL (v3 or later) 
-./plugins/OStatus/scripts/updateostatus.php: AGPL (v3 or later) 
-./plugins/OStatus/scripts/update-profile-data.php: AGPL (v3 or later) 
-./plugins/OStatus/scripts/fixup-shadow.php: AGPL (v3 or later) 
-./plugins/OStatus/scripts/update-profile.php: AGPL (v3 or later) 
-./plugins/OStatus/scripts/testfeed.php: AGPL (v3 or later) 
-./plugins/OStatus/scripts/resub-feed.php: AGPL (v3 or later) 
-./plugins/OStatus/scripts/updateostatus.php: AGPL (v3 or later) 
-./plugins/OStatus/scripts/update-profile-data.php: AGPL (v3 or later) 
-./plugins/OStatus/scripts/fixup-shadow.php: AGPL (v3 or later) 
-./plugins/Template/TemplatePlugin.php: UNKNOWN
-./plugins/Template/TemplatePlugin.php: UNKNOWN
-./plugins/EmailAuthentication/EmailAuthenticationPlugin.php: AGPL (v3 or later) 
-./plugins/EmailAuthentication/EmailAuthenticationPlugin.php: AGPL (v3 or later) 
-./plugins/CacheLog/CacheLogPlugin.php: AGPL (v3 or later) 
-./plugins/CacheLog/CacheLogPlugin.php: AGPL (v3 or later) 
-./plugins/ApiLogger/ApiLoggerPlugin.php: AGPL (v3 or later) 
-./plugins/ApiLogger/ApiLoggerPlugin.php: AGPL (v3 or later) 
-./plugins/APC/APCPlugin.php: AGPL (v3 or later) 
-./plugins/APC/APCPlugin.php: AGPL (v3 or later) 
-./plugins/Gravatar/GravatarPlugin.php: AGPL (v3 or later) 
-./plugins/Gravatar/GravatarPlugin.php: AGPL (v3 or later) 
-./plugins/Echo/EchoPlugin.php: AGPL (v3 or later) 
-./plugins/Echo/EchoPlugin.php: AGPL (v3 or later) 
-./plugins/Geonames/GeonamesPlugin.php: AGPL (v3 or later) 
-./plugins/Geonames/GeonamesPlugin.php: AGPL (v3 or later) 
-./plugins/PoweredByStatusNet/PoweredByStatusNetPlugin.php: AGPL (v3 or later) 
-./plugins/PoweredByStatusNet/PoweredByStatusNetPlugin.php: AGPL (v3 or later) 
-./plugins/LdapAuthorization/LdapAuthorizationPlugin.php: AGPL (v3 or later) 
-./plugins/LdapAuthorization/LdapAuthorizationPlugin.php: AGPL (v3 or later) 
-./plugins/Memcache/MemcachePlugin.php: AGPL (v3 or later) 
-./plugins/Memcache/MemcachePlugin.php: AGPL (v3 or later) 
-./plugins/MobileProfile/MobileProfilePlugin.php: AGPL (v3 or later) 
-./plugins/MobileProfile/MobileProfilePlugin.php: AGPL (v3 or later) 
-./plugins/SubMirror/SubMirrorPlugin.php: AGPL (v3 or later) 
-./plugins/SubMirror/classes/SubMirror.php: AGPL (v3 or later) 
-./plugins/SubMirror/classes/SubMirror.php: AGPL (v3 or later) 
-./plugins/SubMirror/actions/editmirror.php: AGPL (v3 or later) 
-./plugins/SubMirror/actions/mirrorsettings.php: AGPL (v3 or later) 
-./plugins/SubMirror/actions/basemirror.php: AGPL (v3 or later) 
-./plugins/SubMirror/actions/addmirror.php: AGPL (v3 or later) 
-./plugins/SubMirror/actions/editmirror.php: AGPL (v3 or later) 
-./plugins/SubMirror/actions/mirrorsettings.php: AGPL (v3 or later) 
-./plugins/SubMirror/actions/basemirror.php: AGPL (v3 or later) 
-./plugins/SubMirror/actions/addmirror.php: AGPL (v3 or later) 
-./plugins/SubMirror/SubMirrorPlugin.php: AGPL (v3 or later) 
-./plugins/SubMirror/lib/addmirrorform.php: AGPL (v3 or later) 
-./plugins/SubMirror/lib/editmirrorform.php: AGPL (v3 or later) 
-./plugins/SubMirror/lib/mirrorqueuehandler.php: AGPL (v3 or later) 
-./plugins/SubMirror/lib/addmirrorform.php: AGPL (v3 or later) 
-./plugins/SubMirror/lib/editmirrorform.php: AGPL (v3 or later) 
-./plugins/SubMirror/lib/mirrorqueuehandler.php: AGPL (v3 or later) 
-./plugins/InfiniteScroll/InfiniteScrollPlugin.php: AGPL (v3 or later) 
-./plugins/InfiniteScroll/InfiniteScrollPlugin.php: AGPL (v3 or later) 
-./plugins/PtitUrl/PtitUrlPlugin.php: AGPL (v3 or later) 
-./plugins/PtitUrl/PtitUrlPlugin.php: AGPL (v3 or later) 
-./plugins/ReverseUsernameAuthentication/ReverseUsernameAuthenticationPlugin.php: AGPL (v3 or later) 
-./plugins/ReverseUsernameAuthentication/ReverseUsernameAuthenticationPlugin.php: AGPL (v3 or later) 
-./plugins/SubscriptionThrottle/SubscriptionThrottlePlugin.php: AGPL (v3 or later) 
-./plugins/SubscriptionThrottle/SubscriptionThrottlePlugin.php: AGPL (v3 or later) 
-./plugins/ModPlus/remoteprofileaction.php: *No copyright* UNKNOWN
-./plugins/ModPlus/ModPlusPlugin.php: AGPL (v3 or later) 
-./plugins/ModPlus/remoteprofileaction.php: *No copyright* UNKNOWN
-./plugins/ModPlus/ModPlusPlugin.php: AGPL (v3 or later) 
-./plugins/Enjit/enjitqueuehandler.php: AGPL (v3 or later) 
-./plugins/Enjit/enjitqueuehandler.php: AGPL (v3 or later) 
-./plugins/InProcessCache/InProcessCachePlugin.php: AGPL (v3 or later) 
-./plugins/InProcessCache/InProcessCachePlugin.php: AGPL (v3 or later) 
-./plugins/Memcached/MemcachedPlugin.php: AGPL (v3 or later) 
-./plugins/Memcached/MemcachedPlugin.php: AGPL (v3 or later) 
-./plugins/BitlyUrl/bitlyadminpanelaction.php: AGPL (v3 or later) 
-./plugins/BitlyUrl/BitlyUrlPlugin.php: AGPL (v3 or later) 
-./plugins/BitlyUrl/bitlyadminpanelaction.php: AGPL (v3 or later) 
-./plugins/BitlyUrl/BitlyUrlPlugin.php: AGPL (v3 or later) 
-./plugins/Mobile/WAP20Plugin.php: AGPL (v3 or later) 
-./plugins/Mobile/WAP20Plugin.php: AGPL (v3 or later) 
-./plugins/Comet/CometPlugin.php: AGPL (v3 or later) 
-./plugins/Comet/bayeux.class.inc.php: LGPL (v2.1 or later) (with incorrect FSF address) 
-./plugins/Comet/CometPlugin.php: AGPL (v3 or later) 
-./plugins/Comet/bayeux.class.inc.php: LGPL (v2.1 or later) (with incorrect FSF address) 
-./plugins/FacebookBridge/FacebookBridgePlugin.php: AGPL (v3 or later) 
-./plugins/FacebookBridge/classes/Notice_to_item.php: AGPL (v3 or later) 
-./plugins/FacebookBridge/classes/Notice_to_item.php: AGPL (v3 or later) 
-./plugins/FacebookBridge/actions/facebooksettings.php: AGPL (v3 or later) 
-./plugins/FacebookBridge/actions/facebookdeauthorize.php: AGPL (v3 or later) 
-./plugins/FacebookBridge/actions/facebookfinishlogin.php: AGPL (v3 or later) 
-./plugins/FacebookBridge/actions/facebooklogin.php: AGPL (v3 or later) 
-./plugins/FacebookBridge/actions/facebookadminpanel.php: AGPL (v3 or later) 
-./plugins/FacebookBridge/actions/facebooksettings.php: AGPL (v3 or later) 
-./plugins/FacebookBridge/actions/facebookdeauthorize.php: AGPL (v3 or later) 
-./plugins/FacebookBridge/actions/facebookfinishlogin.php: AGPL (v3 or later) 
-./plugins/FacebookBridge/actions/facebooklogin.php: AGPL (v3 or later) 
-./plugins/FacebookBridge/actions/facebookadminpanel.php: AGPL (v3 or later) 
-./plugins/FacebookBridge/FacebookBridgePlugin.php: AGPL (v3 or later) 
-./plugins/FacebookBridge/lib/facebookclient.php: AGPL (v3 or later) 
-./plugins/FacebookBridge/lib/facebookqueuehandler.php: AGPL (v3 or later) 
-./plugins/FacebookBridge/lib/facebookclient.php: AGPL (v3 or later) 
-./plugins/FacebookBridge/lib/facebookqueuehandler.php: AGPL (v3 or later) 
-./plugins/FacebookBridge/extlib/facebook.php: *No copyright* UNKNOWN
-./plugins/FacebookBridge/extlib/facebook.php: *No copyright* UNKNOWN
-./plugins/BlogspamNet/BlogspamNetPlugin.php: AGPL (v3 or later) 
-./plugins/BlogspamNet/BlogspamNetPlugin.php: AGPL (v3 or later) 
-./plugins/Blacklist/Nickname_blacklist.php: AGPL (v3 or later) 
-./plugins/Blacklist/BlacklistPlugin.php: AGPL (v3 or later) 
-./plugins/Blacklist/Homepage_blacklist.php: AGPL (v3 or later) 
-./plugins/Blacklist/blacklistadminpanel.php: AGPL (v3 or later) 
-./plugins/Blacklist/Nickname_blacklist.php: AGPL (v3 or later) 
-./plugins/Blacklist/BlacklistPlugin.php: AGPL (v3 or later) 
-./plugins/Blacklist/Homepage_blacklist.php: AGPL (v3 or later) 
-./plugins/Blacklist/blacklistadminpanel.php: AGPL (v3 or later) 
-./plugins/YammerImport/YammerImportPlugin.php: AGPL (v3 or later) 
-./plugins/YammerImport/classes/Yammer_notice.php: AGPL (v3 or later) 
-./plugins/YammerImport/classes/Yammer_state.php: AGPL (v3 or later) 
-./plugins/YammerImport/classes/Yammer_common.php: AGPL (v3 or later) 
-./plugins/YammerImport/classes/Yammer_notice_stub.php: AGPL (v3 or later) 
-./plugins/YammerImport/classes/Yammer_user.php: AGPL (v3 or later) 
-./plugins/YammerImport/classes/Yammer_group.php: AGPL (v3 or later) 
-./plugins/YammerImport/classes/Yammer_notice.php: AGPL (v3 or later) 
-./plugins/YammerImport/classes/Yammer_state.php: AGPL (v3 or later) 
-./plugins/YammerImport/classes/Yammer_common.php: AGPL (v3 or later) 
-./plugins/YammerImport/classes/Yammer_notice_stub.php: AGPL (v3 or later) 
-./plugins/YammerImport/classes/Yammer_user.php: AGPL (v3 or later) 
-./plugins/YammerImport/classes/Yammer_group.php: AGPL (v3 or later) 
-./plugins/YammerImport/actions/yammerauth.php: AGPL (v3 or later) 
-./plugins/YammerImport/actions/yammeradminpanel.php: AGPL (v3 or later) 
-./plugins/YammerImport/actions/yammerauth.php: AGPL (v3 or later) 
-./plugins/YammerImport/actions/yammeradminpanel.php: AGPL (v3 or later) 
-./plugins/YammerImport/YammerImportPlugin.php: AGPL (v3 or later) 
-./plugins/YammerImport/lib/yammerapikeyform.php: *No copyright* UNKNOWN
-./plugins/YammerImport/lib/sn_yammerclient.php: AGPL (v3 or later) 
-./plugins/YammerImport/lib/yammerauthinitform.php: *No copyright* UNKNOWN
-./plugins/YammerImport/lib/yammerprogressform.php: *No copyright* UNKNOWN
-./plugins/YammerImport/lib/yammerimporter.php: AGPL (v3 or later) 
-./plugins/YammerImport/lib/yammerrunner.php: AGPL (v3 or later) 
-./plugins/YammerImport/lib/yammerauthverifyform.php: *No copyright* UNKNOWN
-./plugins/YammerImport/lib/yammerqueuehandler.php: AGPL (v3 or later) 
-./plugins/YammerImport/lib/yammerapikeyform.php: *No copyright* UNKNOWN
-./plugins/YammerImport/lib/sn_yammerclient.php: AGPL (v3 or later) 
-./plugins/YammerImport/lib/yammerauthinitform.php: *No copyright* UNKNOWN
-./plugins/YammerImport/lib/yammerprogressform.php: *No copyright* UNKNOWN
-./plugins/YammerImport/lib/yammerimporter.php: AGPL (v3 or later) 
-./plugins/YammerImport/lib/yammerrunner.php: AGPL (v3 or later) 
-./plugins/YammerImport/lib/yammerauthverifyform.php: *No copyright* UNKNOWN
-./plugins/YammerImport/lib/yammerqueuehandler.php: AGPL (v3 or later) 
-./plugins/YammerImport/scripts/yammer-import.php: *No copyright* UNKNOWN
-./plugins/YammerImport/scripts/yammer-import.php: *No copyright* UNKNOWN
-./plugins/Autocomplete/AutocompletePlugin.php: AGPL (v3 or later) 
-./plugins/Autocomplete/autocomplete.php: AGPL (v3 or later) 
-./plugins/Autocomplete/AutocompletePlugin.php: AGPL (v3 or later) 
-./plugins/Autocomplete/autocomplete.php: AGPL (v3 or later) 
-./plugins/LdapCommon/LdapCommon.php: AGPL (v3 or later) 
-./plugins/LdapCommon/MemcacheSchemaCache.php: AGPL (v3 or later) 
-./plugins/LdapCommon/LdapCommon.php: AGPL (v3 or later) 
-./plugins/LdapCommon/MemcacheSchemaCache.php: AGPL (v3 or later) 
-./plugins/LdapCommon/extlib/Net/LDAP2.php: UNKNOWN
-./plugins/LdapCommon/extlib/Net/LDAP2/RootDSE.php: UNKNOWN
-./plugins/LdapCommon/extlib/Net/LDAP2/Util.php: UNKNOWN
-./plugins/LdapCommon/extlib/Net/LDAP2/SchemaCache.interface.php: UNKNOWN
-./plugins/LdapCommon/extlib/Net/LDAP2/Filter.php: UNKNOWN
-./plugins/LdapCommon/extlib/Net/LDAP2/Schema.php: UNKNOWN
-./plugins/LdapCommon/extlib/Net/LDAP2/Entry.php: UNKNOWN
-./plugins/LdapCommon/extlib/Net/LDAP2/SimpleFileSchemaCache.php: UNKNOWN
-./plugins/LdapCommon/extlib/Net/LDAP2/Search.php: UNKNOWN
-./plugins/LdapCommon/extlib/Net/LDAP2/LDIF.php: UNKNOWN
-./plugins/LdapCommon/extlib/Net/LDAP2/RootDSE.php: UNKNOWN
-./plugins/LdapCommon/extlib/Net/LDAP2/Util.php: UNKNOWN
-./plugins/LdapCommon/extlib/Net/LDAP2/SchemaCache.interface.php: UNKNOWN
-./plugins/LdapCommon/extlib/Net/LDAP2/Filter.php: UNKNOWN
-./plugins/LdapCommon/extlib/Net/LDAP2/Schema.php: UNKNOWN
-./plugins/LdapCommon/extlib/Net/LDAP2/Entry.php: UNKNOWN
-./plugins/LdapCommon/extlib/Net/LDAP2/SimpleFileSchemaCache.php: UNKNOWN
-./plugins/LdapCommon/extlib/Net/LDAP2/Search.php: UNKNOWN
-./plugins/LdapCommon/extlib/Net/LDAP2/LDIF.php: UNKNOWN
-./plugins/LdapCommon/extlib/Net/LDAP2.php: UNKNOWN
-./plugins/Mollom/MollomPlugin.php: *No copyright* AGPL (v3 or later) 
-./plugins/Mollom/MollomPlugin.php: *No copyright* AGPL (v3 or later) 
-./plugins/SlicedFavorites/SlicedFavoritesPlugin.php: AGPL (v3 or later) 
-./plugins/SlicedFavorites/favoritedsliceaction.php: AGPL (v3 or later) 
-./plugins/SlicedFavorites/SlicedFavoritesPlugin.php: AGPL (v3 or later) 
-./plugins/SlicedFavorites/favoritedsliceaction.php: AGPL (v3 or later) 
-./plugins/SQLProfile/SQLProfilePlugin.php: AGPL (v3 or later) 
-./plugins/SQLProfile/SQLProfilePlugin.php: AGPL (v3 or later) 
-./plugins/Recaptcha/RecaptchaPlugin.php: AGPL (v3 or later) 
-./plugins/Recaptcha/recaptchalib.php: MIT/X11 (BSD like) 
-./plugins/Recaptcha/RecaptchaPlugin.php: AGPL (v3 or later) 
-./plugins/Recaptcha/recaptchalib.php: MIT/X11 (BSD like) 
-./plugins/ForceGroup/ForceGroupPlugin.php: AGPL (v3 or later) 
-./plugins/ForceGroup/ForceGroupPlugin.php: AGPL (v3 or later) 
-./plugins/GoogleAnalytics/GoogleAnalyticsPlugin.php: AGPL (v3 or later) 
-./plugins/GoogleAnalytics/GoogleAnalyticsPlugin.php: AGPL (v3 or later) 
-./plugins/Adsense/AdsensePlugin.php: AGPL (v3 or later) 
-./plugins/Adsense/adsenseadminpanel.php: AGPL (v3 or later) 
-./plugins/Adsense/AdsensePlugin.php: AGPL (v3 or later) 
-./plugins/Adsense/adsenseadminpanel.php: AGPL (v3 or later) 
-./classes/User_username.php: *No copyright* UNKNOWN
-./classes/Design.php: AGPL (v3 or later) 
-./classes/Message.php: *No copyright* UNKNOWN
-./classes/Session.php: AGPL (v3 or later) 
-./classes/Reply.php: *No copyright* UNKNOWN
-./classes/Safe_DataObject.php: AGPL (v3 or later) 
-./classes/Foreign_user.php: *No copyright* UNKNOWN
-./classes/Oauth_token_association.php: *No copyright* UNKNOWN
-./classes/User_group.php: *No copyright* UNKNOWN
-./classes/Related_group.php: *No copyright* UNKNOWN
-./classes/Invitation.php: *No copyright* UNKNOWN
-./classes/Local_group.php: *No copyright* UNKNOWN
-./classes/Consumer.php: *No copyright* UNKNOWN
-./classes/Token.php: *No copyright* UNKNOWN
-./classes/Oauth_application_user.php: *No copyright* UNKNOWN
-./classes/File_thumbnail.php: AGPL (v3 or later) 
-./classes/Location_namespace.php: AGPL (v3 or later) 
-./classes/Confirm_address.php: *No copyright* UNKNOWN
-./classes/Status_network_tag.php: AGPL (v3 or later) 
-./classes/Group_inbox.php: *No copyright* UNKNOWN
-./classes/Foreign_link.php: *No copyright* UNKNOWN
-./classes/File_redirection.php: AGPL (v3 or later) 
-./classes/Nonce.php: *No copyright* UNKNOWN
-./classes/Notice_source.php: *No copyright* UNKNOWN
-./classes/Conversation.php: AGPL (v3 or later) 
-./classes/Remember_me.php: *No copyright* UNKNOWN
-./classes/Sms_carrier.php: *No copyright* UNKNOWN
-./classes/Queue_item.php: *No copyright* UNKNOWN
-./classes/Fave.php: *No copyright* UNKNOWN
-./classes/Foreign_subscription.php: *No copyright* UNKNOWN
-./classes/Oauth_application.php: *No copyright* UNKNOWN
-./classes/User.php: AGPL (v3 or later) 
-./classes/Deleted_notice.php: AGPL (v3 or later) 
-./classes/Group_alias.php: AGPL (v3 or later) 
-./classes/File.php: AGPL (v3 or later) 
-./classes/Avatar.php: *No copyright* UNKNOWN
-./classes/Remote_profile.php: AGPL (v3 or later) 
-./classes/Status_network.php: AGPL (v3 or later) 
-./classes/Inbox.php: AGPL (v3 or later) 
-./classes/Subscription.php: AGPL (v3 or later) 
-./classes/Notice_tag.php: AGPL (v3 or later) 
-./classes/Config.php: AGPL (v3 or later) 
-./classes/User_location_prefs.php: AGPL (v3 or later) 
-./classes/Login_token.php: AGPL (v3 or later) 
-./classes/Notice_inbox.php: AGPL (v3 or later) 
-./classes/File_to_post.php: AGPL (v3 or later) 
-./classes/Memcached_DataObject.php: AGPL (v3 or later) 
-./classes/Profile_role.php: AGPL (v3 or later) 
-./classes/Group_block.php: AGPL (v3 or later) 
-./classes/Profile_block.php: AGPL (v3 or later) 
-./classes/Profile.php: AGPL (v3 or later) 
-./classes/File_oembed.php: AGPL (v3 or later) 
-./classes/Notice.php: AGPL (v3 or later) 
-./classes/Foreign_service.php: *No copyright* UNKNOWN
-./classes/Profile_tag.php: *No copyright* UNKNOWN
-./classes/Group_member.php: *No copyright* UNKNOWN
-./classes/User_username.php: *No copyright* UNKNOWN
-./classes/Design.php: AGPL (v3 or later) 
-./classes/Message.php: *No copyright* UNKNOWN
-./classes/Session.php: AGPL (v3 or later) 
-./classes/Reply.php: *No copyright* UNKNOWN
-./classes/Safe_DataObject.php: AGPL (v3 or later) 
-./classes/Foreign_user.php: *No copyright* UNKNOWN
-./classes/Oauth_token_association.php: *No copyright* UNKNOWN
-./classes/User_group.php: *No copyright* UNKNOWN
-./classes/Related_group.php: *No copyright* UNKNOWN
-./classes/Invitation.php: *No copyright* UNKNOWN
-./classes/Local_group.php: *No copyright* UNKNOWN
-./classes/Consumer.php: *No copyright* UNKNOWN
-./classes/Token.php: *No copyright* UNKNOWN
-./classes/Oauth_application_user.php: *No copyright* UNKNOWN
-./classes/File_thumbnail.php: AGPL (v3 or later) 
-./classes/Location_namespace.php: AGPL (v3 or later) 
-./classes/Confirm_address.php: *No copyright* UNKNOWN
-./classes/Status_network_tag.php: AGPL (v3 or later) 
-./classes/Group_inbox.php: *No copyright* UNKNOWN
-./classes/Foreign_link.php: *No copyright* UNKNOWN
-./classes/File_redirection.php: AGPL (v3 or later) 
-./classes/Nonce.php: *No copyright* UNKNOWN
-./classes/Notice_source.php: *No copyright* UNKNOWN
-./classes/Conversation.php: AGPL (v3 or later) 
-./classes/Remember_me.php: *No copyright* UNKNOWN
-./classes/Sms_carrier.php: *No copyright* UNKNOWN
-./classes/Queue_item.php: *No copyright* UNKNOWN
-./classes/Fave.php: *No copyright* UNKNOWN
-./classes/Foreign_subscription.php: *No copyright* UNKNOWN
-./classes/Oauth_application.php: *No copyright* UNKNOWN
-./classes/User.php: AGPL (v3 or later) 
-./classes/Deleted_notice.php: AGPL (v3 or later) 
-./classes/Group_alias.php: AGPL (v3 or later) 
-./classes/File.php: AGPL (v3 or later) 
-./classes/Avatar.php: *No copyright* UNKNOWN
-./classes/Remote_profile.php: AGPL (v3 or later) 
-./classes/Status_network.php: AGPL (v3 or later) 
-./classes/Inbox.php: AGPL (v3 or later) 
-./classes/Subscription.php: AGPL (v3 or later) 
-./classes/Notice_tag.php: AGPL (v3 or later) 
-./classes/Config.php: AGPL (v3 or later) 
-./classes/User_location_prefs.php: AGPL (v3 or later) 
-./classes/Login_token.php: AGPL (v3 or later) 
-./classes/Notice_inbox.php: AGPL (v3 or later) 
-./classes/File_to_post.php: AGPL (v3 or later) 
-./classes/Memcached_DataObject.php: AGPL (v3 or later) 
-./classes/Profile_role.php: AGPL (v3 or later) 
-./classes/Group_block.php: AGPL (v3 or later) 
-./classes/Profile_block.php: AGPL (v3 or later) 
-./classes/Profile.php: AGPL (v3 or later) 
-./classes/File_oembed.php: AGPL (v3 or later) 
-./classes/Notice.php: AGPL (v3 or later) 
-./classes/Foreign_service.php: *No copyright* UNKNOWN
-./classes/Profile_tag.php: *No copyright* UNKNOWN
-./classes/Group_member.php: *No copyright* UNKNOWN
-./tests/UUIDTest.php: *No copyright* UNKNOWN
-./tests/UserRightsTest.php: *No copyright* UNKNOWN
-./tests/JidValidateTest.php: *No copyright* UNKNOWN
-./tests/CurryTest.php: *No copyright* UNKNOWN
-./tests/oEmbedTest.php: *No copyright* UNKNOWN
-./tests/NicknameTest.php: *No copyright* UNKNOWN
-./tests/LocationTest.php: *No copyright* UNKNOWN
-./tests/ActivityGenerationTests.php: *No copyright* UNKNOWN
-./tests/CommandInterperterTest.php: *No copyright* UNKNOWN
-./tests/UserFeedParseTest.php: *No copyright* UNKNOWN
-./tests/MediaFileTest.php: *No copyright* UNKNOWN
-./tests/HashTagDetectionTests.php: *No copyright* UNKNOWN
-./tests/URLDetectionTest.php: *No copyright* UNKNOWN
-./tests/TagURITest.php: *No copyright* UNKNOWN
-./tests/ActivityParseTests.php: *No copyright* UNKNOWN
-./tests/UUIDTest.php: *No copyright* UNKNOWN
-./tests/UserRightsTest.php: *No copyright* UNKNOWN
-./tests/JidValidateTest.php: *No copyright* UNKNOWN
-./tests/CurryTest.php: *No copyright* UNKNOWN
-./tests/oauth/oauth_post_notice.php: AGPL (v3 or later) 
-./tests/oauth/fetch_token_creds.php: AGPL (v3 or later) 
-./tests/oauth/oauth_verify_creds.php: AGPL (v3 or later) 
-./tests/oauth/fetch_temp_creds.php: AGPL (v3 or later) 
-./tests/oauth/oauth_post_notice.php: AGPL (v3 or later) 
-./tests/oauth/fetch_token_creds.php: AGPL (v3 or later) 
-./tests/oauth/oauth_verify_creds.php: AGPL (v3 or later) 
-./tests/oauth/fetch_temp_creds.php: AGPL (v3 or later) 
-./tests/oEmbedTest.php: *No copyright* UNKNOWN
-./tests/NicknameTest.php: *No copyright* UNKNOWN
-./tests/LocationTest.php: *No copyright* UNKNOWN
-./tests/ActivityGenerationTests.php: *No copyright* UNKNOWN
-./tests/CommandInterperterTest.php: *No copyright* UNKNOWN
-./tests/UserFeedParseTest.php: *No copyright* UNKNOWN
-./tests/MediaFileTest.php: *No copyright* UNKNOWN
-./tests/HashTagDetectionTests.php: *No copyright* UNKNOWN
-./tests/URLDetectionTest.php: *No copyright* UNKNOWN
-./tests/TagURITest.php: *No copyright* UNKNOWN
-./tests/ActivityParseTests.php: *No copyright* UNKNOWN
-./tests/atompub/atompub_test.php: AGPL (v3 or later) 
-./tests/atompub/atompub_test.php: AGPL (v3 or later) 
-./actions/newmessage.php: AGPL (v3 or later) 
-./actions/atompubshowmembership.php: AGPL (v3 or later) 
-./actions/silence.php: AGPL (v3 or later) 
-./actions/apiaccountratelimitstatus.php: AGPL (v3 or later) 
-./actions/apitimelineretweetedtome.php: AGPL (v3 or later) 
-./actions/revokerole.php: AGPL (v3 or later) 
-./actions/newapplication.php: AGPL (v3 or later) 
-./actions/apimediaupload.php: AGPL (v3 or later) 
-./actions/robotstxt.php: AGPL (v3 or later) 
-./actions/emailsettings.php: AGPL (v3 or later) 
-./actions/unsandbox.php: AGPL (v3 or later) 
-./actions/apioauthpin.php: AGPL (v3 or later) 
-./actions/inbox.php: AGPL (v3 or later) 
-./actions/microsummary.php: AGPL (v3 or later) 
-./actions/finishremotesubscribe.php: AGPL (v3 or later) 
-./actions/siteadminpanel.php: AGPL (v3 or later) 
-./actions/deleteaccount.php: AGPL (v3 or later) 
-./actions/pathsadminpanel.php: AGPL (v3 or later) 
-./actions/apiblockdestroy.php: AGPL (v3 or later) 
-./actions/editapplication.php: AGPL (v3 or later) 
-./actions/requesttoken.php: AGPL (v3 or later) 
-./actions/apifavoritedestroy.php: AGPL (v3 or later) 
-./actions/apigroupismember.php: AGPL (v3 or later) 
-./actions/apigrouplist.php: AGPL (v3 or later) 
-./actions/apistatusesshow.php: AGPL (v3 or later) 
-./actions/userauthorization.php: AGPL (v3 or later) 
-./actions/apifriendshipsdestroy.php: AGPL (v3 or later) 
-./actions/joingroup.php: AGPL (v3 or later) 
-./actions/apifriendshipsexists.php: AGPL (v3 or later) 
-./actions/apitimelinetag.php: AGPL (v3 or later) 
-./actions/subscribe.php: AGPL (v3 or later) 
-./actions/bookmarklet.php: AGPL (v3 or later) 
-./actions/apiuserprofileimage.php: AGPL (v3 or later) 
-./actions/userxrd.php: AGPL (v3 or later) 
-./actions/publicrss.php: AGPL (v3 or later) 
-./actions/apiaccountupdateprofilecolors.php: AGPL (v3 or later) 
-./actions/login.php: AGPL (v3 or later) 
-./actions/atompubfavoritefeed.php: AGPL (v3 or later) 
-./actions/apitimelinepublic.php: AGPL (v3 or later) 
-./actions/groups.php: AGPL (v3 or later) 
-./actions/userrss.php: AGPL (v3 or later) 
-./actions/apifriendshipsshow.php: AGPL (v3 or later) 
-./actions/apigroupshow.php: AGPL (v3 or later) 
-./actions/peopletag.php: AGPL (v3 or later) 
-./actions/makeadmin.php: AGPL (v3 or later) 
-./actions/oauthappssettings.php: AGPL (v3 or later) 
-./actions/attachment.php: AGPL (v3 or later) 
-./actions/attachment_thumbnail.php: AGPL (v3 or later) 
-./actions/showfavorites.php: AGPL (v3 or later) 
-./actions/groupblock.php: AGPL (v3 or later) 
-./actions/publictagcloud.php: AGPL (v3 or later) 
-./actions/apitimelinementions.php: AGPL (v3 or later) 
-./actions/groupsearch.php: AGPL (v3 or later) 
-./actions/apisearchatom.php: AGPL (v3 or later) 
-./actions/opensearch.php: AGPL (v3 or later) 
-./actions/repliesrss.php: AGPL (v3 or later) 
-./actions/deleteapplication.php: AGPL (v3 or later) 
-./actions/groupdesignsettings.php: AGPL (v3 or later) 
-./actions/oembed.php: AGPL (v3 or later) 
-./actions/apifriendshipscreate.php: AGPL (v3 or later) 
-./actions/block.php: AGPL (v3 or later) 
-./actions/apiatomservice.php: AGPL (v3 or later) 
-./actions/snapshotadminpanel.php: AGPL (v3 or later) 
-./actions/deleteuser.php: AGPL (v3 or later) 
-./actions/otp.php: AGPL (v3 or later) 
-./actions/disfavor.php: AGPL (v3 or later) 
-./actions/outbox.php: AGPL (v3 or later) 
-./actions/hcard.php: AGPL (v3 or later) 
-./actions/tagrss.php: AGPL (v3 or later) 
-./actions/deletenotice.php: AGPL (v3 or later) 
-./actions/apitimelineretweetsofme.php: AGPL (v3 or later) 
-./actions/subscribers.php: AGPL (v3 or later) 
-./actions/avatarsettings.php: AGPL (v3 or later) 
-./actions/sup.php: AGPL (v3 or later) 
-./actions/file.php: AGPL (v3 or later) 
-./actions/apitimelineretweetedbyme.php: AGPL (v3 or later) 
-./actions/apitimelinefriends.php: AGPL (v3 or later) 
-./actions/restoreaccount.php: AGPL (v3 or later) 
-./actions/showstream.php: AGPL (v3 or later) 
-./actions/apitimelineuser.php: AGPL (v3 or later) 
-./actions/apidirectmessagenew.php: AGPL (v3 or later) 
-./actions/conversation.php: AGPL (v3 or later) 
-./actions/groupunblock.php: AGPL (v3 or later) 
-./actions/subscriptions.php: AGPL (v3 or later) 
-./actions/atompubshowsubscription.php: AGPL (v3 or later) 
-./actions/allrss.php: AGPL (v3 or later) 
-./actions/profilesettings.php: AGPL (v3 or later) 
-./actions/showgroup.php: AGPL (v3 or later) 
-./actions/remotesubscribe.php: AGPL (v3 or later) 
-./actions/apigroupcreate.php: AGPL (v3 or later) 
-./actions/geocode.php: AGPL (v3 or later) 
-./actions/oauthconnectionssettings.php: AGPL (v3 or later) 
-./actions/updateprofile.php: AGPL (v3 or later) 
-./actions/favoritesrss.php: AGPL (v3 or later) 
-./actions/sandbox.php: AGPL (v3 or later) 
-./actions/tagother.php: AGPL (v3 or later) 
-./actions/apiaccountverifycredentials.php: AGPL (v3 or later) 
-./actions/apistatusesretweet.php: AGPL (v3 or later) 
-./actions/apidirectmessage.php: AGPL (v3 or later) 
-./actions/apioauthaccesstoken.php: AGPL (v3 or later) 
-./actions/replies.php: AGPL (v3 or later) 
-./actions/apioauthauthorize.php: AGPL (v3 or later) 
-./actions/atompubsubscriptionfeed.php: AGPL (v3 or later) 
-./actions/apiaccountupdateprofilebackgroundimage.php: AGPL (v3 or later) 
-./actions/apigroupmembership.php: AGPL (v3 or later) 
-./actions/all.php: AGPL (v3 or later) 
-./actions/designadminpanel.php: AGPL (v3 or later) 
-./actions/backupaccount.php: AGPL (v3 or later) 
-./actions/peoplesearch.php: AGPL (v3 or later) 
-./actions/tag.php: AGPL (v3 or later) 
-./actions/doc.php: AGPL (v3 or later) 
-./actions/apistatusnetconfig.php: AGPL (v3 or later) 
-./actions/passwordsettings.php: AGPL (v3 or later) 
-./actions/rsd.php: AGPL (v3 or later) 
-./actions/deletegroup.php: AGPL (v3 or later) 
-./actions/foaf.php: AGPL (v3 or later) 
-./actions/othersettings.php: AGPL (v3 or later) 
-./actions/useradminpanel.php: AGPL (v3 or later) 
-./actions/editgroup.php: AGPL (v3 or later) 
-./actions/apisearchjson.php: AGPL (v3 or later) 
-./actions/postnotice.php: AGPL (v3 or later) 
-./actions/licenseadminpanel.php: AGPL (v3 or later) 
-./actions/hostmeta.php: AGPL (v3 or later) 
-./actions/apistatusesretweets.php: AGPL (v3 or later) 
-./actions/shownotice.php: AGPL (v3 or later) 
-./actions/repeat.php: AGPL (v3 or later) 
-./actions/confirmaddress.php: AGPL (v3 or later) 
-./actions/unblock.php: AGPL (v3 or later) 
-./actions/apitrends.php: AGPL (v3 or later) 
-./actions/atompubmembershipfeed.php: AGPL (v3 or later) 
-./actions/apiuserfollowers.php: AGPL (v3 or later) 
-./actions/groupmembers.php: AGPL (v3 or later) 
-./actions/apitimelinegroup.php: AGPL (v3 or later) 
-./actions/favorited.php: AGPL (v3 or later) 
-./actions/avatarbynickname.php: AGPL (v3 or later) 
-./actions/groupbyid.php: AGPL (v3 or later) 
-./actions/apistatusesupdate.php: AGPL (v3 or later) 
-./actions/smssettings.php: AGPL (v3 or later) 
-./actions/unsilence.php: AGPL (v3 or later) 
-./actions/sitenoticeadminpanel.php: AGPL (v3 or later) 
-./actions/apisubscriptions.php: AGPL (v3 or later) 
-./actions/apiblockcreate.php: AGPL (v3 or later) 
-./actions/grouprss.php: AGPL (v3 or later) 
-./actions/getfile.php: AGPL (v3 or later) 
-./actions/apigrouplistall.php: AGPL (v3 or later) 
-./actions/apiaccountupdateprofile.php: AGPL (v3 or later) 
-./actions/apigroupjoin.php: AGPL (v3 or later) 
-./actions/userbyid.php: AGPL (v3 or later) 
-./actions/leavegroup.php: AGPL (v3 or later) 
-./actions/xrds.php: AGPL (v3 or later) 
-./actions/noticesearch.php: AGPL (v3 or later) 
-./actions/blockedfromgroup.php: AGPL (v3 or later) 
-./actions/sessionsadminpanel.php: AGPL (v3 or later) 
-./actions/noticesearchrss.php: AGPL (v3 or later) 
-./actions/apioauthrequesttoken.php: AGPL (v3 or later) 
-./actions/unsubscribe.php: AGPL (v3 or later) 
-./actions/apihelptest.php: AGPL (v3 or later) 
-./actions/newgroup.php: AGPL (v3 or later) 
-./actions/apiusershow.php: AGPL (v3 or later) 
-./actions/apiaccountupdateprofileimage.php: AGPL (v3 or later) 
-./actions/featured.php: AGPL (v3 or later) 
-./actions/logout.php: AGPL (v3 or later) 
-./actions/apitimelinehome.php: AGPL (v3 or later) 
-./actions/grouplogo.php: AGPL (v3 or later) 
-./actions/public.php: AGPL (v3 or later) 
-./actions/accesstoken.php: AGPL (v3 or later) 
-./actions/invite.php: AGPL (v3 or later) 
-./actions/showapplication.php: AGPL (v3 or later) 
-./actions/publicxrds.php: AGPL (v3 or later) 
-./actions/apifavoritecreate.php: AGPL (v3 or later) 
-./actions/apigroupleave.php: AGPL (v3 or later) 
-./actions/attachment_ajax.php: AGPL (v3 or later) 
-./actions/apiaccountupdatedeliverydevice.php: AGPL (v3 or later) 
-./actions/register.php: AGPL (v3 or later) 
-./actions/apiuserfriends.php: AGPL (v3 or later) 
-./actions/atompubshowfavorite.php: AGPL (v3 or later) 
-./actions/imsettings.php: AGPL (v3 or later) 
-./actions/grantrole.php: AGPL (v3 or later) 
-./actions/favor.php: AGPL (v3 or later) 
-./actions/subedit.php: AGPL (v3 or later) 
-./actions/accessadminpanel.php: AGPL (v3 or later) 
-./actions/newnotice.php: AGPL (v3 or later) 
-./actions/showmessage.php: AGPL (v3 or later) 
-./actions/apistatusnetversion.php: AGPL (v3 or later) 
-./actions/recoverpassword.php: AGPL (v3 or later) 
-./actions/apistatusesdestroy.php: AGPL (v3 or later) 
-./actions/nudge.php: AGPL (v3 or later) 
-./actions/usergroups.php: AGPL (v3 or later) 
-./actions/apitimelinefavorites.php: AGPL (v3 or later) 
-./actions/version.php: AGPL (v3 or later) 
-./actions/userdesignsettings.php: AGPL (v3 or later) 
-./actions/foafgroup.php: AGPL (v3 or later) 
-./actions/newmessage.php: AGPL (v3 or later) 
-./actions/atompubshowmembership.php: AGPL (v3 or later) 
-./actions/silence.php: AGPL (v3 or later) 
-./actions/apiaccountratelimitstatus.php: AGPL (v3 or later) 
-./actions/apitimelineretweetedtome.php: AGPL (v3 or later) 
-./actions/revokerole.php: AGPL (v3 or later) 
-./actions/newapplication.php: AGPL (v3 or later) 
-./actions/apimediaupload.php: AGPL (v3 or later) 
-./actions/robotstxt.php: AGPL (v3 or later) 
-./actions/emailsettings.php: AGPL (v3 or later) 
-./actions/unsandbox.php: AGPL (v3 or later) 
-./actions/apioauthpin.php: AGPL (v3 or later) 
-./actions/inbox.php: AGPL (v3 or later) 
-./actions/microsummary.php: AGPL (v3 or later) 
-./actions/finishremotesubscribe.php: AGPL (v3 or later) 
-./actions/siteadminpanel.php: AGPL (v3 or later) 
-./actions/deleteaccount.php: AGPL (v3 or later) 
-./actions/pathsadminpanel.php: AGPL (v3 or later) 
-./actions/apiblockdestroy.php: AGPL (v3 or later) 
-./actions/editapplication.php: AGPL (v3 or later) 
-./actions/requesttoken.php: AGPL (v3 or later) 
-./actions/apifavoritedestroy.php: AGPL (v3 or later) 
-./actions/apigroupismember.php: AGPL (v3 or later) 
-./actions/apigrouplist.php: AGPL (v3 or later) 
-./actions/apistatusesshow.php: AGPL (v3 or later) 
-./actions/userauthorization.php: AGPL (v3 or later) 
-./actions/apifriendshipsdestroy.php: AGPL (v3 or later) 
-./actions/joingroup.php: AGPL (v3 or later) 
-./actions/apifriendshipsexists.php: AGPL (v3 or later) 
-./actions/apitimelinetag.php: AGPL (v3 or later) 
-./actions/subscribe.php: AGPL (v3 or later) 
-./actions/bookmarklet.php: AGPL (v3 or later) 
-./actions/apiuserprofileimage.php: AGPL (v3 or later) 
-./actions/userxrd.php: AGPL (v3 or later) 
-./actions/publicrss.php: AGPL (v3 or later) 
-./actions/apiaccountupdateprofilecolors.php: AGPL (v3 or later) 
-./actions/login.php: AGPL (v3 or later) 
-./actions/atompubfavoritefeed.php: AGPL (v3 or later) 
-./actions/apitimelinepublic.php: AGPL (v3 or later) 
-./actions/groups.php: AGPL (v3 or later) 
-./actions/userrss.php: AGPL (v3 or later) 
-./actions/apifriendshipsshow.php: AGPL (v3 or later) 
-./actions/apigroupshow.php: AGPL (v3 or later) 
-./actions/peopletag.php: AGPL (v3 or later) 
-./actions/makeadmin.php: AGPL (v3 or later) 
-./actions/oauthappssettings.php: AGPL (v3 or later) 
-./actions/attachment.php: AGPL (v3 or later) 
-./actions/attachment_thumbnail.php: AGPL (v3 or later) 
-./actions/showfavorites.php: AGPL (v3 or later) 
-./actions/groupblock.php: AGPL (v3 or later) 
-./actions/publictagcloud.php: AGPL (v3 or later) 
-./actions/apitimelinementions.php: AGPL (v3 or later) 
-./actions/groupsearch.php: AGPL (v3 or later) 
-./actions/apisearchatom.php: AGPL (v3 or later) 
-./actions/opensearch.php: AGPL (v3 or later) 
-./actions/repliesrss.php: AGPL (v3 or later) 
-./actions/deleteapplication.php: AGPL (v3 or later) 
-./actions/groupdesignsettings.php: AGPL (v3 or later) 
-./actions/oembed.php: AGPL (v3 or later) 
-./actions/apifriendshipscreate.php: AGPL (v3 or later) 
-./actions/block.php: AGPL (v3 or later) 
-./actions/apiatomservice.php: AGPL (v3 or later) 
-./actions/snapshotadminpanel.php: AGPL (v3 or later) 
-./actions/deleteuser.php: AGPL (v3 or later) 
-./actions/otp.php: AGPL (v3 or later) 
-./actions/disfavor.php: AGPL (v3 or later) 
-./actions/outbox.php: AGPL (v3 or later) 
-./actions/hcard.php: AGPL (v3 or later) 
-./actions/tagrss.php: AGPL (v3 or later) 
-./actions/deletenotice.php: AGPL (v3 or later) 
-./actions/apitimelineretweetsofme.php: AGPL (v3 or later) 
-./actions/subscribers.php: AGPL (v3 or later) 
-./actions/avatarsettings.php: AGPL (v3 or later) 
-./actions/sup.php: AGPL (v3 or later) 
-./actions/file.php: AGPL (v3 or later) 
-./actions/apitimelineretweetedbyme.php: AGPL (v3 or later) 
-./actions/apitimelinefriends.php: AGPL (v3 or later) 
-./actions/restoreaccount.php: AGPL (v3 or later) 
-./actions/showstream.php: AGPL (v3 or later) 
-./actions/apitimelineuser.php: AGPL (v3 or later) 
-./actions/apidirectmessagenew.php: AGPL (v3 or later) 
-./actions/conversation.php: AGPL (v3 or later) 
-./actions/groupunblock.php: AGPL (v3 or later) 
-./actions/subscriptions.php: AGPL (v3 or later) 
-./actions/atompubshowsubscription.php: AGPL (v3 or later) 
-./actions/allrss.php: AGPL (v3 or later) 
-./actions/profilesettings.php: AGPL (v3 or later) 
-./actions/showgroup.php: AGPL (v3 or later) 
-./actions/remotesubscribe.php: AGPL (v3 or later) 
-./actions/apigroupcreate.php: AGPL (v3 or later) 
-./actions/geocode.php: AGPL (v3 or later) 
-./actions/oauthconnectionssettings.php: AGPL (v3 or later) 
-./actions/updateprofile.php: AGPL (v3 or later) 
-./actions/favoritesrss.php: AGPL (v3 or later) 
-./actions/sandbox.php: AGPL (v3 or later) 
-./actions/tagother.php: AGPL (v3 or later) 
-./actions/apiaccountverifycredentials.php: AGPL (v3 or later) 
-./actions/apistatusesretweet.php: AGPL (v3 or later) 
-./actions/apidirectmessage.php: AGPL (v3 or later) 
-./actions/apioauthaccesstoken.php: AGPL (v3 or later) 
-./actions/replies.php: AGPL (v3 or later) 
-./actions/apioauthauthorize.php: AGPL (v3 or later) 
-./actions/atompubsubscriptionfeed.php: AGPL (v3 or later) 
-./actions/apiaccountupdateprofilebackgroundimage.php: AGPL (v3 or later) 
-./actions/apigroupmembership.php: AGPL (v3 or later) 
-./actions/all.php: AGPL (v3 or later) 
-./actions/designadminpanel.php: AGPL (v3 or later) 
-./actions/backupaccount.php: AGPL (v3 or later) 
-./actions/peoplesearch.php: AGPL (v3 or later) 
-./actions/tag.php: AGPL (v3 or later) 
-./actions/doc.php: AGPL (v3 or later) 
-./actions/apistatusnetconfig.php: AGPL (v3 or later) 
-./actions/passwordsettings.php: AGPL (v3 or later) 
-./actions/rsd.php: AGPL (v3 or later) 
-./actions/deletegroup.php: AGPL (v3 or later) 
-./actions/foaf.php: AGPL (v3 or later) 
-./actions/othersettings.php: AGPL (v3 or later) 
-./actions/useradminpanel.php: AGPL (v3 or later) 
-./actions/editgroup.php: AGPL (v3 or later) 
-./actions/apisearchjson.php: AGPL (v3 or later) 
-./actions/postnotice.php: AGPL (v3 or later) 
-./actions/licenseadminpanel.php: AGPL (v3 or later) 
-./actions/hostmeta.php: AGPL (v3 or later) 
-./actions/apistatusesretweets.php: AGPL (v3 or later) 
-./actions/shownotice.php: AGPL (v3 or later) 
-./actions/repeat.php: AGPL (v3 or later) 
-./actions/confirmaddress.php: AGPL (v3 or later) 
-./actions/unblock.php: AGPL (v3 or later) 
-./actions/apitrends.php: AGPL (v3 or later) 
-./actions/atompubmembershipfeed.php: AGPL (v3 or later) 
-./actions/apiuserfollowers.php: AGPL (v3 or later) 
-./actions/groupmembers.php: AGPL (v3 or later) 
-./actions/apitimelinegroup.php: AGPL (v3 or later) 
-./actions/favorited.php: AGPL (v3 or later) 
-./actions/avatarbynickname.php: AGPL (v3 or later) 
-./actions/groupbyid.php: AGPL (v3 or later) 
-./actions/apistatusesupdate.php: AGPL (v3 or later) 
-./actions/smssettings.php: AGPL (v3 or later) 
-./actions/unsilence.php: AGPL (v3 or later) 
-./actions/sitenoticeadminpanel.php: AGPL (v3 or later) 
-./actions/apisubscriptions.php: AGPL (v3 or later) 
-./actions/apiblockcreate.php: AGPL (v3 or later) 
-./actions/grouprss.php: AGPL (v3 or later) 
-./actions/getfile.php: AGPL (v3 or later) 
-./actions/apigrouplistall.php: AGPL (v3 or later) 
-./actions/apiaccountupdateprofile.php: AGPL (v3 or later) 
-./actions/apigroupjoin.php: AGPL (v3 or later) 
-./actions/userbyid.php: AGPL (v3 or later) 
-./actions/leavegroup.php: AGPL (v3 or later) 
-./actions/xrds.php: AGPL (v3 or later) 
-./actions/noticesearch.php: AGPL (v3 or later) 
-./actions/blockedfromgroup.php: AGPL (v3 or later) 
-./actions/sessionsadminpanel.php: AGPL (v3 or later) 
-./actions/noticesearchrss.php: AGPL (v3 or later) 
-./actions/apioauthrequesttoken.php: AGPL (v3 or later) 
-./actions/unsubscribe.php: AGPL (v3 or later) 
-./actions/apihelptest.php: AGPL (v3 or later) 
-./actions/newgroup.php: AGPL (v3 or later) 
-./actions/apiusershow.php: AGPL (v3 or later) 
-./actions/apiaccountupdateprofileimage.php: AGPL (v3 or later) 
-./actions/featured.php: AGPL (v3 or later) 
-./actions/logout.php: AGPL (v3 or later) 
-./actions/apitimelinehome.php: AGPL (v3 or later) 
-./actions/grouplogo.php: AGPL (v3 or later) 
-./actions/public.php: AGPL (v3 or later) 
-./actions/accesstoken.php: AGPL (v3 or later) 
-./actions/invite.php: AGPL (v3 or later) 
-./actions/showapplication.php: AGPL (v3 or later) 
-./actions/publicxrds.php: AGPL (v3 or later) 
-./actions/apifavoritecreate.php: AGPL (v3 or later) 
-./actions/apigroupleave.php: AGPL (v3 or later) 
-./actions/attachment_ajax.php: AGPL (v3 or later) 
-./actions/apiaccountupdatedeliverydevice.php: AGPL (v3 or later) 
-./actions/register.php: AGPL (v3 or later) 
-./actions/apiuserfriends.php: AGPL (v3 or later) 
-./actions/atompubshowfavorite.php: AGPL (v3 or later) 
-./actions/imsettings.php: AGPL (v3 or later) 
-./actions/grantrole.php: AGPL (v3 or later) 
-./actions/favor.php: AGPL (v3 or later) 
-./actions/subedit.php: AGPL (v3 or later) 
-./actions/accessadminpanel.php: AGPL (v3 or later) 
-./actions/newnotice.php: AGPL (v3 or later) 
-./actions/showmessage.php: AGPL (v3 or later) 
-./actions/apistatusnetversion.php: AGPL (v3 or later) 
-./actions/recoverpassword.php: AGPL (v3 or later) 
-./actions/apistatusesdestroy.php: AGPL (v3 or later) 
-./actions/nudge.php: AGPL (v3 or later) 
-./actions/usergroups.php: AGPL (v3 or later) 
-./actions/apitimelinefavorites.php: AGPL (v3 or later) 
-./actions/version.php: AGPL (v3 or later) 
-./actions/userdesignsettings.php: AGPL (v3 or later) 
-./actions/foafgroup.php: AGPL (v3 or later) 
-./debian/config.php: *No copyright* UNKNOWN
-./debian/config.php: *No copyright* UNKNOWN
-./tpl/index.php: *No copyright* UNKNOWN
-./tpl/index.php: *No copyright* UNKNOWN
-./index.php: AGPL (v3 or later) 
-./install.php: AGPL (v3 or later) 
-./lib/xrd.php: AGPL (v3 or later) 
-./lib/authorizationplugin.php: AGPL (v3 or later) 
-./lib/commandinterpreter.php: AGPL (v3 or later) 
-./lib/queued_xmpp.php: AGPL (v3 or later) 
-./lib/iomanager.php: AGPL (v3 or later) 
-./lib/jabber.php: AGPL (v3 or later) 
-./lib/pgsqlschema.php: AGPL (v3 or later) 
-./lib/currentuserdesignaction.php: AGPL (v3 or later) 
-./lib/queuemanager.php: AGPL (v3 or later) 
-./lib/profileminilist.php: AGPL (v3 or later) 
-./lib/processmanager.php: AGPL (v3 or later) 
-./lib/spawningdaemon.php: AGPL (v3 or later) 
-./lib/httpclient.php: AGPL (v3 or later) 
-./lib/section.php: AGPL (v3 or later) 
-./lib/themeuploader.php: AGPL (v3 or later) 
-./lib/redirectingaction.php: AGPL (v3 or later) 
-./lib/featureduserssection.php: AGPL (v3 or later) 
-./lib/dofollowlistitem.php: AGPL (v3 or later) 
-./lib/ping.php: AGPL (v3 or later) 
-./lib/groupsection.php: AGPL (v3 or later) 
-./lib/noticelist.php: AGPL (v3 or later) 
-./lib/designsettings.php: AGPL (v3 or later) 
-./lib/xmlstringer.php: AGPL (v3 or later) 
-./lib/serverexception.php: AGPL (v3 or later) 
-./lib/linkheader.php: AGPL (v3 or later) 
-./lib/activitysink.php: AGPL (v3 or later) 
-./lib/dbqueuemanager.php: AGPL (v3 or later) 
-./lib/feedimporter.php: AGPL (v3 or later) 
-./lib/mail.php: AGPL (v3 or later) 
-./lib/pocoaddress.php: AGPL (v3 or later) 
-./lib/statusnet.php: AGPL (v3 or later) 
-./lib/apiaction.php: AGPL (v3 or later) 
-./lib/common.php: AGPL (v3 or later) 
-./lib/omb.php: AGPL (v3 or later) 
-./lib/subscribeform.php: AGPL (v3 or later) 
-./lib/clientexception.php: AGPL (v3 or later) 
-./lib/parallelizingdaemon.php: AGPL (v3 or later) 
-./lib/deleteuserform.php: AGPL (v3 or later) 
-./lib/atomcategory.php: AGPL (v3 or later) 
-./lib/subscriberspeopletagcloudsection.php: AGPL (v3 or later) 
-./lib/profilesection.php: AGPL (v3 or later) 
-./lib/webcolor.php: AGPL (v3 or later) 
-./lib/apibareauth.php: AGPL (v3 or later) 
-./lib/atomgroupnoticefeed.php: AGPL (v3 or later) 
-./lib/action.php: AGPL (v3 or later) 
-./lib/mysqlschema.php: AGPL (v3 or later) 
-./lib/installer.php: AGPL (v3 or later) 
-./lib/uuid.php: AGPL (v3 or later) 
-./lib/tabledef.php: AGPL (v3 or later) 
-./lib/attachmentnoticesection.php: AGPL (v3 or later) 
-./lib/oauthstore.php: AGPL (v3 or later) 
-./lib/channel.php: AGPL (v3 or later) 
-./lib/uapplugin.php: AGPL (v3 or later) 
-./lib/xmloutputter.php: AGPL (v3 or later) 
-./lib/queuehandler.php: AGPL (v3 or later) 
-./lib/util.php: AGPL (v3 or later) 
-./lib/location.php: AGPL (v3 or later) 
-./lib/pluginqueuehandler.php: AGPL (v3 or later) 
-./lib/servererroraction.php: AGPL (v3 or later) 
-./lib/publicgroupnav.php: AGPL (v3 or later) 
-./lib/popularnoticesection.php: AGPL (v3 or later) 
-./lib/grouplist.php: AGPL (v3 or later) 
-./lib/blockform.php: AGPL (v3 or later) 
-./lib/usernoprofileexception.php: AGPL (v3 or later) 
-./lib/schema.php: AGPL (v3 or later) 
-./lib/clienterroraction.php: AGPL (v3 or later) 
-./lib/activitymover.php: AGPL (v3 or later) 
-./lib/groupeditform.php: AGPL (v3 or later) 
-./lib/activitystreamjsondocument.php: AGPL (v3 or later) 
-./lib/queuemonitor.php: AGPL (v3 or later) 
-./lib/revokeroleform.php: AGPL (v3 or later) 
-./lib/xmppoutqueuehandler.php: AGPL (v3 or later) 
-./lib/command.php: AGPL (v3 or later) 
-./lib/daemon.php: AGPL (v3 or later) 
-./lib/popularity.php: AGPL (v3 or later) 
-./lib/silenceform.php: AGPL (v3 or later) 
-./lib/activityutils.php: AGPL (v3 or later) 
-./lib/repeatform.php: AGPL (v3 or later) 
-./lib/groupsbymemberssection.php: AGPL (v3 or later) 
-./lib/stompqueuemanager.php: AGPL (v3 or later) 
-./lib/accountmover.php: AGPL (v3 or later) 
-./lib/form.php: AGPL (v3 or later) 
-./lib/right.php: AGPL (v3 or later) 
-./lib/event.php: AGPL (v3 or later) 
-./lib/applicationeditform.php: AGPL (v3 or later) 
-./lib/settingsaction.php: AGPL (v3 or later) 
-./lib/microid.php: AGPL (v3 or later) 
-./lib/default.php: AGPL (v3 or later) 
-./lib/cache.php: AGPL (v3 or later) 
-./lib/pocourl.php: AGPL (v3 or later) 
-./lib/connectsettingsaction.php: AGPL (v3 or later) 
-./lib/curry.php: AGPL (v3 or later) 
-./lib/liberalstomp.php: Apache (v2.0) 
-./lib/inlineattachmentlist.php: AGPL (v3 or later) 
-./lib/subs.php: AGPL (v3 or later) 
-./lib/pingqueuehandler.php: AGPL (v3 or later) 
-./lib/tagcloudsection.php: AGPL (v3 or later) 
-./lib/plugin.php: AGPL (v3 or later) 
-./lib/jabberqueuehandler.php: AGPL (v3 or later) 
-./lib/oembedhelper.php: AGPL (v3 or later) 
-./lib/nudgeform.php: AGPL (v3 or later) 
-./lib/distribqueuehandler.php: AGPL (v3 or later) 
-./lib/profileaction.php: AGPL (v3 or later) 
-./lib/applicationlist.php: AGPL (v3 or later) 
-./lib/mailhandler.php: AGPL (v3 or later) 
-./lib/noticeform.php: AGPL (v3 or later) 
-./lib/joinform.php: AGPL (v3 or later) 
-./lib/attachmenttagcloudsection.php: AGPL (v3 or later) 
-./lib/unblockform.php: AGPL (v3 or later) 
-./lib/deluserqueuehandler.php: AGPL (v3 or later) 
-./lib/subpeopletagcloudsection.php: AGPL (v3 or later) 
-./lib/profileactionform.php: AGPL (v3 or later) 
-./lib/jsonsearchresultslist.php: AGPL (v3 or later) 
-./lib/adminform.php: AGPL (v3 or later) 
-./lib/imagefile.php: AGPL (v3 or later) 
-./lib/snapshot.php: AGPL (v3 or later) 
-./lib/topposterssection.php: AGPL (v3 or later) 
-./lib/widget.php: AGPL (v3 or later) 
-./lib/messagelistitem.php: AGPL (v3 or later) 
-./lib/messageform.php: AGPL (v3 or later) 
-./lib/feedlist.php: AGPL (v3 or later) 
-./lib/grouptagcloudsection.php: AGPL (v3 or later) 
-./lib/router.php: AGPL (v3 or later) 
-./lib/sandboxform.php: AGPL (v3 or later) 
-./lib/leaveform.php: AGPL (v3 or later) 
-./lib/activitysource.php: AGPL (v3 or later) 
-./lib/subscriptionspeopletagcloudsection.php: AGPL (v3 or later) 
-./lib/apiauth.php: AGPL (v3 or later) 
-./lib/groupminilist.php: AGPL (v3 or later) 
-./lib/subscriptionspeopleselftagcloudsection.php: AGPL (v3 or later) 
-./lib/groupsbypostssection.php: AGPL (v3 or later) 
-./lib/activityobject.php: AGPL (v3 or later) 
-./lib/language.php: *No copyright* AGPL (v3 or later) 
-./lib/apioauth.php: AGPL (v3 or later) 
-./lib/xrdsoutputter.php: AGPL (v3 or later) 
-./lib/logingroupnav.php: AGPL (v3 or later) 
-./lib/ombqueuehandler.php: AGPL (v3 or later) 
-./lib/discovery.php: AGPL (v3 or later) 
-./lib/userprofile.php: AGPL (v3 or later) 
-./lib/info.php: AGPL (v3 or later) 
-./lib/activitycontext.php: AGPL (v3 or later) 
-./lib/xmppmanager.php: AGPL (v3 or later) 
-./lib/subscriberspeopleselftagcloudsection.php: AGPL (v3 or later) 
-./lib/search_engines.php: AGPL (v3 or later) 
-./lib/personalgroupnav.php: AGPL (v3 or later) 
-./lib/smsqueuehandler.php: AGPL (v3 or later) 
-./lib/avatarlink.php: AGPL (v3 or later) 
-./lib/activityverb.php: AGPL (v3 or later) 
-./lib/unsandboxform.php: AGPL (v3 or later) 
-./lib/oauthclient.php: AGPL (v3 or later) 
-./lib/profilelist.php: AGPL (v3 or later) 
-./lib/authorizationexception.php: AGPL (v3 or later) 
-./lib/attachmentlist.php: AGPL (v3 or later) 
-./lib/subscriptionlist.php: AGPL (v3 or later) 
-./lib/xrdaction.php: AGPL (v3 or later) 
-./lib/taguri.php: AGPL (v3 or later) 
-./lib/rssaction.php: AGPL (v3 or later) 
-./lib/unqueuemanager.php: AGPL (v3 or later) 
-./lib/iomaster.php: AGPL (v3 or later) 
-./lib/deletegroupform.php: AGPL (v3 or later) 
-./lib/error.php: AGPL (v3 or later) 
-./lib/ownerdesignaction.php: AGPL (v3 or later) 
-./lib/atom10feed.php: AGPL (v3 or later) 
-./lib/accountsettingsaction.php: AGPL (v3 or later) 
-./lib/feed.php: AGPL (v3 or later) 
-./lib/dberroraction.php: AGPL (v3 or later) 
-./lib/searchgroupnav.php: AGPL (v3 or later) 
-./lib/activity.php: AGPL (v3 or later) 
-./lib/poco.php: AGPL (v3 or later) 
-./lib/adminpanelaction.php: AGPL (v3 or later) 
-./lib/personaltagcloudsection.php: AGPL (v3 or later) 
-./lib/atomnoticefeed.php: AGPL (v3 or later) 
-./lib/groupnav.php: AGPL (v3 or later) 
-./lib/disfavorform.php: AGPL (v3 or later) 
-./lib/unsilenceform.php: AGPL (v3 or later) 
-./lib/columndef.php: AGPL (v3 or later) 
-./lib/arraywrapper.php: AGPL (v3 or later) 
-./lib/useractivitystream.php: AGPL (v3 or later) 
-./lib/unsubscribeform.php: AGPL (v3 or later) 
-./lib/galleryaction.php: AGPL (v3 or later) 
-./lib/searchaction.php: AGPL (v3 or later) 
-./lib/htmloutputter.php: AGPL (v3 or later) 
-./lib/publicqueuehandler.php: AGPL (v3 or later) 
-./lib/messagelist.php: AGPL (v3 or later) 
-./lib/mailbox.php: AGPL (v3 or later) 
-./lib/noticesection.php: AGPL (v3 or later) 
-./lib/atomusernoticefeed.php: AGPL (v3 or later) 
-./lib/apiprivateauth.php: AGPL (v3 or later) 
-./lib/favorform.php: AGPL (v3 or later) 
-./lib/activityimporter.php: AGPL (v3 or later) 
-./lib/apioauthstore.php: AGPL (v3 or later) 
-./lib/mediafile.php: AGPL (v3 or later) 
-./lib/nickname.php: AGPL (v3 or later) 
-./lib/authenticationplugin.php: AGPL (v3 or later) 
-./lib/theme.php: AGPL (v3 or later) 
-./lib/groupdesignaction.php: AGPL (v3 or later) 
-./lib/profileformaction.php: AGPL (v3 or later) 
-./lib/subgroupnav.php: AGPL (v3 or later) 
-./lib/profilequeuehandler.php: AGPL (v3 or later) 
-./lib/grantroleform.php: AGPL (v3 or later) 
-./lib/xrd.php: AGPL (v3 or later) 
-./lib/authorizationplugin.php: AGPL (v3 or later) 
-./lib/commandinterpreter.php: AGPL (v3 or later) 
-./lib/queued_xmpp.php: AGPL (v3 or later) 
-./lib/iomanager.php: AGPL (v3 or later) 
-./lib/jabber.php: AGPL (v3 or later) 
-./lib/pgsqlschema.php: AGPL (v3 or later) 
-./lib/currentuserdesignaction.php: AGPL (v3 or later) 
-./lib/queuemanager.php: AGPL (v3 or later) 
-./lib/profileminilist.php: AGPL (v3 or later) 
-./lib/processmanager.php: AGPL (v3 or later) 
-./lib/spawningdaemon.php: AGPL (v3 or later) 
-./lib/httpclient.php: AGPL (v3 or later) 
-./lib/section.php: AGPL (v3 or later) 
-./lib/themeuploader.php: AGPL (v3 or later) 
-./lib/redirectingaction.php: AGPL (v3 or later) 
-./lib/featureduserssection.php: AGPL (v3 or later) 
-./lib/dofollowlistitem.php: AGPL (v3 or later) 
-./lib/ping.php: AGPL (v3 or later) 
-./lib/groupsection.php: AGPL (v3 or later) 
-./lib/noticelist.php: AGPL (v3 or later) 
-./lib/designsettings.php: AGPL (v3 or later) 
-./lib/xmlstringer.php: AGPL (v3 or later) 
-./lib/serverexception.php: AGPL (v3 or later) 
-./lib/linkheader.php: AGPL (v3 or later) 
-./lib/activitysink.php: AGPL (v3 or later) 
-./lib/dbqueuemanager.php: AGPL (v3 or later) 
-./lib/feedimporter.php: AGPL (v3 or later) 
-./lib/mail.php: AGPL (v3 or later) 
-./lib/pocoaddress.php: AGPL (v3 or later) 
-./lib/statusnet.php: AGPL (v3 or later) 
-./lib/apiaction.php: AGPL (v3 or later) 
-./lib/common.php: AGPL (v3 or later) 
-./lib/omb.php: AGPL (v3 or later) 
-./lib/subscribeform.php: AGPL (v3 or later) 
-./lib/clientexception.php: AGPL (v3 or later) 
-./lib/parallelizingdaemon.php: AGPL (v3 or later) 
-./lib/deleteuserform.php: AGPL (v3 or later) 
-./lib/atomcategory.php: AGPL (v3 or later) 
-./lib/subscriberspeopletagcloudsection.php: AGPL (v3 or later) 
-./lib/profilesection.php: AGPL (v3 or later) 
-./lib/webcolor.php: AGPL (v3 or later) 
-./lib/apibareauth.php: AGPL (v3 or later) 
-./lib/atomgroupnoticefeed.php: AGPL (v3 or later) 
-./lib/action.php: AGPL (v3 or later) 
-./lib/mysqlschema.php: AGPL (v3 or later) 
-./lib/installer.php: AGPL (v3 or later) 
-./lib/uuid.php: AGPL (v3 or later) 
-./lib/tabledef.php: AGPL (v3 or later) 
-./lib/attachmentnoticesection.php: AGPL (v3 or later) 
-./lib/oauthstore.php: AGPL (v3 or later) 
-./lib/channel.php: AGPL (v3 or later) 
-./lib/uapplugin.php: AGPL (v3 or later) 
-./lib/xmloutputter.php: AGPL (v3 or later) 
-./lib/queuehandler.php: AGPL (v3 or later) 
-./lib/util.php: AGPL (v3 or later) 
-./lib/location.php: AGPL (v3 or later) 
-./lib/pluginqueuehandler.php: AGPL (v3 or later) 
-./lib/servererroraction.php: AGPL (v3 or later) 
-./lib/publicgroupnav.php: AGPL (v3 or later) 
-./lib/popularnoticesection.php: AGPL (v3 or later) 
-./lib/grouplist.php: AGPL (v3 or later) 
-./lib/blockform.php: AGPL (v3 or later) 
-./lib/usernoprofileexception.php: AGPL (v3 or later) 
-./lib/schema.php: AGPL (v3 or later) 
-./lib/clienterroraction.php: AGPL (v3 or later) 
-./lib/activitymover.php: AGPL (v3 or later) 
-./lib/groupeditform.php: AGPL (v3 or later) 
-./lib/activitystreamjsondocument.php: AGPL (v3 or later) 
-./lib/queuemonitor.php: AGPL (v3 or later) 
-./lib/revokeroleform.php: AGPL (v3 or later) 
-./lib/xmppoutqueuehandler.php: AGPL (v3 or later) 
-./lib/command.php: AGPL (v3 or later) 
-./lib/daemon.php: AGPL (v3 or later) 
-./lib/popularity.php: AGPL (v3 or later) 
-./lib/silenceform.php: AGPL (v3 or later) 
-./lib/activityutils.php: AGPL (v3 or later) 
-./lib/repeatform.php: AGPL (v3 or later) 
-./lib/groupsbymemberssection.php: AGPL (v3 or later) 
-./lib/stompqueuemanager.php: AGPL (v3 or later) 
-./lib/accountmover.php: AGPL (v3 or later) 
-./lib/form.php: AGPL (v3 or later) 
-./lib/right.php: AGPL (v3 or later) 
-./lib/event.php: AGPL (v3 or later) 
-./lib/applicationeditform.php: AGPL (v3 or later) 
-./lib/settingsaction.php: AGPL (v3 or later) 
-./lib/microid.php: AGPL (v3 or later) 
-./lib/default.php: AGPL (v3 or later) 
-./lib/cache.php: AGPL (v3 or later) 
-./lib/pocourl.php: AGPL (v3 or later) 
-./lib/connectsettingsaction.php: AGPL (v3 or later) 
-./lib/curry.php: AGPL (v3 or later) 
-./lib/liberalstomp.php: Apache (v2.0) 
-./lib/inlineattachmentlist.php: AGPL (v3 or later) 
-./lib/subs.php: AGPL (v3 or later) 
-./lib/pingqueuehandler.php: AGPL (v3 or later) 
-./lib/tagcloudsection.php: AGPL (v3 or later) 
-./lib/plugin.php: AGPL (v3 or later) 
-./lib/jabberqueuehandler.php: AGPL (v3 or later) 
-./lib/oembedhelper.php: AGPL (v3 or later) 
-./lib/nudgeform.php: AGPL (v3 or later) 
-./lib/distribqueuehandler.php: AGPL (v3 or later) 
-./lib/profileaction.php: AGPL (v3 or later) 
-./lib/applicationlist.php: AGPL (v3 or later) 
-./lib/mailhandler.php: AGPL (v3 or later) 
-./lib/noticeform.php: AGPL (v3 or later) 
-./lib/joinform.php: AGPL (v3 or later) 
-./lib/attachmenttagcloudsection.php: AGPL (v3 or later) 
-./lib/unblockform.php: AGPL (v3 or later) 
-./lib/deluserqueuehandler.php: AGPL (v3 or later) 
-./lib/subpeopletagcloudsection.php: AGPL (v3 or later) 
-./lib/profileactionform.php: AGPL (v3 or later) 
-./lib/jsonsearchresultslist.php: AGPL (v3 or later) 
-./lib/adminform.php: AGPL (v3 or later) 
-./lib/imagefile.php: AGPL (v3 or later) 
-./lib/snapshot.php: AGPL (v3 or later) 
-./lib/topposterssection.php: AGPL (v3 or later) 
-./lib/widget.php: AGPL (v3 or later) 
-./lib/messagelistitem.php: AGPL (v3 or later) 
-./lib/messageform.php: AGPL (v3 or later) 
-./lib/feedlist.php: AGPL (v3 or later) 
-./lib/grouptagcloudsection.php: AGPL (v3 or later) 
-./lib/router.php: AGPL (v3 or later) 
-./lib/sandboxform.php: AGPL (v3 or later) 
-./lib/leaveform.php: AGPL (v3 or later) 
-./lib/activitysource.php: AGPL (v3 or later) 
-./lib/subscriptionspeopletagcloudsection.php: AGPL (v3 or later) 
-./lib/apiauth.php: AGPL (v3 or later) 
-./lib/groupminilist.php: AGPL (v3 or later) 
-./lib/subscriptionspeopleselftagcloudsection.php: AGPL (v3 or later) 
-./lib/groupsbypostssection.php: AGPL (v3 or later) 
-./lib/activityobject.php: AGPL (v3 or later) 
-./lib/language.php: *No copyright* AGPL (v3 or later) 
-./lib/apioauth.php: AGPL (v3 or later) 
-./lib/xrdsoutputter.php: AGPL (v3 or later) 
-./lib/logingroupnav.php: AGPL (v3 or later) 
-./lib/ombqueuehandler.php: AGPL (v3 or later) 
-./lib/discovery.php: AGPL (v3 or later) 
-./lib/userprofile.php: AGPL (v3 or later) 
-./lib/info.php: AGPL (v3 or later) 
-./lib/activitycontext.php: AGPL (v3 or later) 
-./lib/xmppmanager.php: AGPL (v3 or later) 
-./lib/subscriberspeopleselftagcloudsection.php: AGPL (v3 or later) 
-./lib/search_engines.php: AGPL (v3 or later) 
-./lib/personalgroupnav.php: AGPL (v3 or later) 
-./lib/smsqueuehandler.php: AGPL (v3 or later) 
-./lib/avatarlink.php: AGPL (v3 or later) 
-./lib/activityverb.php: AGPL (v3 or later) 
-./lib/unsandboxform.php: AGPL (v3 or later) 
-./lib/oauthclient.php: AGPL (v3 or later) 
-./lib/profilelist.php: AGPL (v3 or later) 
-./lib/authorizationexception.php: AGPL (v3 or later) 
-./lib/attachmentlist.php: AGPL (v3 or later) 
-./lib/subscriptionlist.php: AGPL (v3 or later) 
-./lib/xrdaction.php: AGPL (v3 or later) 
-./lib/taguri.php: AGPL (v3 or later) 
-./lib/rssaction.php: AGPL (v3 or later) 
-./lib/unqueuemanager.php: AGPL (v3 or later) 
-./lib/iomaster.php: AGPL (v3 or later) 
-./lib/deletegroupform.php: AGPL (v3 or later) 
-./lib/error.php: AGPL (v3 or later) 
-./lib/ownerdesignaction.php: AGPL (v3 or later) 
-./lib/atom10feed.php: AGPL (v3 or later) 
-./lib/accountsettingsaction.php: AGPL (v3 or later) 
-./lib/feed.php: AGPL (v3 or later) 
-./lib/dberroraction.php: AGPL (v3 or later) 
-./lib/searchgroupnav.php: AGPL (v3 or later) 
-./lib/activity.php: AGPL (v3 or later) 
-./lib/poco.php: AGPL (v3 or later) 
-./lib/adminpanelaction.php: AGPL (v3 or later) 
-./lib/personaltagcloudsection.php: AGPL (v3 or later) 
-./lib/atomnoticefeed.php: AGPL (v3 or later) 
-./lib/groupnav.php: AGPL (v3 or later) 
-./lib/disfavorform.php: AGPL (v3 or later) 
-./lib/unsilenceform.php: AGPL (v3 or later) 
-./lib/columndef.php: AGPL (v3 or later) 
-./lib/arraywrapper.php: AGPL (v3 or later) 
-./lib/useractivitystream.php: AGPL (v3 or later) 
-./lib/unsubscribeform.php: AGPL (v3 or later) 
-./lib/galleryaction.php: AGPL (v3 or later) 
-./lib/searchaction.php: AGPL (v3 or later) 
-./lib/htmloutputter.php: AGPL (v3 or later) 
-./lib/publicqueuehandler.php: AGPL (v3 or later) 
-./lib/messagelist.php: AGPL (v3 or later) 
-./lib/mailbox.php: AGPL (v3 or later) 
-./lib/noticesection.php: AGPL (v3 or later) 
-./lib/atomusernoticefeed.php: AGPL (v3 or later) 
-./lib/apiprivateauth.php: AGPL (v3 or later) 
-./lib/favorform.php: AGPL (v3 or later) 
-./lib/activityimporter.php: AGPL (v3 or later) 
-./lib/apioauthstore.php: AGPL (v3 or later) 
-./lib/mediafile.php: AGPL (v3 or later) 
-./lib/nickname.php: AGPL (v3 or later) 
-./lib/authenticationplugin.php: AGPL (v3 or later) 
-./lib/theme.php: AGPL (v3 or later) 
-./lib/groupdesignaction.php: AGPL (v3 or later) 
-./lib/profileformaction.php: AGPL (v3 or later) 
-./lib/subgroupnav.php: AGPL (v3 or later) 
-./lib/profilequeuehandler.php: AGPL (v3 or later) 
-./lib/grantroleform.php: AGPL (v3 or later) 
-./extlib/Mail.php: BSD (2 clause) 
-./extlib/DB.php: PHP (v3.0) 
-./extlib/Validate.php: UNKNOWN
-./extlib/Stomp.php: Apache (v2.0) 
-./extlib/markdown.php: UNKNOWN
-./extlib/OAuth.php: *No copyright* UNKNOWN
-./extlib/get_temp_dir.php: *No copyright* UNKNOWN
-./extlib/PEAR.php: PHP (v3.0) 
-./extlib/Mail.php: BSD (2 clause) 
-./extlib/DB.php: PHP (v3.0) 
-./extlib/XMPPHP/Exception.php: GPL (v2 or later) 
-./extlib/XMPPHP/Roster.php: GPL (v2 or later) 
-./extlib/XMPPHP/XMPP.php: GPL (v2 or later) 
-./extlib/XMPPHP/Log.php: GPL (v2 or later) 
-./extlib/XMPPHP/XMPP_Old.php: GPL (v2 or later) 
-./extlib/XMPPHP/XMLObj.php: GPL (v2 or later) 
-./extlib/XMPPHP/BOSH.php: GPL (v2 or later) 
-./extlib/XMPPHP/XMLStream.php: GPL (v2 or later) 
-./extlib/XMPPHP/Exception.php: GPL (v2 or later) 
-./extlib/XMPPHP/Roster.php: GPL (v2 or later) 
-./extlib/XMPPHP/XMPP.php: GPL (v2 or later) 
-./extlib/XMPPHP/Log.php: GPL (v2 or later) 
-./extlib/XMPPHP/XMPP_Old.php: GPL (v2 or later) 
-./extlib/XMPPHP/XMLObj.php: GPL (v2 or later) 
-./extlib/XMPPHP/BOSH.php: GPL (v2 or later) 
-./extlib/XMPPHP/XMLStream.php: GPL (v2 or later) 
-./extlib/PEAR/Exception.php: PHP (v3.0) 
-./extlib/PEAR/Exception.php: PHP (v3.0) 
-./extlib/Validate.php: UNKNOWN
-./extlib/htmLawed/htmLawedTest.php: UNKNOWN
-./extlib/htmLawed/htmLawed.php: UNKNOWN
-./extlib/htmLawed/htmLawedTest.php: UNKNOWN
-./extlib/htmLawed/htmLawed.php: UNKNOWN
-./extlib/Stomp.php: Apache (v2.0) 
-./extlib/Mail/smtpmx.php: BSD (2 clause) 
-./extlib/Mail/smtp.php: BSD (2 clause) 
-./extlib/Mail/mail.php: BSD (2 clause) 
-./extlib/Mail/RFC822.php: BSD (2 clause) 
-./extlib/Mail/mock.php: BSD (2 clause) 
-./extlib/Mail/null.php: BSD (2 clause) 
-./extlib/Mail/sendmail.php: PHP (v2.02) 
-./extlib/Mail/mimeDecode.php: BSD (3 clause) 
-./extlib/Mail/smtpmx.php: BSD (2 clause) 
-./extlib/Mail/smtp.php: BSD (2 clause) 
-./extlib/Mail/mail.php: BSD (2 clause) 
-./extlib/Mail/RFC822.php: BSD (2 clause) 
-./extlib/Mail/mock.php: BSD (2 clause) 
-./extlib/Mail/null.php: BSD (2 clause) 
-./extlib/Mail/sendmail.php: PHP (v2.02) 
-./extlib/Mail/mimeDecode.php: BSD (3 clause) 
-./extlib/Auth/OpenID.php: UNKNOWN
-./extlib/Auth/SASL.php: BSD (2 clause) 
-./extlib/Auth/Yadis/HTTPFetcher.php: UNKNOWN
-./extlib/Auth/Yadis/PlainHTTPFetcher.php: UNKNOWN
-./extlib/Auth/Yadis/ParanoidHTTPFetcher.php: UNKNOWN
-./extlib/Auth/Yadis/XRDS.php: UNKNOWN
-./extlib/Auth/Yadis/XRIRes.php: *No copyright* UNKNOWN
-./extlib/Auth/Yadis/Manager.php: *No copyright* UNKNOWN
-./extlib/Auth/Yadis/Yadis.php: UNKNOWN
-./extlib/Auth/Yadis/Misc.php: UNKNOWN
-./extlib/Auth/Yadis/ParseHTML.php: UNKNOWN
-./extlib/Auth/Yadis/XRI.php: UNKNOWN
-./extlib/Auth/Yadis/XML.php: *No copyright* UNKNOWN
-./extlib/Auth/Yadis/HTTPFetcher.php: UNKNOWN
-./extlib/Auth/Yadis/PlainHTTPFetcher.php: UNKNOWN
-./extlib/Auth/Yadis/ParanoidHTTPFetcher.php: UNKNOWN
-./extlib/Auth/Yadis/XRDS.php: UNKNOWN
-./extlib/Auth/Yadis/XRIRes.php: *No copyright* UNKNOWN
-./extlib/Auth/Yadis/Manager.php: *No copyright* UNKNOWN
-./extlib/Auth/Yadis/Yadis.php: UNKNOWN
-./extlib/Auth/Yadis/Misc.php: UNKNOWN
-./extlib/Auth/Yadis/ParseHTML.php: UNKNOWN
-./extlib/Auth/Yadis/XRI.php: UNKNOWN
-./extlib/Auth/Yadis/XML.php: *No copyright* UNKNOWN
-./extlib/Auth/OpenID/TrustRoot.php: UNKNOWN
-./extlib/Auth/OpenID/Discover.php: *No copyright* UNKNOWN
-./extlib/Auth/OpenID/DatabaseConnection.php: UNKNOWN
-./extlib/Auth/OpenID/Message.php: *No copyright* UNKNOWN
-./extlib/Auth/OpenID/KVForm.php: UNKNOWN
-./extlib/Auth/OpenID/DiffieHellman.php: UNKNOWN
-./extlib/Auth/OpenID/MemcachedStore.php: UNKNOWN
-./extlib/Auth/OpenID/FileStore.php: UNKNOWN
-./extlib/Auth/OpenID/Server.php: *No copyright* UNKNOWN
-./extlib/Auth/OpenID/PAPE.php: *No copyright* UNKNOWN
-./extlib/Auth/OpenID/Consumer.php: *No copyright* UNKNOWN
-./extlib/Auth/OpenID/BigMath.php: UNKNOWN
-./extlib/Auth/OpenID/Nonce.php: *No copyright* UNKNOWN
-./extlib/Auth/OpenID/DumbStore.php: GENERATED FILE
-./extlib/Auth/OpenID/SReg.php: *No copyright* UNKNOWN
-./extlib/Auth/OpenID/Interface.php: UNKNOWN
-./extlib/Auth/OpenID/Association.php: UNKNOWN
-./extlib/Auth/OpenID/URINorm.php: UNKNOWN
-./extlib/Auth/OpenID/Extension.php: *No copyright* UNKNOWN
-./extlib/Auth/OpenID/SQLiteStore.php: *No copyright* UNKNOWN
-./extlib/Auth/OpenID/MySQLStore.php: *No copyright* UNKNOWN
-./extlib/Auth/OpenID/HMAC.php: UNKNOWN
-./extlib/Auth/OpenID/Parse.php: *No copyright* UNKNOWN
-./extlib/Auth/OpenID/SQLStore.php: UNKNOWN
-./extlib/Auth/OpenID/ServerRequest.php: UNKNOWN
-./extlib/Auth/OpenID/AX.php: *No copyright* UNKNOWN
-./extlib/Auth/OpenID/CryptUtil.php: UNKNOWN
-./extlib/Auth/OpenID/PostgreSQLStore.php: *No copyright* UNKNOWN
-./extlib/Auth/OpenID/TrustRoot.php: UNKNOWN
-./extlib/Auth/OpenID/Discover.php: *No copyright* UNKNOWN
-./extlib/Auth/OpenID/DatabaseConnection.php: UNKNOWN
-./extlib/Auth/OpenID/Message.php: *No copyright* UNKNOWN
-./extlib/Auth/OpenID/KVForm.php: UNKNOWN
-./extlib/Auth/OpenID/DiffieHellman.php: UNKNOWN
-./extlib/Auth/OpenID/MemcachedStore.php: UNKNOWN
-./extlib/Auth/OpenID/FileStore.php: UNKNOWN
-./extlib/Auth/OpenID/Server.php: *No copyright* UNKNOWN
-./extlib/Auth/OpenID/PAPE.php: *No copyright* UNKNOWN
-./extlib/Auth/OpenID/Consumer.php: *No copyright* UNKNOWN
-./extlib/Auth/OpenID/BigMath.php: UNKNOWN
-./extlib/Auth/OpenID/Nonce.php: *No copyright* UNKNOWN
-./extlib/Auth/OpenID/DumbStore.php: GENERATED FILE
-./extlib/Auth/OpenID/SReg.php: *No copyright* UNKNOWN
-./extlib/Auth/OpenID/Interface.php: UNKNOWN
-./extlib/Auth/OpenID/Association.php: UNKNOWN
-./extlib/Auth/OpenID/URINorm.php: UNKNOWN
-./extlib/Auth/OpenID/Extension.php: *No copyright* UNKNOWN
-./extlib/Auth/OpenID/SQLiteStore.php: *No copyright* UNKNOWN
-./extlib/Auth/OpenID/MySQLStore.php: *No copyright* UNKNOWN
-./extlib/Auth/OpenID/HMAC.php: UNKNOWN
-./extlib/Auth/OpenID/Parse.php: *No copyright* UNKNOWN
-./extlib/Auth/OpenID/SQLStore.php: UNKNOWN
-./extlib/Auth/OpenID/ServerRequest.php: UNKNOWN
-./extlib/Auth/OpenID/AX.php: *No copyright* UNKNOWN
-./extlib/Auth/OpenID/CryptUtil.php: UNKNOWN
-./extlib/Auth/OpenID/PostgreSQLStore.php: *No copyright* UNKNOWN
-./extlib/Auth/OpenID.php: UNKNOWN
-./extlib/Auth/SASL.php: BSD (2 clause) 
-./extlib/Auth/SASL/Plain.php: BSD (2 clause) 
-./extlib/Auth/SASL/Login.php: BSD (2 clause) 
-./extlib/Auth/SASL/Anonymous.php: BSD (2 clause) 
-./extlib/Auth/SASL/Common.php: BSD (2 clause) 
-./extlib/Auth/SASL/CramMD5.php: BSD (2 clause) 
-./extlib/Auth/SASL/DigestMD5.php: BSD (2 clause) 
-./extlib/Auth/SASL/External.php: BSD (2 clause) 
-./extlib/Auth/SASL/Plain.php: BSD (2 clause) 
-./extlib/Auth/SASL/Login.php: BSD (2 clause) 
-./extlib/Auth/SASL/Anonymous.php: BSD (2 clause) 
-./extlib/Auth/SASL/Common.php: BSD (2 clause) 
-./extlib/Auth/SASL/CramMD5.php: BSD (2 clause) 
-./extlib/Auth/SASL/DigestMD5.php: BSD (2 clause) 
-./extlib/Auth/SASL/External.php: BSD (2 clause) 
-./extlib/markdown.php: UNKNOWN
-./extlib/MIME/Type.php: PHP (v3.0) 
-./extlib/MIME/Type/Parameter.php: PHP (v3.0) 
-./extlib/MIME/Type/Extension.php: PHP (v3.0) 
-./extlib/MIME/Type/Parameter.php: PHP (v3.0) 
-./extlib/MIME/Type/Extension.php: PHP (v3.0) 
-./extlib/MIME/Type.php: PHP (v3.0) 
-./extlib/DB/common.php: PHP (v3.0) 
-./extlib/DB/mysql.php: PHP (v3.0) 
-./extlib/DB/oci8.php: PHP (v3.0) 
-./extlib/DB/mysqli.php: PHP (v3.0) 
-./extlib/DB/mssql.php: PHP (v3.0) 
-./extlib/DB/sybase.php: PHP (v3.0) 
-./extlib/DB/ifx.php: PHP (v3.0) 
-./extlib/DB/sqlite.php: PHP (v3.0) 
-./extlib/DB/ibase.php: PHP (v3.0) 
-./extlib/DB/storage.php: PHP (v3.0) 
-./extlib/DB/dbase.php: PHP (v3.0) 
-./extlib/DB/fbsql.php: PHP (v3.0) 
-./extlib/DB/msql.php: PHP (v3.0) 
-./extlib/DB/DataObject.php: PHP (v3.01) 
-./extlib/DB/pgsql.php: PHP (v3.0) 
-./extlib/DB/odbc.php: PHP (v3.0) 
-./extlib/DB/DataObject/Cast.php: PHP (v3.01) 
-./extlib/DB/DataObject/createTables.php: PHP (v2.02) 
-./extlib/DB/DataObject/Error.php: PHP (v3.01) 
-./extlib/DB/DataObject/Generator.php: PHP (v3.01) 
-./extlib/DB/DataObject/Cast.php: PHP (v3.01) 
-./extlib/DB/DataObject/createTables.php: PHP (v2.02) 
-./extlib/DB/DataObject/Error.php: PHP (v3.01) 
-./extlib/DB/DataObject/Generator.php: PHP (v3.01) 
-./extlib/DB/common.php: PHP (v3.0) 
-./extlib/DB/mysql.php: PHP (v3.0) 
-./extlib/DB/oci8.php: PHP (v3.0) 
-./extlib/DB/mysqli.php: PHP (v3.0) 
-./extlib/DB/mssql.php: PHP (v3.0) 
-./extlib/DB/sybase.php: PHP (v3.0) 
-./extlib/DB/ifx.php: PHP (v3.0) 
-./extlib/DB/sqlite.php: PHP (v3.0) 
-./extlib/DB/ibase.php: PHP (v3.0) 
-./extlib/DB/storage.php: PHP (v3.0) 
-./extlib/DB/dbase.php: PHP (v3.0) 
-./extlib/DB/fbsql.php: PHP (v3.0) 
-./extlib/DB/msql.php: PHP (v3.0) 
-./extlib/DB/DataObject.php: PHP (v3.01) 
-./extlib/DB/pgsql.php: PHP (v3.0) 
-./extlib/DB/odbc.php: PHP (v3.0) 
-./extlib/libomb/constants.php: *No copyright* AGPL (v3 or later) 
-./extlib/libomb/helper.php: *No copyright* AGPL (v3 or later) 
-./extlib/libomb/notice.php: *No copyright* AGPL (v3 or later) 
-./extlib/libomb/service_provider.php: *No copyright* AGPL (v3 or later) 
-./extlib/libomb/unsupportedserviceexception.php: *No copyright* AGPL (v3 or later) 
-./extlib/libomb/datastore.php: *No copyright* AGPL (v3 or later) 
-./extlib/libomb/base_url_xrds_mapper.php: *No copyright* AGPL (v3 or later) 
-./extlib/libomb/omb_yadis_xrds.php: *No copyright* AGPL (v3 or later) 
-./extlib/libomb/profile.php: *No copyright* AGPL (v3 or later) 
-./extlib/libomb/xrds_mapper.php: *No copyright* AGPL (v3 or later) 
-./extlib/libomb/invalidparameterexception.php: *No copyright* AGPL (v3 or later) 
-./extlib/libomb/invalidyadisexception.php: *No copyright* AGPL (v3 or later) 
-./extlib/libomb/plain_xrds_writer.php: *No copyright* AGPL (v3 or later) 
-./extlib/libomb/xrds_writer.php: *No copyright* AGPL (v3 or later) 
-./extlib/libomb/service_consumer.php: *No copyright* AGPL (v3 or later) 
-./extlib/libomb/remoteserviceexception.php: *No copyright* AGPL (v3 or later) 
-./extlib/libomb/constants.php: *No copyright* AGPL (v3 or later) 
-./extlib/libomb/helper.php: *No copyright* AGPL (v3 or later) 
-./extlib/libomb/notice.php: *No copyright* AGPL (v3 or later) 
-./extlib/libomb/service_provider.php: *No copyright* AGPL (v3 or later) 
-./extlib/libomb/unsupportedserviceexception.php: *No copyright* AGPL (v3 or later) 
-./extlib/libomb/datastore.php: *No copyright* AGPL (v3 or later) 
-./extlib/libomb/base_url_xrds_mapper.php: *No copyright* AGPL (v3 or later) 
-./extlib/libomb/omb_yadis_xrds.php: *No copyright* AGPL (v3 or later) 
-./extlib/libomb/profile.php: *No copyright* AGPL (v3 or later) 
-./extlib/libomb/xrds_mapper.php: *No copyright* AGPL (v3 or later) 
-./extlib/libomb/invalidparameterexception.php: *No copyright* AGPL (v3 or later) 
-./extlib/libomb/invalidyadisexception.php: *No copyright* AGPL (v3 or later) 
-./extlib/libomb/plain_xrds_writer.php: *No copyright* AGPL (v3 or later) 
-./extlib/libomb/xrds_writer.php: *No copyright* AGPL (v3 or later) 
-./extlib/libomb/service_consumer.php: *No copyright* AGPL (v3 or later) 
-./extlib/libomb/remoteserviceexception.php: *No copyright* AGPL (v3 or later) 
-./extlib/OAuth.php: *No copyright* UNKNOWN
-./extlib/System/Command.php: PHP (v2.02) 
-./extlib/System/Command.php: PHP (v2.02) 
-./extlib/php-gettext/gettext.inc: GPL (v2 or later) (with incorrect FSF address) 
-./extlib/php-gettext/gettext.php: GPL (v2 or later) (with incorrect FSF address) 
-./extlib/php-gettext/streams.php: GPL (v2 or later) (with incorrect FSF address) 
-./extlib/php-gettext/gettext.inc: GPL (v2 or later) (with incorrect FSF address) 
-./extlib/php-gettext/gettext.php: GPL (v2 or later) (with incorrect FSF address) 
-./extlib/php-gettext/streams.php: GPL (v2 or later) (with incorrect FSF address) 
-./extlib/Console/Getopt.php: PHP (v3.0) 
-./extlib/Console/Getopt.php: PHP (v3.0) 
-./extlib/HTTP/Request2.php: BSD (2 clause) 
-./extlib/HTTP/Request2/Response.php: BSD (2 clause) 
-./extlib/HTTP/Request2/Adapter.php: BSD (2 clause) 
-./extlib/HTTP/Request2/MultipartBody.php: BSD (2 clause) 
-./extlib/HTTP/Request2/Exception.php: BSD (2 clause) 
-./extlib/HTTP/Request2/Response.php: BSD (2 clause) 
-./extlib/HTTP/Request2/Adapter.php: BSD (2 clause) 
-./extlib/HTTP/Request2/MultipartBody.php: BSD (2 clause) 
-./extlib/HTTP/Request2/Exception.php: BSD (2 clause) 
-./extlib/HTTP/Request2/Observer/Log.php: BSD (2 clause) 
-./extlib/HTTP/Request2/Observer/Log.php: BSD (2 clause) 
-./extlib/HTTP/Request2/Adapter/Socket.php: BSD (2 clause) 
-./extlib/HTTP/Request2/Adapter/Mock.php: BSD (2 clause) 
-./extlib/HTTP/Request2/Adapter/Curl.php: BSD (2 clause) 
-./extlib/HTTP/Request2/Adapter/Socket.php: BSD (2 clause) 
-./extlib/HTTP/Request2/Adapter/Mock.php: BSD (2 clause) 
-./extlib/HTTP/Request2/Adapter/Curl.php: BSD (2 clause) 
-./extlib/HTTP/Request2.php: BSD (2 clause) 
-./extlib/get_temp_dir.php: *No copyright* UNKNOWN
-./extlib/Net/IDNA.php: *No copyright* LGPL (v2.1 or later) (with incorrect FSF address) 
-./extlib/Net/URL2.php: BSD (3 clause) 
-./extlib/Net/Socket.php: PHP (v2.0) 
-./extlib/Net/URL.php: BSD (2 clause) 
-./extlib/Net/SMTP.php: PHP (v2.02) 
-./extlib/Net/IDNA.php: *No copyright* LGPL (v2.1 or later) (with incorrect FSF address) 
-./extlib/Net/URL2.php: BSD (3 clause) 
-./extlib/Net/Socket.php: PHP (v2.0) 
-./extlib/Net/IDNA/php5.php: *No copyright* LGPL (v2.1 or later) (with incorrect FSF address) 
-./extlib/Net/IDNA/php5.php: *No copyright* LGPL (v2.1 or later) (with incorrect FSF address) 
-./extlib/Net/URL.php: BSD (2 clause) 
-./extlib/Net/SMTP.php: PHP (v2.02) 
-./extlib/Net/URL/Mapper.php: BSD (2 clause) 
-./extlib/Net/URL/Mapper.php: BSD (2 clause) 
-./extlib/Net/URL/Mapper/Exception.php: BSD (2 clause) 
-./extlib/Net/URL/Mapper/Path.php: BSD (2 clause) 
-./extlib/Net/URL/Mapper/Part.php: BSD (2 clause) 
-./extlib/Net/URL/Mapper/Exception.php: BSD (2 clause) 
-./extlib/Net/URL/Mapper/Part/Dynamic.php: BSD (2 clause) 
-./extlib/Net/URL/Mapper/Part/Wildcard.php: BSD (2 clause) 
-./extlib/Net/URL/Mapper/Part/Fixed.php: BSD (2 clause) 
-./extlib/Net/URL/Mapper/Part/Dynamic.php: BSD (2 clause) 
-./extlib/Net/URL/Mapper/Part/Wildcard.php: BSD (2 clause) 
-./extlib/Net/URL/Mapper/Part/Fixed.php: BSD (2 clause) 
-./extlib/Net/URL/Mapper/Path.php: BSD (2 clause) 
-./extlib/Net/URL/Mapper/Part.php: BSD (2 clause) 
-./extlib/Stomp/Message.php: Apache (v2.0) 
-./extlib/Stomp/Exception.php: Apache (v2.0) 
-./extlib/Stomp/Frame.php: Apache (v2.0) 
-./extlib/Stomp/Message.php: Apache (v2.0) 
-./extlib/Stomp/Exception.php: Apache (v2.0) 
-./extlib/Stomp/Message/Map.php: Apache (v2.0) 
-./extlib/Stomp/Message/Bytes.php: Apache (v2.0) 
-./extlib/Stomp/Message/Map.php: Apache (v2.0) 
-./extlib/Stomp/Message/Bytes.php: Apache (v2.0) 
-./extlib/Stomp/Frame.php: Apache (v2.0) 
-./extlib/PEAR.php: PHP (v3.0) 
-./scripts/xmppdaemon.php: AGPL (v3 or later) 
-./scripts/uncache_users.php: AGPL (v3 or later) 
-./scripts/flushsite.php: AGPL (v3 or later) 
-./scripts/initializeinbox.php: AGPL (v3 or later) 
-./scripts/sendemail.php: AGPL (v3 or later) 
-./scripts/fixup_hashtags.php: AGPL (v3 or later) 
-./scripts/fixup_notices_rendered.php: AGPL (v3 or later) 
-./scripts/strip_geo.php: AGPL (v3 or later) 
-./scripts/updateprofileurl.php: AGPL (v3 or later) 
-./scripts/fixup_utf8.php: AGPL (v3 or later) 
-./scripts/clear_jabber.php: AGPL (v3 or later) 
-./scripts/showplugins.php: AGPL (v3 or later) 
-./scripts/settag.php: AGPL (v3 or later) 
-./scripts/maildaemon.php: AGPL (v3 or later) 
-./scripts/setpassword.php: AGPL (v3 or later) 
-./scripts/install_cli.php: AGPL (v3 or later) 
-./scripts/handlequeued.php: AGPL (v3 or later) 
-./scripts/fixup_inboxes.php: AGPL (v3 or later) 
-./scripts/sitemap.php: AGPL (v3 or later) 
-./scripts/fixup_files.php: AGPL (v3 or later) 
-./scripts/docgen.php: *No copyright* UNKNOWN
-./scripts/moveuser.php: AGPL (v3 or later) 
-./scripts/commandline.inc: AGPL (v3 or later) 
-./scripts/makegroupadmin.php: AGPL (v3 or later) 
-./scripts/deleteuser.php: AGPL (v3 or later) 
-./scripts/decache.php: AGPL (v3 or later) 
-./scripts/userrole.php: AGPL (v3 or later) 
-./scripts/fixup_group_uri.php: AGPL (v3 or later) 
-./scripts/fixup_conversations.php: AGPL (v3 or later) 
-./scripts/registeruser.php: AGPL (v3 or later) 
-./scripts/flushrouter.php: AGPL (v3 or later) 
-./scripts/rebuilddb_psql.sh: *No copyright* UNKNOWN
-./scripts/command.php: AGPL (v3 or later) 
-./scripts/update_translations.php: AGPL (v3 or later) 
-./scripts/delete_status_network.sh: *No copyright* UNKNOWN
-./scripts/clearcache.php: AGPL (v3 or later) 
-./scripts/importtwitteratom.php: AGPL (v3 or later) 
-./scripts/updateavatarurl.php: AGPL (v3 or later) 
-./scripts/createsim.php: AGPL (v3 or later) 
-./scripts/deletegroup.php: AGPL (v3 or later) 
-./scripts/restoreuser.php: AGPL (v3 or later) 
-./scripts/updateavatarurl_group.php: AGPL (v3 or later) 
-./scripts/fixup_deletions.php: AGPL (v3 or later) 
-./scripts/getpiddir.php: AGPL (v3 or later) 
-./scripts/startdaemons.sh: AGPL (v3 or later) 
-./scripts/fixup_blocks.php: AGPL (v3 or later) 
-./scripts/reportsnapshot.php: AGPL (v3 or later) 
-./scripts/checkschema.php: AGPL (v3 or later) 
-./scripts/make-release.php: AGPL (v3 or later) 
-./scripts/queuectl.php: AGPL (v3 or later) 
-./scripts/queuedaemon.php: AGPL (v3 or later) 
-./scripts/init_conversation.php: AGPL (v3 or later) 
-./scripts/fixup_status_network.php: AGPL (v3 or later) 
-./scripts/allsites.php: AGPL (v3 or later) 
-./scripts/update_po_templates.php: AGPL (v3 or later) 
-./scripts/sessiongc.php: AGPL (v3 or later) 
-./scripts/updatelocation.php: AGPL (v3 or later) 
-./scripts/showcache.php: AGPL (v3 or later) 
-./scripts/getvaliddaemons.php: AGPL (v3 or later) 
-./scripts/console.php: AGPL (v3 or later) 
-./scripts/setup_status_network.sh: *No copyright* UNKNOWN
-./scripts/stopdaemons.sh: AGPL (v3 or later) 
-./scripts/showtable.php: AGPL (v3 or later) 
-./scripts/backupuser.php: AGPL (v3 or later) 
-./scripts/setconfig.php: AGPL (v3 or later) 
-./scripts/fixup_replies.php: AGPL (v3 or later) 
-./scripts/useremail.php: AGPL (v3 or later) 
-./scripts/cleardb.sh: *No copyright* UNKNOWN
-./scripts/rebuilddb.sh: *No copyright* UNKNOWN
-./scripts/xmppdaemon.php: AGPL (v3 or later) 
-./scripts/uncache_users.php: AGPL (v3 or later) 
-./scripts/flushsite.php: AGPL (v3 or later) 
-./scripts/initializeinbox.php: AGPL (v3 or later) 
-./scripts/sendemail.php: AGPL (v3 or later) 
-./scripts/fixup_hashtags.php: AGPL (v3 or later) 
-./scripts/fixup_notices_rendered.php: AGPL (v3 or later) 
-./scripts/strip_geo.php: AGPL (v3 or later) 
-./scripts/updateprofileurl.php: AGPL (v3 or later) 
-./scripts/fixup_utf8.php: AGPL (v3 or later) 
-./scripts/clear_jabber.php: AGPL (v3 or later) 
-./scripts/showplugins.php: AGPL (v3 or later) 
-./scripts/settag.php: AGPL (v3 or later) 
-./scripts/maildaemon.php: AGPL (v3 or later) 
-./scripts/setpassword.php: AGPL (v3 or later) 
-./scripts/install_cli.php: AGPL (v3 or later) 
-./scripts/handlequeued.php: AGPL (v3 or later) 
-./scripts/fixup_inboxes.php: AGPL (v3 or later) 
-./scripts/sitemap.php: AGPL (v3 or later) 
-./scripts/fixup_files.php: AGPL (v3 or later) 
-./scripts/docgen.php: *No copyright* UNKNOWN
-./scripts/moveuser.php: AGPL (v3 or later) 
-./scripts/commandline.inc: AGPL (v3 or later) 
-./scripts/makegroupadmin.php: AGPL (v3 or later) 
-./scripts/deleteuser.php: AGPL (v3 or later) 
-./scripts/decache.php: AGPL (v3 or later) 
-./scripts/userrole.php: AGPL (v3 or later) 
-./scripts/fixup_group_uri.php: AGPL (v3 or later) 
-./scripts/fixup_conversations.php: AGPL (v3 or later) 
-./scripts/registeruser.php: AGPL (v3 or later) 
-./scripts/flushrouter.php: AGPL (v3 or later) 
-./scripts/rebuilddb_psql.sh: *No copyright* UNKNOWN
-./scripts/command.php: AGPL (v3 or later) 
-./scripts/update_translations.php: AGPL (v3 or later) 
-./scripts/delete_status_network.sh: *No copyright* UNKNOWN
-./scripts/clearcache.php: AGPL (v3 or later) 
-./scripts/importtwitteratom.php: AGPL (v3 or later) 
-./scripts/updateavatarurl.php: AGPL (v3 or later) 
-./scripts/createsim.php: AGPL (v3 or later) 
-./scripts/deletegroup.php: AGPL (v3 or later) 
-./scripts/restoreuser.php: AGPL (v3 or later) 
-./scripts/updateavatarurl_group.php: AGPL (v3 or later) 
-./scripts/fixup_deletions.php: AGPL (v3 or later) 
-./scripts/getpiddir.php: AGPL (v3 or later) 
-./scripts/startdaemons.sh: AGPL (v3 or later) 
-./scripts/fixup_blocks.php: AGPL (v3 or later) 
-./scripts/reportsnapshot.php: AGPL (v3 or later) 
-./scripts/checkschema.php: AGPL (v3 or later) 
-./scripts/make-release.php: AGPL (v3 or later) 
-./scripts/queuectl.php: AGPL (v3 or later) 
-./scripts/queuedaemon.php: AGPL (v3 or later) 
-./scripts/init_conversation.php: AGPL (v3 or later) 
-./scripts/fixup_status_network.php: AGPL (v3 or later) 
-./scripts/allsites.php: AGPL (v3 or later) 
-./scripts/update_po_templates.php: AGPL (v3 or later) 
-./scripts/sessiongc.php: AGPL (v3 or later) 
-./scripts/updatelocation.php: AGPL (v3 or later) 
-./scripts/showcache.php: AGPL (v3 or later) 
-./scripts/getvaliddaemons.php: AGPL (v3 or later) 
-./scripts/console.php: AGPL (v3 or later) 
-./scripts/setup_status_network.sh: *No copyright* UNKNOWN
-./scripts/stopdaemons.sh: AGPL (v3 or later) 
-./scripts/showtable.php: AGPL (v3 or later) 
-./scripts/backupuser.php: AGPL (v3 or later) 
-./scripts/setconfig.php: AGPL (v3 or later) 
-./scripts/fixup_replies.php: AGPL (v3 or later) 
-./scripts/useremail.php: AGPL (v3 or later) 
-./scripts/cleardb.sh: *No copyright* UNKNOWN
-./scripts/rebuilddb.sh: *No copyright* UNKNOWN
+Files: doc-src/*
+Copyright: 2008, 2009, StatusNet, Inc.
+License: CC-BY-3
+
+Files: extlib/XMPPHP/*
+Copyright: 2008 Nathanael C. Fritz
+License: GPL-2+
+
+Files: extlib/php-gettext/*
+Copyright: Danilo Segan <danilo@kvota.net>
+ Nico Kaiser <nico@siriux.net>
+ Steven Armstrong <sa@c-area.ch>
+License: GPL-2+
+
+Files: extlib/HTTP/*
+Copyright: 2008-2009, Alexey Borzov
+License: BSD-3-clause
+
+Files: extlib/Net/URL.php extlib/Net/URL/*
+Copyright: 2002-2004 Richard Heyes
+License: BSD-3-clause
+
+Files: extlib/Stomp/*
+Copyright: 2005-2006 The Apache Software Foundation
+License: Apache-2
+
+Files: plugins/CasAuthentication/extlib/CAS.php plugins/CasAuthentication/extlib/CAS/*
+Copyright: Pascal Aubry <pascal.aubry@univ-rennes1.fr>
+License: Apache-2
+Comment: Not mentioned in the included source, but
+ https://github.com/Jasig/phpCAS/blob/master/source/CAS.php has a more
+ recent version of that library under the Apache 2 license.
+
+Files: plugins/Minify/extlib/minify/*
+Copyright: 2008 Ryan Grove <ryan@wonko.com>
+ 	   2008 Steve Clay <steve@mrclay.org>
+License: BSD-3-clause
+
+Files: plugins/OpenID/extlib/teams-extension.php
+Copyright: 2010 Canonical Ltd.
+License: AGPL-3+
+
+Files: plugins/OStatus/extlib/*
+Copyright: 2006-2009 Jim Wigginton
+License: LGPL-2.1+
+
+Files: plugins/Comet/bayeux.class.inc.php
+Copyright: 2008 Morgan Allen
+License: LGPL-2.1+
+
+Files: plugins/FacebookBridge/extlib/facebook.php
+Copyright: Naitik Shah
+License: Apache-2
+Comment: Not mentioned in source, but see
+ https://github.com/facebook/php-sdk/commit/a57756d42f8670990cb43ebaaa95514c4a8747ba
+
+Files: plugins/LdapCommon/extlib/Net/LDAP2.php plugins/LdapCommon/extlib/Net/LDAP2/*
+Copyright: 2003-2007 Tarjej Huse, Jan Wagner, Del Elson, Benedikt Hallinger
+License: LGPL-3
+
+Files: plugins/Recaptcha/recaptchalib.php
+Copyright: 2007 reCAPTCHA
+License: Expat
+
+Files: extlib/Auth/OpenID.php extlib/Auth/OpenID/*
+Copyright: 2005-2008 Janrain, Inc.
+License: Apache-2
+
+Files: extlib/Auth/SASL.php extlib/Auth/SASL/*
+Copyright: 2002-2003 Richard Heyes
+License: BSD-3-clause
+
+Files: extlib/Auth/Yadis/*
+Copyright: 2005-2008 Janrain, Inc.
+License: Apache-2
+
+Files: extlib/Net/IDNA.php extlib/Net/IDNA/*
+Copyright: 2009 Matthias Sommerfeld
+License: LGPL-2.1+
+
+Files: extlib/Net/URL.php
+Copyright: 2002-2004 Richard Heyes
+License: BSD-3-clause
+
+Files: extlib/Net/URL2.php
+Copyright: 2007-2009, Peytz & Co. A/S
+License: BSD-3-clause
+
+Files: extlib/Net/URL/*
+Copyright: 2006, Bertrand Mansion
+License: BSD-3-clause
+
+Files: extlib/OAuth.php
+Copyright: 2007 Andy Smith
+License: Expat
+
+Files: extlib/Validate.php
+Copyright: 1997-2006 Pierre-Alain Joye, Tomas V.V.Cox, Amir Saied
+License: BSD-3-clause
+
+Files: extlib/get_temp_dir.php
+Copyright: 2008, "php [spat] hm2k.org"
+License: UNKNOWN
+ Not sure such a short snippet of code is subject to copyright.
+Comment: Looks cut-and-pasted from 
+ http://php.net/manual/en/function.sys-get-temp-dir.php#85261
+
+Files: extlib/htmLawed/*
+Copyright: 2009, Santosh Patnaik
+License: GPL-3
+
+Files: extlib/libomb/*
+Copyright: 2009, Adrian Lang
+License: AGPL-3+
+
+Files: extlib/markdown.php
+Copyright: 2004-2008 Michel Fortin
+License: BSD-3-clause
+
+Files: extlib/Mail.php extlib/Mail/*
+Copyright: 1997-2010 Chuck Hagenbuch, Richard Heyes
+License: BSD-3-clause
+
+Files: extlib/Console/Getopt.php
+Copyright: 1997-2007 The PHP Group
+License: PHP-3.0
+
+Files: extlib/DB.php extlib/DB/*
+Copyright: 1997-2007 The PHP Group
+License: PHP-3.0
+
+Files: extlib/DB/DataObject.php extlib/DB/DataObject/*
+Copyright: 1997-2007 The PHP Group
+License: PHP-3.01
+
+Files: extlib/DB/DataObject/createTables.php
+Copyright: 1997-2007 The PHP Group
+License: PHP-2.02
+
+Files: extlib/MIME/Type.php extlib/MIME/Type/*
+Copyright: 1997-2009 The PHP Group
+License: PHP-3.0
+
+Files: extlib/Mail/sendmail.php extlib/Net/SMTP.php extlib/Net/Socket.php
+Copyright: 1997-2003 The PHP Group
+License: PHP-2.02
+
+Files: extlib/PEAR.php extlib/PEAR/*
+Copyright: 1997-2008 The PHP Group
+License: PHP-3.0
+
+Files: extlib/System/Command.php
+Copyright: 1997-2003 The PHP Group
+License: PHP-2.02
+
+License: AGPL-3+
+ This program is free software: you can redistribute it and/or modify
+ it under the terms of the GNU Affero General Public License as
+ published by the Free Software Foundation, either version 3 of the
+ License, or (at your option) any later version.
+ .
+ This program is distributed in the hope that it will be useful, but
+ WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+ Affero General Public License for more details.
+ .
+ You should have received a copy of the GNU Affero General Public
+ License along with this program.  If not, see
+ <http://www.gnu.org/licenses/>.
+
+License: Apache-2
+ Licensed under the Apache License, Version 2.0 (the "License"); you
+ may not use this file except in compliance with the License.  You may
+ obtain a copy of the License at
+ .
+ http://www.apache.org/licenses/LICENSE-2.0
+ .
+ Unless required by applicable law or agreed to in writing, software
+ distributed under the License is distributed on an "AS IS" BASIS,
+ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
+ implied.  See the License for the specific language governing
+ permissions and limitations under the License.
+ .
+ On Debian systems, the full text of the Apache License version 2.0
+ can be found in the file `/usr/share/common-licenses/Apache-2.0'.
+
+License: BSD-3-clause
+ All rights reserved.
+ .
+ Redistribution and use in source and binary forms, with or without     
+ modification, are permitted provided that the following conditions     
+ are met:                                                               
+ .                                                                      
+ o Redistributions of source code must retain the above copyright       
+   notice, this list of conditions and the following disclaimer.        
+ o Redistributions in binary form must reproduce the above copyright    
+   notice, this list of conditions and the following disclaimer in the  
+   documentation and/or other materials provided with the distribution. 
+ o The names of the authors may not be used to endorse or promote       
+   products derived from this software without specific prior written   
+   permission.                                                          
+ .                                                                      
+ THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+ "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+ LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+ A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+ OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+ SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+ LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+ DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+ THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+ OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+License: CC-BY-3
+ Documentation in the /doc-src/ directory, and CSS and images in the
+ /theme/ directory are available under the Creative Commons
+ Attribution 3.0 Unported license, with attribution to
+ "StatusNet". See http://creativecommons.org/licenses/by/3.0/ for
+ details.
+
+License: Expat
+ Permission is hereby granted, free of charge, to any person obtaining
+ a copy of this software and associated documentation files (the
+ "Software"), to deal in the Software without restriction, including
+ without limitation the rights to use, copy, modify, merge, publish,
+ distribute, sublicense, and/or sell copies of the Software, and to
+ permit persons to whom the Software is furnished to do so, subject to
+ the following conditions:
+ .
+ The above copyright notice and this permission notice shall be
+ included in all copies or substantial portions of the Software.
+ .
+ THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
+ EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
+ MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
+ NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
+ BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
+ ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
+ CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
+ SOFTWARE.
+
+License: GPL-2+
+ This program is free software; you can redistribute it
+ and/or modify it under the terms of the GNU General Public
+ License as published by the Free Software Foundation; either
+ version 2 of the License, or (at your option) any later
+ version.
+ .
+ This program is distributed in the hope that it will be
+ useful, but WITHOUT ANY WARRANTY; without even the implied
+ warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+ PURPOSE.  See the GNU General Public License for more
+ details.
+ .
+ You should have received a copy of the GNU General Public
+ License along with this package; if not, write to the Free
+ Software Foundation, Inc., 51 Franklin St, Fifth Floor,
+ Boston, MA  02110-1301 USA
+ .
+ On Debian systems, the full text of the GNU General Public
+ License version 2 can be found in the file
+ `/usr/share/common-licenses/GPL-2'.
+
+License: GPL-3
+ This program is free software; you can redistribute it and/or modify
+ it under the terms of the GNU General Public License as published by
+ the Free Software Foundation, version 3.
+ .
+ This program is distributed in the hope that it will be
+ useful, but WITHOUT ANY WARRANTY; without even the implied
+ warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+ PURPOSE.  See the GNU General Public License for more
+ details.
+ .
+ You should have received a copy of the GNU General Public
+ License along with this package; if not, write to the Free
+ Software Foundation, Inc., 51 Franklin St, Fifth Floor,
+ Boston, MA  02110-1301 USA
+ .
+ On Debian systems, the full text of the GNU General Public
+ License version 3 can be found in the file
+ `/usr/share/common-licenses/GPL-3'.
+
+License: GPL-3+
+ This program is free software; you can redistribute it
+ and/or modify it under the terms of the GNU General Public
+ License as published by the Free Software Foundation; either
+ version 3 of the License, or (at your option) any later
+ version.
+ .
+ This program is distributed in the hope that it will be
+ useful, but WITHOUT ANY WARRANTY; without even the implied
+ warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+ PURPOSE.  See the GNU General Public License for more
+ details.
+ .
+ You should have received a copy of the GNU General Public
+ License along with this package; if not, write to the Free
+ Software Foundation, Inc., 51 Franklin St, Fifth Floor,
+ Boston, MA  02110-1301 USA
+ .
+ On Debian systems, the full text of the GNU General Public
+ License version 3 can be found in the file
+ `/usr/share/common-licenses/GPL-3'.
+
+License: LGPL-2.1+
+ This program is free software; you can redistribute it and/or modify
+ it under the terms of the GNU Lesser General Public License as
+ published by the Free Software Foundation; either version 2.1 of the
+ License, or (at your option) any later version.
+ .
+ This program is distributed in the hope that it will be
+ useful, but WITHOUT ANY WARRANTY; without even the implied
+ warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+ PURPOSE.  See the GNU General Public License for more
+ details.
+ .
+ You should have received a copy of the GNU Lesser General Public
+ License along with this package; if not, write to the Free Software
+ Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301
+ USA
+ .
+ On Debian systems, the full text of the GNU General Public
+ License version 2 can be found in the file
+ `/usr/share/common-licenses/LGPL-2.1'.
+
+License: LGPL-3
+ This program is free software; you can redistribute it and/or modify
+ it under the terms of the GNU Lesser General Public License as
+ published by the Free Software Foundation, version 3.
+ .
+ This program is distributed in the hope that it will be
+ useful, but WITHOUT ANY WARRANTY; without even the implied
+ warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+ PURPOSE.  See the GNU General Public License for more
+ details.
+ .
+ You should have received a copy of the GNU Lesser General Public
+ License along with this package; if not, write to the Free Software
+ Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301
+ USA
+ .
+ On Debian systems, the full text of the GNU Lesser General Public
+ License version 3 can be found in the file
+ `/usr/share/common-licenses/LGPL-3'.
+
+License: PHP-2.02
+ -------------------------------------------------------------------- 
+                   The PHP License, version 2.02
+ Copyright (c) 1999 - 2002 The PHP Group. All rights reserved.
+ -------------------------------------------------------------------- 
+ .
+ Redistribution and use in source and binary forms, with or without
+ modification, is permitted provided that the following conditions
+ are met:
+ .
+   1. Redistributions of source code must retain the above copyright
+      notice, this list of conditions and the following disclaimer. 
+ .
+   2. Redistributions in binary form must reproduce the above 
+      copyright notice, this list of conditions and the following 
+      disclaimer in the documentation and/or other materials provided
+      with the distribution.
+ .
+   3. The name "PHP" must not be used to endorse or promote products 
+      derived from this software without prior permission from the 
+      PHP Group.  This does not apply to add-on libraries or tools
+      that work in conjunction with PHP.  In such a case the PHP
+      name may be used to indicate that the product supports PHP.
+ .
+   4. The PHP Group may publish revised and/or new versions of the
+      license from time to time. Each version will be given a
+      distinguishing version number.
+      Once covered code has been published under a particular version
+      of the license, you may always continue to use it under the
+      terms of that version. You may also choose to use such covered
+      code under the terms of any subsequent version of the license
+      published by the PHP Group. No one other than the PHP Group has
+      the right to modify the terms applicable to covered code created
+      under this License.
+ .
+   5. Redistributions of any form whatsoever must retain the following
+      acknowledgment:
+      "This product includes PHP, freely available from
+      http://www.php.net/".
+ .
+   6. The software incorporates the Zend Engine, a product of Zend
+      Technologies, Ltd. ("Zend"). The Zend Engine is licensed to the
+      PHP Association (pursuant to a grant from Zend that can be
+      found at http://www.php.net/license/ZendGrant/) for
+      distribution to you under this license agreement, only as a
+      part of PHP.  In the event that you separate the Zend Engine
+      (or any portion thereof) from the rest of the software, or
+      modify the Zend Engine, or any portion thereof, your use of the
+      separated or modified Zend Engine software shall not be governed
+      by this license, and instead shall be governed by the license
+      set forth at http://www.zend.com/license/ZendLicense/. 
+ .
+ THIS SOFTWARE IS PROVIDED BY THE PHP DEVELOPMENT TEAM ``AS IS'' AND 
+ ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
+ THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A 
+ PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE PHP
+ DEVELOPMENT TEAM OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, 
+ INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES 
+ (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
+ SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+ HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
+ STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
+ OF THE POSSIBILITY OF SUCH DAMAGE.
+
+License: PHP-3.0
+ -------------------------------------------------------------------- 
+                   The PHP License, version 3.0
+ Copyright (c) 1999 - 2006 The PHP Group. All rights reserved.
+ -------------------------------------------------------------------- 
+ .
+ Redistribution and use in source and binary forms, with or without
+ modification, is permitted provided that the following conditions
+ are met:
+ .
+   1. Redistributions of source code must retain the above copyright
+      notice, this list of conditions and the following disclaimer.
+ .
+   2. Redistributions in binary form must reproduce the above copyright
+      notice, this list of conditions and the following disclaimer in
+      the documentation and/or other materials provided with the
+      distribution.
+ .
+   3. The name "PHP" must not be used to endorse or promote products
+      derived from this software without prior written permission. For
+      written permission, please contact group@php.net.
+ .
+   4. Products derived from this software may not be called "PHP", nor
+      may "PHP" appear in their name, without prior written permission
+      from group@php.net.  You may indicate that your software works in
+      conjunction with PHP by saying "Foo for PHP" instead of calling
+      it "PHP Foo" or "phpfoo"
+ .
+   5. The PHP Group may publish revised and/or new versions of the
+      license from time to time. Each version will be given a
+      distinguishing version number.
+      Once covered code has been published under a particular version
+      of the license, you may always continue to use it under the terms
+      of that version. You may also choose to use such covered code
+      under the terms of any subsequent version of the license
+      published by the PHP Group. No one other than the PHP Group has
+      the right to modify the terms applicable to covered code created
+      under this License.
+ .
+   6. Redistributions of any form whatsoever must retain the following
+      acknowledgment:
+      "This product includes PHP, freely available from
+      <http://www.php.net/>".
+ .
+ THIS SOFTWARE IS PROVIDED BY THE PHP DEVELOPMENT TEAM ``AS IS'' AND 
+ ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
+ THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A 
+ PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE PHP
+ DEVELOPMENT TEAM OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, 
+ INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES 
+ (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
+ SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+ HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
+ STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
+ OF THE POSSIBILITY OF SUCH DAMAGE.
+
+License: PHP-3.01
+ -------------------------------------------------------------------- 
+                   The PHP License, version 3.01
+ Copyright (c) 1999 - 2012 The PHP Group. All rights reserved.
+ -------------------------------------------------------------------- 
+ .
+ Redistribution and use in source and binary forms, with or without
+ modification, is permitted provided that the following conditions
+ are met:
+ .
+   1. Redistributions of source code must retain the above copyright
+      notice, this list of conditions and the following disclaimer.
+ .
+   2. Redistributions in binary form must reproduce the above copyright
+      notice, this list of conditions and the following disclaimer in
+      the documentation and/or other materials provided with the
+      distribution.
+ .
+   3. The name "PHP" must not be used to endorse or promote products
+      derived from this software without prior written permission. For
+      written permission, please contact group@php.net.
+ .
+   4. Products derived from this software may not be called "PHP", nor
+      may "PHP" appear in their name, without prior written permission
+      from group@php.net.  You may indicate that your software works in
+      conjunction with PHP by saying "Foo for PHP" instead of calling
+      it "PHP Foo" or "phpfoo"
+ .
+   5. The PHP Group may publish revised and/or new versions of the
+      license from time to time. Each version will be given a
+      distinguishing version number.
+      Once covered code has been published under a particular version
+      of the license, you may always continue to use it under the terms
+      of that version. You may also choose to use such covered code
+      under the terms of any subsequent version of the license
+      published by the PHP Group. No one other than the PHP Group has
+      the right to modify the terms applicable to covered code created
+      under this License.
+ .
+   6. Redistributions of any form whatsoever must retain the following
+      acknowledgment:
+      "This product includes PHP software, freely available from
+      <http://www.php.net/software/>".
+ .
+ THIS SOFTWARE IS PROVIDED BY THE PHP DEVELOPMENT TEAM ``AS IS'' AND 
+ ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
+ THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A 
+ PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE PHP
+ DEVELOPMENT TEAM OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, 
+ INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES 
+ (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
+ SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+ HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
+ STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
+ OF THE POSSIBILITY OF SUCH DAMAGE.
-- 
1.7.9.1

[Message part 3 (text/plain, inline)]
  Don't be afraid by the length: most of it is removed text, and most of
the rest is three copies of three versions of the PHP license.  Meh.
Note there's some guesswork in there: I had to look for some files on
the web, and deduced the license from there; in one other case, I think
the snippet probably falls outside the range of copyrightable stuff.

  I'll leave you to handle the technical parts (see Jeremy Malcolm's
emails for instance); there also seems to be a new upstream release,
1.0.1, in case you'd care to package it :-)

Roland.
-- 
Roland Mas

How does an octopus go into battle?
Fully-armed.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, shiny@cpan.org:
Bug#491723; Package wnpp. (Mon, 26 Mar 2012 10:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roland Mas <lolando@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, shiny@cpan.org. (Mon, 26 Mar 2012 10:00:07 GMT) Full text and rfc822 format available.

Message #165 received at 491723@bugs.debian.org (full text, mbox):

From: Roland Mas <lolando@debian.org>
To: 491723@bugs.debian.org
Cc: costela@debian.org
Subject: Re: debian/copyright for statusnet
Date: Mon, 26 Mar 2012 11:56:06 +0200
[Message part 1 (text/plain, inline)]
And a fix for an error.

[0001-debian-is-not-copyright-StatusNet.patch (text/x-diff, inline)]
From 524719cfe8b33c861113e1b6cfac0c82cf25c605 Mon Sep 17 00:00:00 2001
From: Roland Mas <lolando@debian.org>
Date: Mon, 26 Mar 2012 11:53:34 +0200
Subject: [PATCH] debian/* is not copyright StatusNet
To: 491723@bugs.debian.org
Cc: costela@debian.org,
    lolando@debian.org

---
 debian/copyright |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

diff --git a/debian/copyright b/debian/copyright
index 4fa2f9f..462aaaa 100644
--- a/debian/copyright
+++ b/debian/copyright
@@ -7,7 +7,6 @@ Copyright: 2010, 2011 Leo Antunes
            2010 Evan Prodromou
            2009 Brenda Wallace
            2009 Francois Marier
-           2009 StatusNet, Inc.
 License: GPL-3+
 
 Files: *
-- 
1.7.9.1

[Message part 3 (text/plain, inline)]
Roland.
-- 
Roland Mas

That's one of the good fings about not existin'; they leave you alone most
of the time.  --  in My Hero (Tom Holt)

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, shiny@cpan.org:
Bug#491723; Package wnpp. (Mon, 26 Mar 2012 13:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Leo 'costela' Antunes <costela@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, shiny@cpan.org. (Mon, 26 Mar 2012 13:06:08 GMT) Full text and rfc822 format available.

Message #170 received at 491723@bugs.debian.org (full text, mbox):

From: Leo 'costela' Antunes <costela@debian.org>
To: Roland Mas <lolando@debian.org>
Cc: 491723@bugs.debian.org
Subject: Re: debian/copyright for statusnet
Date: Mon, 26 Mar 2012 14:59:13 +0200
On 23/03/12 22:25, Roland Mas wrote:
> I was somewhat bored and I wanted to play with config-edit stuff; since
> I'm also eager to see statusnet enter Debian officially, I spent some
> time reading copyright notices and transcribing them.  Here's what git
> produced (I have no idea if it's actually useful as is, but at least
> there's a patch in there):

Thanks a lot for the work! I also needed a poke to go back to working on
this, so I'll take a look at the patch this week and try to get the
missing pieces in place for an upload soon-ish.


Cheers

-- 
Leo "costela" Antunes
[insert a witty retort here]




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, shiny@cpan.org:
Bug#491723; Package wnpp. (Thu, 12 Apr 2012 03:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to anarcat <anarcat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, shiny@cpan.org. (Thu, 12 Apr 2012 03:24:03 GMT) Full text and rfc822 format available.

Message #175 received at 491723@bugs.debian.org (full text, mbox):

From: anarcat <anarcat@debian.org>
To: 491723@bugs.debian.org
Subject: sorry!
Date: Wed, 11 Apr 2012 23:20:43 -0400
[Message part 1 (text/plain, inline)]
Oops! Sorry for that last message, meant to subscribe to this bug
report. :)

Thanks for the hard work, can't wait to see this enter debian!

A.

-- 
We are discreet sheep; we wait to see how the drove is going, and then go
with the drove.
                        - Mark Twain
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, shiny@cpan.org:
Bug#491723; Package wnpp. (Mon, 24 Sep 2012 07:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roland Mas <lolando@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, shiny@cpan.org. (Mon, 24 Sep 2012 07:42:03 GMT) Full text and rfc822 format available.

Message #180 received at 491723@bugs.debian.org (full text, mbox):

From: Roland Mas <lolando@debian.org>
To: Leo 'costela' Antunes <costela@debian.org>
Cc: Roland Mas <lolando@debian.org>, 491723@bugs.debian.org
Subject: Re: debian/copyright for statusnet
Date: Mon, 24 Sep 2012 09:39:34 +0200
Leo 'costela' Antunes, 2012-03-26 14:59:13 +0200 :

> On 23/03/12 22:25, Roland Mas wrote:
>> I was somewhat bored and I wanted to play with config-edit stuff; since
>> I'm also eager to see statusnet enter Debian officially, I spent some
>> time reading copyright notices and transcribing them.  Here's what git
>> produced (I have no idea if it's actually useful as is, but at least
>> there's a patch in there):
>
> Thanks a lot for the work! I also needed a poke to go back to working on
> this, so I'll take a look at the patch this week and try to get the
> missing pieces in place for an upload soon-ish.

  May I inquire again about the status of this?  Should the bug be
converted to an RFP?  Could a package be uploaded to experimental?  It
feels disappointing that there's apparently been no further activity
even after I did "the only thing missing before upload".

Roland.
-- 
Roland Mas

'And what would humans be without love?'
RARE, said Death.  -- in Sourcery (Terry Pratchett)



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, shiny@cpan.org:
Bug#491723; Package wnpp. (Mon, 28 Jan 2013 20:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Pocock <daniel@pocock.com.au>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, shiny@cpan.org. (Mon, 28 Jan 2013 20:09:03 GMT) Full text and rfc822 format available.

Message #185 received at 491723@bugs.debian.org (full text, mbox):

From: Daniel Pocock <daniel@pocock.com.au>
To: 491723@bugs.debian.org, debian.org@schildbach.de
Cc: pkg-xmpp-devel@lists.alioth.debian.org, evan@e14n.com
Subject: StatusNet package upload?
Date: Mon, 28 Jan 2013 21:07:17 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256



Hi Andreas,

Can you please let me know about the status of the package - are you
still ITP?  Or would you prefer somebody else to take over?  Or is
there some blocking issue?

I'm actually doing a joint session with Evan (StatusNet
founder/upstream) at FOSDEM this weekend[1] and it would be helpful to
upload the package into experimental or sid if it is ready (the
previous posts suggest only the debian/copyright file needs to be
finished) - and I will be happy to discuss with Evan in person if
changes are needed upstream to make this package happen.

I'm also wondering if anybody would object to putting this package
under pkg-xmpp-maintainers[2] as a place for group collaboration on
the package?

Regards,

Daniel


1. https://fosdem.org/2013/schedule/event/free_open_secure_communications/

2.
http://qa.debian.org/developer.php?login=pkg-xmpp-devel@lists.alioth.debian.org
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBCAAGBQJRBtp1AAoJEOm1uwJp1aqDFgEQAJYKot5SlrZZSkrChsuTaE0j
Iidt4DnMTaUNeCfjCLkrBk2uR8i24UnFP+IJ4Yp7SmsJ/3TwruIB77oeb+QS6X5j
9WgrF1m9q0gvchUYkweiPQOc2wQb7gx4UXvmhrnrH9suqKzHEe4ogWg+g8wIPece
iMQSxRl1WYI8/9zOlYY77lsXstgWr0N7phYDrE+T6LIqL/sxrx04Hn5ltEKSISEt
MPHir9SIZLyJp2qLo+Xx4bLFwQuGC3i7kfMlJBa8R5orUIaG+IiN1aorWJSSjk8I
IHwcWS5+aTEooyxFNnZrBc/J3oWSGgV71tG3r2b2QZlsvnophkbVLFVwaZMXAFxa
n+n0230O8RwiHMn5qt9iZYMKB8HReL7qz+k6vFZXCgEQS7FZTP8V5DudLbbAMDZL
hBXx/lNNdlaw7VLsI9CZa8ClS7x3cINpBegL1DAoEqB0uR/Y2Z8AX6H7FMMLTgMj
smzKBFSo7z/+XhMrCZPQQc3+4MRS6j1w8bJKLv2DNHoPtgM6yo+DLyfMGxmSJt+d
RnnDP8NAZ4XLeec/8h21BXKdywhca6VC/MD1mmmh47pWQfXem4OJfSilkWM3Yd8E
X/Epfp31hBdrQPSjcwWzIsFpsxEzhx9lM9U/Xc0UuAqHMW16f3Nvj1gEFxwJ+UOr
XDFj8a+mRZ4t0ukT1xm/
=ytA9
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, shiny@cpan.org:
Bug#491723; Package wnpp. (Mon, 28 Jan 2013 20:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evan Prodromou <evan@e14n.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, shiny@cpan.org. (Mon, 28 Jan 2013 20:27:03 GMT) Full text and rfc822 format available.

Message #190 received at 491723@bugs.debian.org (full text, mbox):

From: Evan Prodromou <evan@e14n.com>
To: Daniel Pocock <daniel@pocock.com.au>
Cc: 491723@bugs.debian.org, debian.org@schildbach.de, pkg-xmpp-devel@lists.alioth.debian.org
Subject: Re: StatusNet package upload?
Date: Mon, 28 Jan 2013 15:17:24 -0500
[Message part 1 (text/plain, inline)]
Daniel,

There's a package here:

http://people.debian.org/~costela/packages/

I'm not sure if it's appropriate to give the package to an XMPP group 
since the software is not primarily XMPP-based.

-Evan

On 13-01-28 03:07 PM, Daniel Pocock wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA256
>
>
>
> Hi Andreas,
>
> Can you please let me know about the status of the package - are you
> still ITP?  Or would you prefer somebody else to take over?  Or is
> there some blocking issue?
>
> I'm actually doing a joint session with Evan (StatusNet
> founder/upstream) at FOSDEM this weekend[1] and it would be helpful to
> upload the package into experimental or sid if it is ready (the
> previous posts suggest only the debian/copyright file needs to be
> finished) - and I will be happy to discuss with Evan in person if
> changes are needed upstream to make this package happen.
>
> I'm also wondering if anybody would object to putting this package
> under pkg-xmpp-maintainers[2] as a place for group collaboration on
> the package?
>
> Regards,
>
> Daniel
>
>
> 1. https://fosdem.org/2013/schedule/event/free_open_secure_communications/
>
> 2.
> http://qa.debian.org/developer.php?login=pkg-xmpp-devel@lists.alioth.debian.org
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.12 (GNU/Linux)
> Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/
>
> iQIcBAEBCAAGBQJRBtp1AAoJEOm1uwJp1aqDFgEQAJYKot5SlrZZSkrChsuTaE0j
> Iidt4DnMTaUNeCfjCLkrBk2uR8i24UnFP+IJ4Yp7SmsJ/3TwruIB77oeb+QS6X5j
> 9WgrF1m9q0gvchUYkweiPQOc2wQb7gx4UXvmhrnrH9suqKzHEe4ogWg+g8wIPece
> iMQSxRl1WYI8/9zOlYY77lsXstgWr0N7phYDrE+T6LIqL/sxrx04Hn5ltEKSISEt
> MPHir9SIZLyJp2qLo+Xx4bLFwQuGC3i7kfMlJBa8R5orUIaG+IiN1aorWJSSjk8I
> IHwcWS5+aTEooyxFNnZrBc/J3oWSGgV71tG3r2b2QZlsvnophkbVLFVwaZMXAFxa
> n+n0230O8RwiHMn5qt9iZYMKB8HReL7qz+k6vFZXCgEQS7FZTP8V5DudLbbAMDZL
> hBXx/lNNdlaw7VLsI9CZa8ClS7x3cINpBegL1DAoEqB0uR/Y2Z8AX6H7FMMLTgMj
> smzKBFSo7z/+XhMrCZPQQc3+4MRS6j1w8bJKLv2DNHoPtgM6yo+DLyfMGxmSJt+d
> RnnDP8NAZ4XLeec/8h21BXKdywhca6VC/MD1mmmh47pWQfXem4OJfSilkWM3Yd8E
> X/Epfp31hBdrQPSjcwWzIsFpsxEzhx9lM9U/Xc0UuAqHMW16f3Nvj1gEFxwJ+UOr
> XDFj8a+mRZ4t0ukT1xm/
> =ytA9
> -----END PGP SIGNATURE-----


[smime.p7s (application/pkcs7-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, shiny@cpan.org:
Bug#491723; Package wnpp. (Mon, 28 Jan 2013 20:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Schildbach <andreas@schildbach.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, shiny@cpan.org. (Mon, 28 Jan 2013 20:51:05 GMT) Full text and rfc822 format available.

Message #195 received at 491723@bugs.debian.org (full text, mbox):

From: Andreas Schildbach <andreas@schildbach.de>
To: Daniel Pocock <daniel@pocock.com.au>
Cc: 491723@bugs.debian.org
Subject: Re: StatusNet package upload?
Date: Mon, 28 Jan 2013 21:43:23 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Sorry, I gave up on packaging several years ago. Cannot not even
remember that I intended to package this - strange...

Thanks for asking. If you decide to do it, I wish you all best of luck!


On 01/28/2013 09:07 PM, Daniel Pocock wrote:

> Hi Andreas,
> 
> Can you please let me know about the status of the package - are
> you still ITP?  Or would you prefer somebody else to take over?  Or
> is there some blocking issue?
> 
> I'm actually doing a joint session with Evan (StatusNet 
> founder/upstream) at FOSDEM this weekend[1] and it would be helpful
> to upload the package into experimental or sid if it is ready (the 
> previous posts suggest only the debian/copyright file needs to be 
> finished) - and I will be happy to discuss with Evan in person if 
> changes are needed upstream to make this package happen.
> 
> I'm also wondering if anybody would object to putting this package 
> under pkg-xmpp-maintainers[2] as a place for group collaboration
> on the package?
> 
> Regards,
> 
> Daniel
> 
> 
> 1.
> https://fosdem.org/2013/schedule/event/free_open_secure_communications/
>
>  2. 
> http://qa.debian.org/developer.php?login=pkg-xmpp-devel@lists.alioth.debian.org
>
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAlEG4t8ACgkQymYr4YuHemDJUwCeLPq9vVMgaywjplf7q3cmC4bO
sl4AoJN9shh+AgHD2dCGXH0NRul/9wqT
=zYn7
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, shiny@cpan.org:
Bug#491723; Package wnpp. (Mon, 28 Jan 2013 21:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Pocock <daniel@pocock.com.au>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, shiny@cpan.org. (Mon, 28 Jan 2013 21:09:03 GMT) Full text and rfc822 format available.

Message #200 received at 491723@bugs.debian.org (full text, mbox):

From: Daniel Pocock <daniel@pocock.com.au>
To: shiny@cpan.org, costela@debian.org
Cc: Andreas Schildbach <andreas@schildbach.de>, 491723@bugs.debian.org, evan@debian.org, evan@e14n.com
Subject: Re: StatusNet package upload?
Date: Mon, 28 Jan 2013 22:04:46 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256


Andreas, thanks for the update

Leo, Brenda, can either of you let us know about this package?

I see Brenda owns the RFP/ITP bug, but Leo is the one who has built
packages in
git://git.debian.org/~costela/statusnet.git

Evan, I notice in the bug trail you are a DD too, so maybe you would
like to upload yourself if you think it is ready?  If nobody else was
able to, I was going to consider sponsoring it myself.

If pkg-xmpp is not optimal for the package, do you think it might be
worthwhile forming another group for maintaining this and maybe
similar packages or add-ons?


On 28/01/13 21:43, Andreas Schildbach wrote:
> Sorry, I gave up on packaging several years ago. Cannot not even 
> remember that I intended to package this - strange...
> 
> Thanks for asking. If you decide to do it, I wish you all best of
> luck!
> 
> 
> On 01/28/2013 09:07 PM, Daniel Pocock wrote:
> 
>> Hi Andreas,
> 
>> Can you please let me know about the status of the package - are 
>> you still ITP?  Or would you prefer somebody else to take over?
>> Or is there some blocking issue?
> 
>> I'm actually doing a joint session with Evan (StatusNet 
>> founder/upstream) at FOSDEM this weekend[1] and it would be
>> helpful to upload the package into experimental or sid if it is
>> ready (the previous posts suggest only the debian/copyright file
>> needs to be finished) - and I will be happy to discuss with Evan
>> in person if changes are needed upstream to make this package
>> happen.
> 
>> I'm also wondering if anybody would object to putting this
>> package under pkg-xmpp-maintainers[2] as a place for group
>> collaboration on the package?
> 
>> Regards,
> 
>> Daniel
> 
> 
>> 1. 
>> https://fosdem.org/2013/schedule/event/free_open_secure_communications/
>
>>  2. 
>> http://qa.debian.org/developer.php?login=pkg-xmpp-devel@lists.alioth.debian.org
>
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBCAAGBQJRBufuAAoJEOm1uwJp1aqD3NIQALNyygGtYpNDWaZTuI58p464
gI2wuitzfCRwX+ohlJdh5ecfbmS43WrwAkTbVmdsrXWT9hOgPcXqS0dBaj9wFt9a
Ajdfws+BE/LVkqLoubi2kHab/9QTvGxj9o1/GoRuVZTtupJ/3q3kpTZpp2lUVLy+
gVnL6dcOS3Ot6ZiG8sStj0mtVqgaBQI6kbLhhh2jZiWxex7R8goVda3RX8LftZoc
ZzuThxkWK7CmlQeG7cphzJ/C8dakwrFUyMoXfofhl5rZpZMtM9/cLPdKE26IoGJl
Ei9SRd/6J9FhZFwDHRIiwS4cjP+EjGs0IO2KCMRAYitvaF0k8o9XS7aNEoWVLUb8
QfjzhBYRukmsfAflEebdyrIHJXUMbnUtO+L2WkEYtHpd+ounl3qmtVpzh6Jp7mXG
uYWZ9zFkbsV6UcyrMmSkrZU3LT0qNRjm0pRZfNK0XV6LEaf3l0578fDg8/nqLQB/
3AE9MtmKHYlpk/3LYriJMwiwNScsdEeH+m50fQFFVJbySiAXtv7U4bvN8MfnzwBb
z4U6UkC2TvnS41ERlAUL4+tFWxSIanUkIlah7SBgmq2XY9YFHTxzfqhR87zKb2qg
V5Dh3opKecyCvbuNUEKdJMT+a7bhNxOUK8Ia5ddnQ6K1bUd/dCBdbCY+PCe2ZsVJ
CV3E/jS9pVO8Fa4+pH/l
=NLFn
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, shiny@cpan.org:
Bug#491723; Package wnpp. (Sat, 02 Feb 2013 23:18:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Leo 'costela' Antunes <costela@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, shiny@cpan.org. (Sat, 02 Feb 2013 23:18:07 GMT) Full text and rfc822 format available.

Message #205 received at 491723@bugs.debian.org (full text, mbox):

From: Leo 'costela' Antunes <costela@debian.org>
To: Daniel Pocock <daniel@pocock.com.au>
Cc: shiny@cpan.org, 491723@bugs.debian.org, evan@e14n.com
Subject: Re: StatusNet package upload?
Date: Sat, 02 Feb 2013 23:59:06 +0100
[taking Andreas out of the loop, hope this is fine]

Hi,

On 28/01/13 22:04, Daniel Pocock wrote:
> Leo, Brenda, can either of you let us know about this package?

Oh man... at one point I really thought I would get this package in good
shape, but after Roland's poke I merged from upstream and noticed there
were a LOT of changes which made my packaging work pretty much useless,
so it got put way back in the TODO list. My mistake for not updating the
bug to reflect this!
Please consider this package free for the taking!


> Evan, I notice in the bug trail you are a DD too, so maybe you would
> like to upload yourself if you think it is ready?  If nobody else was
> able to, I was going to consider sponsoring it myself.

As I said, the latest work in the git repo [0] is unfortunatelly very
out-of-date with regards to recent changes upstream, so I don't think it
can just be uploaded as-is. I imagine someone with a bit more time and
dedication than myself could get it in shape in a few hours/days. Please
feel free to give it a try!


> If pkg-xmpp is not optimal for the package, do you think it might be
> worthwhile forming another group for maintaining this and maybe
> similar packages or add-ons?

IMHO a different group sounds more appropriate, but the pkg-xmpp people
should probably be asked if their interested. Better some
slightly-off-topic team working on it than nobody at all! ;)


Cheers

[0] http://anonscm.debian.org/gitweb/?p=collab-maint/statusnet.git

-- 
Leo "costela" Antunes
[insert a witty retort here]



Removed annotation that Bug was owned by shiny@cpan.org. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 27 Feb 2013 15:57:03 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFP: statusnet -- distributed microblogging tool' from 'ITP: statusnet -- distributed microblogging tool' Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Thu, 28 Feb 2013 22:57:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 14:03:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.